<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.*" %>
<%@ page import="javax.servlet.http.*" %>
<%!

	public String getValue( String key, String quoteChars, HttpServletRequest request )
	{
		String[] valueList = null;
		String   values    = null;
		
		valueList = request.getParameterValues( key );
		if( valueList != null && valueList.length > 0 && valueList[0] != null && !valueList[0].equals( "" ) )
		{
			if( quoteChars == null )
				quoteChars = "";
			values = "";

			for( int i = 0; i < valueList.length; i++ )
			{
				values += (i == 0)? "": ",";
				values += quoteChars + valueList[i] + quoteChars;
			}
		}
		
		return values;
	}

%>
<%
System.out.println( "\n[execQuery.jsp] begin" );
	boolean isError      = false;
	String  errorMessage = "";
	String  reportName   = "";
	String  dataBloxName = "";
	
	String scenario       = getValue( "scenario", "'", request );
	String season         = getValue( "season", "'", request );
	String dateFrom       = getValue( "weekEndingFrom", "'", request );
	String dateTo         = getValue( "weekEndingFrom", "'", request );
	String location       = getValue( "location", "'", request );
	String productFamily  = getValue( "product_family_code", "", request );
	
	String query = "SELECT " +
        "Week_Ending AS \"Week_Ending\", " +
		"Location AS \"Location\", " + 
        "Product_Code AS \"Product_Code\", " +
        "Product_Name AS \"Product_Name\", " +
		"Units as \"Units\", " + 
		"Sales as \"Sales\" " +
        "FROM qcc " +
	    "WHERE 1 = 1 " +
		"  AND Week_Ending_Text =  " + dateFrom + 
		"  AND Scenario = 'Actual' " +
	    ((productFamily  != null)? "  AND Product_Family_Code IN (" + productFamily + ") ": "" ) +
	    ((location  != null)? "  AND Location LIKE(" + location + ") ": "" ) +
	    "ORDER BY Location, Product_Code";
	
	try
	{
		reportName   = request.getParameter( "reportname" );
		BloxContext context = BloxContextFactory.getBloxContext(request, response);
		ReportBlox reportBlox = (ReportBlox)context.getBlox( reportName );
		SQLDataBlox	dataBlox  = (SQLDataBlox)context.getBlox( reportName + "_data" );
		dataBlox.setQuery( query );
		dataBlox.execute();
	}
	catch (Exception e)
	{
		isError = true;
		errorMessage = e.toString(); 
		System.out.println( errorMessage );
	}
%>

<html>
<head>
	<title>execQuery.jsp</title>
</head>

<body>
<script>
	<% if( isError )
		{
			out.println( "alert( \"" + errorMessage + "\")" );
		}
		else
		{
			out.println( "parent.refresh( \"" + reportName + "\");");
		}
	%>
</script>
</body>
</html>

