<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->
<%@ page   import="java.util.Hashtable"            %><!-- ReportBlox classes APIs -->
<%@ include file="textBloxUtils.jsp"               %><%-- convenience methods for setting and clearing text --%>
<%@ page   import="java.io.*"		           %><!-- for file IO	     -->

<%
	String reportName = (String)request.getParameter( "reportname" );
%>

<html>
<head>
	<title><%= reportName %> Printer Report</title>

</head>
<body>
<%
    BloxContext context = BloxContextFactory.getBloxContext(request, response);
	ReportBlox reportBlox            = (ReportBlox)context.getBlox( reportName );
	boolean    isInteractive         = reportBlox.isInteractive();
	String[]   resetDataColumns      = null;
	Hashtable  initialDataTextValues = null;

	// Specify a location to save the file. Modify this for your application.
	String appLocation        = application.getRealPath("/");
	if( appLocation.substring( appLocation.length()-1 ) != File.separator )
		appLocation += File.separator; // necessary for weblogic
	String defaultLocation    = appLocation + "html" + File.separator + "examples" + File.separator + "SaveExport";
	String styleSheetLocation = defaultLocation + File.separator + "style" + File.separator + "reportstyles.css";
	String filesLocation      = defaultLocation + File.separator + "savedreports";

	// set the report to non-interactive mode so the menu items do not get rendered
	if( reportName != null )
	{
		reportBlox     = (ReportBlox)context.getBlox( reportName );
		if( reportBlox != null )
		{
			isInteractive  = reportBlox.isInteractive();
			reportBlox.setInteractive(false);

			resetDataColumns      = (String[])request.getParameterValues( "resetdatacols" );
			initialDataTextValues  = setDataText( resetDataColumns, reportBlox, "<value/>" );

			try
			{
				String filePath = filesLocation + File.separator  + reportName + ".html";
                FileOutputStream fos = new FileOutputStream(filePath);
                OutputStreamWriter file = new OutputStreamWriter(fos, "UTF-8");

				file.write("<html>");
				file.write("<head>");
    			file.write("<title>" + reportName + " Report</title>" );
				file.write( "<style>" );

				// write the contents of the stylesheet into the page
     			FileInputStream fis = new FileInputStream( styleSheetLocation ); // Create input stream object.
				int c;     // Set variable for looping through bytes.
				while( (c = fis.read() ) != -1)
				{
					file.write(c);     // Loop to read and write bytes.
				}
				fis.close();      // Close output and input resources.
				// done writing out style sheet

				file.write( "</style>" );
    				file.write( "</head>" );
				file.write( "<body>" );
    		    		reportBlox.writeUpdate( file ); // Generate the report table.
				file.write( "</body>" );
				file.write( "</html>" );
				file.close( );

				out.println( "Your file was successfully saved at:" + filePath +"." );
			}
		    catch( Exception e )
		    {
		      	out.println( "The page not saved :\n" + e.getMessage() );
	    	}
			finally
			{
				resetDataText( reportBlox, initialDataTextValues );
		    	reportBlox.setInteractive( isInteractive ); // Set back to initial state
		    }
		}
		else
		{
				out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
</body>
</html>
