<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><%-- for the taglibs                    --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.*"             %><%-- for report blox pipeline classes   --%>

<%@ page import="java.util.HashMap"                %>
<%@ page import="com.alphablox.net.URLFactory"%>

<%@ page errorPage="error.jsp"                     %><%-- error handling; ensure file exists --%>



<%
	String   reportName    = "info";
	String   columnName    = request.getParameter( "column" );
	String   tableName     = "";
	String   query         = "";
	HashMap  columnTables  = new HashMap(); 
	
	// qcc2003 queries
	columnTables.put( "week_ending",  "SELECT * FROM QCC_Time" ); 
	columnTables.put( "location",     "SELECT * FROM QCC_LOCATIONS" ); 
	columnTables.put( "product_code", "SELECT * FROM QCC_PRODUCTS" );	
	
	// qcc queries
	/*
	*/

	
	if( columnName != null )
	{
		columnName = columnName.toLowerCase();
		query  = (String) columnTables.get( columnName );
	}

    BloxContext context = BloxContextFactory.getBloxContext(request, response);
	SQLDataBlox report_dataBlox = (SQLDataBlox) context.getBlox( reportName + "_data" );
	if( report_dataBlox != null )
	{
		report_dataBlox.setQuery( query );
		report_dataBlox.execute();
	}

%>

<html>
<head>
	<title><%=columnName%> Info</title>
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />
	
</head>

<body>
	<%=columnName%> Info 
	<bloxreport:report id="report" bloxName="<%=reportName%>" interactive="true" errors="true" > 
	
		<bloxreport:sqlData id="data" bloxName="<%=reportName + \"_data\" %>"
			query="<%=query%>" >
			<bloxreport:dataSourceConnection 
				dataSourceName="qcc2003-rdb" />
		</bloxreport:sqlData>

		<bloxreport:format>
		   <bloxreport:numeric                  format="0;(0)" />			   		   
		   <bloxreport:date     member="Date"   format="yyyy.mm.dd" />
		</bloxreport:format>
				
	</bloxreport:report> 
</body>
</html>