<%-- saveBookmark.jsp 
--   simple exampel page of saving a relational reporting bookmark
--%>

<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->

<% 
	// set the report to non-interactive mode so the menu items do not get rendered
	String     reportName       = (String)request.getParameter( "reportname" );
	String     bookmarkName     = request.getParameter("bookmarkname");
	String     bookmarkLocation = reportName + "\\" + request.getRemoteUser();
	
	System.out.println( "[loadBookmark.jsp] reportName=" + reportName + ",  bookmarkName=" + bookmarkName );
	
	String     errorMessage     = null;
	ReportBlox reportBlox       = null;
	ReportBlox newBlox          = null;
	boolean    isInteractive    = false;
	
	if( reportName != null )
	{
 		BloxContext context = BloxContextFactory.getBloxContext(request, response);
 		reportBlox = (ReportBlox)context.getBlox( reportName );
		if( reportBlox != null )
		{
			isInteractive = reportBlox.isInteractive();
		}
		else
		{
			out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
<html>
<head>
	<title><%= reportName %> Bookmark Save</title>
</head>
<body>

	<%-- The PersistenceBlox is used for bookmarking relational reports --%>
	<bloxreport:persistence id="persistence" />

	<%
		if( bookmarkName != null && !bookmarkName.equals( "" ) )
		{
			try
			{
				persistence.setName( bookmarkName );
				persistence.setLocation( bookmarkLocation );
				persistence.setBlox( reportBlox );
				persistence.load();
				out.println( "<p>The bookmark <b> " + bookmarkName + "</b> has been loaded.</p>" );
				newBlox = (ReportBlox)persistence.getBlox(); // ger a reference to the new blox instantiated
				persistence.addBloxToContext( pageContext );
				
			}
			catch( Exception e )
			{
				errorMessage = "exception loading bookmark:\n" + e.getMessage();
			}
		}
		else
		{
			errorMessage = "The bookmark was not loaded. No Bookmark name was passed.";
		}

		if( errorMessage == null )
		{
			if( isInteractive )
			{
				newBlox.setInteractive( true );
			   // do script to refresh the report
				out.println( "<script>parent.refresh( \"" + reportName + "\");</script>");
			}
			else
			{
				// do script to reload the page
				out.println( "<script>parent.window.location=parent.window.location;</script>");
			}
		}
		else
		{
			out.println( "<script>alert( 'Error: '"  + errorMessage + ");</script>" );
			out.println( errorMessage );
		}
	%>

</body>
</html>