<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><%-- for the taglibs                    --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.*"             %><%-- for report blox pipeline classes   --%>
<%@ page errorPage="error.jsp"                     %><%-- error handling; ensure file exists --%>

<%
	String reportName     = "qcc";
	String reportDataName = reportName + "_data" ;
	
	// The folllowing text blox substitution values are here for WebLogic jsp parser compatability
	String rownumDataText         = 
			"&nbsp;&nbsp;&nbsp;&nbsp;	" + 
			"<input type=\"checkbox\" id=\"rownum\" value=\"<value/>\"  onclick=\"highlightRow(this)\">" +
			"<img src=\"i.gif\" width=\"16\" height=\"16\" border=\"0\" onclick=\"getRowValues(this)\" >";
	String rankTotalText          = "<value member=\"RankLocation\" />";
	String locationColHeaderText  = "<a href=\"info.jsp?column=<member/>\" target=\"infoWindow\" >Location</a>";
	String level2HeaderText       = 
			"<member/>" + 
			"&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;  " +
			"Count: <value member=\"Product_Code\" />&nbsp;&nbsp;Location Rank : <value member=\"RankLocation\" />";
	String productCodeDataText    = "<a onclick=\"javascript:getProductInfo( this )\" href=\"#\"><value/></a>";
			
	String query = "SELECT " +
	        "Week_Ending AS \"Week_Ending\", " +
			"Location AS \"Location\", " + 
	        "Product_Code AS \"Product_Code\", " +
	        "Product_Name AS \"Product_Name\", " +
			"Units as \"Units\", " + 
			"Sales as \"Sales\" " +
	        "FROM qcc " +
			"WHERE Week_Ending_Text = '04-01-2000' " +
			" AND Scenario = 'Actual' " +
			"ORDER BY Location, Product_Code";

    BloxContext context = BloxContextFactory.getBloxContext(request, response);
	SQLDataBlox report_dataBlox = (SQLDataBlox) context.getBlox( reportDataName );

	if( report_dataBlox != null )
	{
		report_dataBlox.setQuery( query );
	}

%>

<html>
<head>
	<title>QCC Dynamic Query Example</title>
	<link rel="stylesheet" href="style/myreport.css" />
	<style> 
		.report { height:450; width: 600 } 
	</style>
	<script src="reportUtils.js" ></script>
	<script>
		// GLOBAL JAVASCRIPT VARIABLES (needed by reportUtils.js)
		var DEBUG         = false;
		var REPORT_NAME   = "<%= reportName %>";
		var RESET_COLUMNS = "&resetdatacols=Rownum";
	</script>
</head>

<body>
<table height="800" width="600" >
	<tr>
	<td align="right" >
		<a href="javascript:printer();"               >Printer</a>
		<a href="javascript:excel(  RESET_COLUMNS )"  >Excel</a>		
		<!-- <a href="javascript:pdf(    RESET_COLUMNS )"  >PDF</a> -->
		<a href="javascript:toFile( RESET_COLUMNS )"  >Save</a>
		<a href="savedreports\<%= reportName %>.html" target="savedreport" >SavedReport</a>
		<a href="javascript:saveBookmark()"           >Save Bookmark</a>
		<a href="javascript:listBookmarks()"          >List Bookmarks</a>
      </td>	
      </tr>
      <tr>
      <td align="right">
            <a href="javascript:deletefile()">delete saved report</a>
		<a href="javascript:deletebookmark()">delete saved bookmark</a>

	</td>
	</tr>
	<tr>
	<td align="left" >
		<form name="queryForm" method="post" action="execQuery.jsp?reportname=<%=reportName%>" target="callFrame" >
		
			Week:
			<select name="weekEndingFrom" id="weekEndingFrom">
				<option value="04-01-2000" selected >2000-04-01</option>
				<option value="04-08-2000">2000-04-08</option>
				<option value="04-15-2000">2000-04-15</option>
				<option value="04-22-2000">2000-04-22</option>
				<option value="04-29-2000">2000-04-29</option>
			</select>
		<input type="submit" name="submit"    id="submit"    value="Execute Query" >
	</td>
	</tr>
	<tr>
	<td  valign="top" align="left">
		<hr>

		<bloxreport:report id="report" bloxName="<%=reportName%>" interactive="true" errors="true" > 
		
			<bloxreport:sqlData id="data" bloxName="<%= reportDataName %>" 
				query="<%=query%>" >
				<bloxreport:dataSourceConnection 
					dataSourceName="qcc2003-rdb" />
			</bloxreport:sqlData>
			 
			<bloxreport:format>
			   <bloxreport:numeric  format="####.00;(####.00)" />
			   <bloxreport:numeric  member="Rownum"        format="0;(0)" />
			   <bloxreport:numeric  member="Product_Code"  format="0;(0)" />
			   <bloxreport:numeric  member="Rank"          format="0;(0)" />
			   <bloxreport:numeric  member="RankLocation"  format="0;(0)" />
			   <bloxreport:numeric  member="[% Total]"     format="0%;(0%)" />
			   <bloxreport:numeric  member="Units"         format="0;(0)" />
			   <bloxreport:numeric  member="Sales"         format="$#,###.00;$(#,###.00)" />
			</bloxreport:format>
			
			<bloxreport:calculate expression = "Rownum = runningCount(Product_Code)" />
			
			<bloxreport:group members="Location" >	
			   <bloxreport:aggregation member="Location"     type="sum" />
			   <bloxreport:aggregation member="Units"        type="sum" />
			   <bloxreport:aggregation member="Rownum "      type="none" />
			   <bloxreport:aggregation member="Product_Code" type="count" />
			   <bloxreport:aggregation member="Week_Ending"  type="none" />
			   <bloxreport:aggregation member="[% Total]"    type="none" />			   
			</bloxreport:group>	
			
			<bloxreport:calculate expression = "[% Total] = percentOfTotal(Sales, 2)" />
			<bloxreport:calculate expression = "Rank = rank(Sales, DESC, 2)" />
			<bloxreport:calculate expression = "RankLocation = rank(Sales, DESC, 1)" />
			
            <bloxreport:text>
			
                <bloxreport:groupHeader level="1" text="QCC Products by Location"> </bloxreport:groupHeader>
                <bloxreport:groupHeader level="2" 
				text="<%= level2HeaderText %>" > 
                </bloxreport:groupHeader>

                <bloxreport:columnHeader columnName="Rownum" 
					text="">
                </bloxreport:columnHeader>
				
                <bloxreport:columnHeader columnName="Week_Ending" 
					text="<a href=\"info.jsp?column=<member/>\" target=\"infoWindow\" >Week</a>">
                </bloxreport:columnHeader>

                <bloxreport:columnHeader columnName="Location" 
					text="">
                </bloxreport:columnHeader>	
			
                <bloxreport:columnHeader columnName="Product_Code" 
					text="<a href=\"info.jsp?column=<member/>\" target=\"infoWindow\" >Product</a>">
                </bloxreport:columnHeader>
				
                <bloxreport:columnHeader columnName="RankLocation" 
					text="&nbsp;">
                </bloxreport:columnHeader>

                <bloxreport:data columnName="Rownum" 
					text="<%= rownumDataText %>" >
				</bloxreport:data>
				
                <bloxreport:data columnName="RankLocation" 
					text="&nbsp;" >
				</bloxreport:data>
				
                <bloxreport:data columnName="product_code" 
					text="<%= productCodeDataText %>">
				</bloxreport:data>
				
                <bloxreport:groupTotal columnName="Rownum"       level="2" text="&nbsp;">                            </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="Product_Code" level="2" text="&nbsp;">                            </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="Rank"         level="2" text="<%= rankTotalText %>" >             </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="RankLocation" level="2" text="&nbsp" >                            </bloxreport:groupTotal>
				
                <bloxreport:groupTotal columnName="Rownum"       level="1" text="&nbsp;">                            </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="Product_Code" level="2" text="&nbsp;">                            </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="Rank"         level="1" text="<%= rankTotalText %>" >             </bloxreport:groupTotal>
                <bloxreport:groupTotal columnName="RankLocation" level="1" text="&nbsp;" >                           </bloxreport:groupTotal>
				
                <bloxreport:groupFooter level="1" text="end of report"></bloxreport:groupFooter>
				
	         </bloxreport:text>
			 
			   <bloxreport:order
			      included = "Rownum, Week_Ending, Location, Product_Code, Units, Sales, [% Total], Rank, RankLocation" >
			   </bloxreport:order>
					
		</bloxreport:report> 

	</td>
	</form>
</tr>
</table>
<iframe name="callFrame" id="callFrame" 
	src="blank.jsp" 
	height="1" width="1" 
	frameborder="1">
</iframe>
</body>
</html>