// reportUtils.js
// common js files used in Alphablox ReportBlox applications
//
// NOTE: Assumes you have a global REPORT_NAME and DEBUG JavaScript variables 
//       in the page as in:
//  		var REPORT_NAME = "<%= reportName %>";
//			var DEBUG       = true;
// and an IFRAME called "callFrame" as in...
//      <iframe name="callFrame" id="callFrame" src="blank.jsp" height="100" width="600" frameborder="1">

		function refresh( reportName )
		{
			refreshReport( reportName );
		}
		
		function excel( addlArgs )
		{
			if( addlArgs == null )
				addlArgs = "";
			// window.open( String url, String windowName, String features, boolean replaceHistory)
			window.open( "excel.jsp?reportname=" + REPORT_NAME + addlArgs, 
			             REPORT_NAME + "_excel",
			             "height=400, width=600, scrollbars=yes, resizable=yes,  menubar=yes" );
		}
		
		
		function pdf( addlArgs )
		{
			if( addlArgs == null )
				addlArgs = "";
			// window.open( String url, String windowName, String features, boolean replaceHistory)
			window.open( "pdf.jsp?reportname=" + REPORT_NAME + addlArgs, 
			             REPORT_NAME + "_pdf",
			             "height=400, width=600, scrollbars=yes, resizable=yes" );
		}
		
		
		function printer( addlArgs )
		{
			if( addlArgs == null )
				addlArgs = "";
			// window.open( String url, String windowName, String features, boolean replaceHistory)
			window.open( "printer.jsp?reportname=" + REPORT_NAME  + addlArgs, 
			             REPORT_NAME + "_pdf",
			             "height=400, width=600, scrollbars=yes, resizable=yes, menubar=yes" );
		}
		
		function toFile( addlArgs )
		{
			if( addlArgs == null )
				addlArgs = "";
			// window.open( String url, String windowName, String features, boolean replaceHistory)
			window.open( "file.jsp?reportname=" + REPORT_NAME + addlArgs, 
			             REPORT_NAME + "_pdf",
			             "height=400, width=600, scrollbars=yes, resizable=yes" );
		}

		function deletefile(addlArgs)
		{
			if( addlArgs == null )
				addlArgs = "";
                  //alert("deletefile.jsp?reportname=" + REPORT_NAME + addlArgs, 
			//             REPORT_NAME + "_pdf");	
			window.open( "deletefile.jsp?reportname=" + REPORT_NAME + addlArgs, 
			             REPORT_NAME + "_pdf",
			             "height=400, width=600, scrollbars=yes, resizable=yes" );
		}

		function deletebookmark()
		{

			var bookmarkName = prompt( "bookmarkName:", "<bookmarkName>" );
				
			if( bookmarkName != null && REPORT_NAME != null )
			{
				// window.open( String url, String windowName, String features, boolean replaceHistory)
				callFrame.location = "deleteBookmark.jsp?reportname=" + REPORT_NAME + "&bookmarkname=" + bookmarkName;
			}
			else
			{
				alert( "missing bookmark or reportblox name" );
			}
			
		}

		function saveBookmark()
		{
			var bookmarkName = prompt( "bookmarkName:", "<bookmarkName>" );
			if( bookmarkName != null )
			{
				// window.open( String url, String windowName, String features, boolean replaceHistory)
				window.open( "saveBookmark.jsp?reportname=" + REPORT_NAME + "&bookmarkname=" + bookmarkName, 
				             REPORT_NAME + "_persistence",
				             "height=400, width=600, scrollbars=yes, resizable=yes" );
			}

		}
		
		function loadBookmark( bookmarkName )
		{
			if( bookmarkName == null )
				bookmarkName = prompt( "bookmarkName:", "<bookmarkName>" );
				
			if( bookmarkName != null && REPORT_NAME != null )
			{
				// window.open( String url, String windowName, String features, boolean replaceHistory)
				callFrame.location = "loadBookmark.jsp?reportname=" + REPORT_NAME + "&bookmarkname=" + bookmarkName;
			}
			else
			{
				alert( "missing bookmark or reportblox name" );
			}
		}
		
		function listBookmarks()
		{
			// window.open( String url, String windowName, String features, boolean replaceHistory)
			window.open( "listBookmarks.jsp?reportname=" + REPORT_NAME, 
			             REPORT_NAME + "_persistence_list",
			             "height=400, width=300, scrollbars=yes, resizable=yes" );
		}
		
		// this gives you access to the dhtml anchor object. Using it you can do
		// a large nubmer of things including getting cell values from other cells
		// relative to this one
		function getRowObj( anchorObj )
		{
			//var anchorText = anchorObj.innerHTML;
			// alert( "The parent is: " + anchorObj ); 
			var currObj = anchorObj;
			
			while( (currObj.tagName != "TR") && (currObj.tagName != null) )
			{
				currObj = currObj.parentElement
			}
			
			var rowObj    = currObj;
			
			return rowObj
		}
		
		function highlightRow( checkboxObj )
		{
			var rowObj       = getRowObj( checkboxObj );
		
			if( true == checkboxObj.checked ) 
			{
				rowObj.style.backgroundColor="Silver";
			}
			else
			{
				rowObj.style.backgroundColor="";
			}
				
		}
		

		// get all the  cell values in the row for the row containing the object passed in.
		//  can be any object within the cell like an anchor, image, etc..
		function getRowValues( obj )
		{
			var currObj = obj;
			
			while( (currObj.tagName != "TR") && (currObj.tagName != null) )
			{
				currObj = currObj.parentElement
			}
			
			var rowObj    = currObj;
			var cellCount = rowObj.cells.length
			var tdObj     = rowObj.firstChild
			var colValues = new Array( cellCount );			
			
			for( i = 0; i < cellCount; i++ )
			{
				currObj = rowObj.cells[i];

				while( (currObj != null) && (currObj.innerText == null) )
				{
					currObj = currObj.firstChild;
				}
				
				if( currObj != null )
					colValues[i] = currObj.innerText
			}
			
			alert( "ColValues is: " + colValues );
		}
				
		
		// displays all the properties and the values of a html/dhtml object
		function debugObj( obj )
		{
			var objAttr = "";
			for( idx in obj )
			{
				if( obj[idx] != null ) 
				{	// comment out the "if" above to get all props, not just the ones with values
					objAttr += idx + "->" + obj[idx] + "\n";
				}
			}
			//alert( objAttr );
			prompt( "props", objAttr );

		}	