<%-- saveBookmark.jsp 
--   simple exampel page of saving a relational reporting bookmark
--%>

<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->
<%@ page import="java.io.File"                     %>
<%@ page errorPage="error.jsp"                     %><%-- error handling; ensure file exists --%>

<%
	BloxContext bloxContext = BloxContextFactory.getBloxContext(request, response);
	BloxRequest bloxRequest = bloxContext.registerRequest(request, response);
	// set the report to non-interactive mode so the menu items do not get rendered
	String     reportName    = (String)request.getParameter( "reportname" );
	String     bookmarkName  = request.getParameter("bookmarkname");
	String     bookmarkLocation = reportName + File.separator + bloxRequest.getPrincipalUsername();
	ReportBlox reportBlox    = null;
	boolean    isInteractive = false;
	
	if( reportName != null )
	{
		reportBlox = (ReportBlox)bloxContext.getBlox( reportName );
		if( reportBlox != null )
		{
			isInteractive = reportBlox.isInteractive();
			if( isInteractive )
				reportBlox.setInteractive( false );
		}
		else
		{
			out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
<html>
<head>
	<title><%= reportName %> Bookmark Save</title>
</head>
<body>

	<%-- The PersistenceBlox is used for bookmarking relational reports --%>
	<bloxreport:persistence id="persistence" />

	<%
		if( bookmarkName != null && !bookmarkName.equals( "" ) )
		{
			persistence.setName( bookmarkName );
			persistence.setLocation( bookmarkLocation );
			persistence.setBlox( reportBlox );
			persistence.save();
			out.println( "<p>The bookmark <b> " + bookmarkName + 
			             "</b> has been saved in location " + bookmarkLocation + ".</p>" );
		}
		else
		{
			out.println( "<p><b>The bookmark was not saved. No Bookmark name was passed.</b></p>" );
		}

		if( isInteractive )
			   reportBlox.setInteractive( true );
	%>

</body>
</html>