<%@ page import="com.alphablox.net.URLFactory"%>
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="error.jsp" %>
<html>
<head>
	<title>All The Blox</title>
	<link rel="stylesheet" href="../docstyles.css" type="text/css">
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />
	<style>
	h1 { text-align: center }
	h4 { margin : 5 30 0 30; padding: 0 }

	.report { background-color: #CCFFCC; margin: 0; padding: 0; width: 150px}	
	.groupheader1 { font-size: 120%; background-color: #9999FF; font-weight: bold; }	
	.grouptotal1 { font-weight: bold; text-align: right }	
	.groupfooter1 { display: none; text-align: right }	
	.column { padding: 5;  font-weight: bold; text-align: center; border-bottom: solid black thin }	
	.data { padding: 0 5; text-align: right }	
	</style>
</head>

<body>
<h1>An Example Demonstrating the Various Blox</h1>
<p>This example uses the built-in canned data to demonstrate <strong><em>most</em></strong><em> 
  </em>of the different Blox available to manipulate the data and format the report. 
  For a complete list, See the <em>Relational Reporting Developer's Guide</em>. 
  Note that all the tags added shown below should be nested inside the &lt;bloxreport:report&gt; tag. </p>
<table>

<tr>
<td colspan="2">
	<h4>A simple ReportBlox:</h4>
</td>
</tr>

<tr>
<td>
	<!-- Note: This example uses the canned data shipped with DB2 Alphablox. -->
        <!-- For your data, you should use SQLDataBlox to specify your query and -->
        <!-- DataSourceConnectionBlox to specify the data source name.           -->

	<bloxreport:report interactive="false">
			<bloxreport:cannedData series="0" />
	</bloxreport:report>
	<p></p>
</td>
<td align="left" valign="middle">
<p>&nbsp;&nbsp;&nbsp;&nbsp;Assuming we have a report that contains three members: x, y, and z.</p>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use CalculationBlox to add a calculated member:</h4>
</td>

</tr>
<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
	</bloxreport:report>
	<p></p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:calculate expression="w = ( x + y ) / z" /&gt;
</pre>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use SortBlox to sort on the member &quot;w&quot;:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
	</bloxreport:report>
	<p></p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:sort member="w" /&gt;
</pre>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use FilterBlox to keep only data rows where &quot;w&lt;8&quot;:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
		<bloxreport:filter expression="w < 8" />
	</bloxreport:report>
	<p></p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:filter name="w < 8" /&gt;
</pre>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use OrderBlox to specify the members to include and the order they should 
        be in:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
		<bloxreport:filter expression="w < 8" />
		<bloxreport:order included="w,x,y" />
	</bloxreport:report>
	<p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:order included="w,x,y" /&gt;
</pre>	
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use FormatBlox to format the data in member &quot;w&quot;:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
		<bloxreport:filter expression="w < 8" />
		<bloxreport:order included="w,x,y" />
		<bloxreport:format>
			<bloxreport:numeric format="$#.00" member="w" />
		</bloxreport:format>
	</bloxreport:report>
	<p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:format&gt;
		&lt;bloxreport:numeric format="$#.00" member="w" /&gt;
	&lt;/bloxreport:format&gt;
</pre>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use StyleBlox to style the report:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
		<bloxreport:filter expression="w < 8" />
		<bloxreport:order included="w,x,y" />
		<bloxreport:format>
			<bloxreport:numeric format="$#.00" member="w" />
		</bloxreport:format>
		<bloxreport:style>
			<bloxreport:banding style="background-color: #CCCCCC" />
			<bloxreport:column style="color: red" member="x"/>
		</bloxreport:style>
	</bloxreport:report>
	<p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:style&gt;
		&lt;bloxreport:banding style="background-color: #CCCCCC" /&gt;
		&lt;bloxreport:column style="color: red" member="x"/&gt;
	&lt;/bloxreport:style&gt;
</pre>
</td>
</tr>

<tr>
<td colspan="2">
	<h4>Use GroupBlox to group the report by the specified members. In this case, 
        no break group member is specified. But because of the added GroupBlox, 
        we now get the aggregation data for each column. The default aggregation 
        is "sum&quot;:</h4>
</td>
</tr>

<tr>
<td>
	<bloxreport:report interactive="false">
		<bloxreport:cannedData  series="0" />
		<bloxreport:calculate expression="w = ( x + y ) / z" />
		<bloxreport:sort member="w" />
		<bloxreport:filter expression="w < 8" />
		<bloxreport:order included="w,x,y" />
		<bloxreport:format>
			<bloxreport:numeric format="$#.00" member="w" />
		</bloxreport:format>
		<bloxreport:style>
			<bloxreport:banding style="background-color: #CCCCCC" />
			<bloxreport:column style="color: red" member="x"/>
		</bloxreport:style>
		<bloxreport:group members="" />
	</bloxreport:report>
	<p>
</td>
<td align="left" valign="middle">
<pre>
	&lt;bloxreport:group members=""/&gt;<br>
</pre>
</td>
</tr>

</table>
</body>
</html>
