<%@ page import="com.alphablox.net.URLFactory"%>
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="error.jsp" %>

<html>
	
<head>
	<title>Formatting Report and Data</title>
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />
	<script>
		function fn(member) {
			alert("Member: "+member);
		}
		function fn2(value) {
			alert("Value: "+value);
		}
		function getURL(code) {
			url="http://myserver/products/" + code + ".html";
			alert("The URL is: " + url);
		}
	</script>
	<style>
	.highlight{ font-size: 90%; background-color: yellow; font-weight: bold; }
	.groupheader1 { font-size: 90%; background-color: #FFCC66; font-weight: bold; }
	.groupheader2 { font-size: 90%; background-color: #FFFFCC; font-weight: bold; }	
	.groupheader3 { font-size: 80%; font-weight: bold; }	
	.data {
  		font-size: 8pt;
  		color: black;
  		font-family: Arial, Helvetica, sans-serif;
		padding-left: 8;
		}
	.column {
		font-size: 10pt;
  		color: black;
		}
	.grouptotal1, .grouptotal2, .grouptotal3 {
		font-size: 10pt;
		font-weight: bold;
  		color: black;
		}
	.groupfooter1, .groupfooter2, .groupfooter3, .groupfooter4 {
		font-size: 80%;
		background-color: white;
		color: black;
		text-align: left;
		padding : 10 0 10 10;
		border-top: double 3 black;
		border-bottom: double 3 black;
		display: inline;
	}
	</style>
</head>

<%
	String bloxName="report"+System.currentTimeMillis();
%>

<body>
<bloxreport:report interactive="false" id="report1"
	bloxName="<%= bloxName %>" errors="true" >

	<bloxreport:cannedData />
	
	<bloxreport:calculate 
		index="6"
		expression="[Gross Margin] = Sales - Cost">
     	</bloxreport:calculate>

	<bloxreport:calculate 
		index="7"		
		expression="[Profit%] = [Gross Margin]/Sales*100" />

   <bloxreport:sort>
		<bloxreport:rule member="Product"/>
	</bloxreport:sort>
	
	<bloxreport:group members="Product">
        <bloxreport:aggregation member="Sales" type="sum" />
		<bloxreport:aggregation member="Units" type="sum" />
		<bloxreport:aggregation member="Cost" type="sum" />
		<bloxreport:aggregation member="Code" type="none" />
		<bloxreport:aggregation member="[Gross Margin]" type="none" />
		<bloxreport:aggregation member="[Profit%]" type="average" />
		<bloxreport:aggregation member="[Gross Margin]" type="none" />
	</bloxreport:group>

	<%--Specifying the data format using FormatBlox for numeric 
	data and the default text for missing data--%>
  	<bloxreport:format>
		<bloxreport:numeric format="#####" />
    	<bloxreport:numeric format="$#,###.00;$(#,###.00)" member="Sales" />
    	<bloxreport:numeric format="$#,###.00;$(#,###.00)" member="Cost" />
    	<bloxreport:numeric format="$#,###.00;$(#,###.00)" member="[Gross Margin]" />
		<bloxreport:numeric format="##.00;(##.00)"  member="[Profit%]" />
    	<bloxreport:missing format="Units Value Missing" 
       		member="Units" />
    	<bloxreport:missing format="Sales Value Missing" 
       		member="Sales" />
  	</bloxreport:format>

	<%--Specifying the style for the report using StyleBlox. Separate tags 
	are available for specifying the style for missing values,
	negatvie values, and data columns.--%>
	<bloxreport:style>
		<bloxreport:banding style="background-color: #CCFFCC" />
		<bloxreport:column style="text-align: center" member="Code" />
		<bloxreport:missing style="font-style: italic; background-color: #cccc99;" />
		<bloxreport:negative style="background-color: red;" />
	</bloxreport:style>

    <bloxreport:text>

        <bloxreport:groupHeader level="1" text="<a href=\"javascript:fn('<member/>')\">Level 1: <member/></a>"></bloxreport:groupHeader>

        <bloxreport:columnHeader columnName="Sales" text="<span class=\"highlight\"><member/></span>"></bloxreport:columnHeader>
		<bloxreport:columnHeader columnName="Cost" text="<a href=\"javascript:fn('<member/>')\"><member/></a>"></bloxreport:columnHeader>
		<bloxreport:columnHeader columnName="Type" text="<a href=\"type.html\"><member/></a>"></bloxreport:columnHeader>

        <bloxreport:groupHeader level="2" text="<a href=\"javascript:fn('<member/>')\">Level 2: <member level=\"1\"/> - <member/></a>"></bloxreport:groupHeader>

        <%-- This works only because of the inline style change in the header --%>
        <bloxreport:groupFooter level="1" text="<a href=\"javascript:fn('<member/>')\">Level 1 Footer: <member/></a>"></bloxreport:groupFooter>
        <bloxreport:groupTotal level="1" columnName="Sales" text="<span class=\"highlight\"><value/></span>"></bloxreport:groupTotal>

        <bloxreport:groupFooter level="2" text="<a href=\"javascript:fn('<member/>')\">Level 2 Footer: <member/></a>"></bloxreport:groupFooter>
		<bloxreport:groupTotal level="2" columnName="Cost" text="<a href=\"javascript:fn2('<value/>')\"><value/></a>"></bloxreport:groupTotal>

		<bloxreport:groupTotal level="2" columnName="Units" text="<a href=\"units.html\"><value/></a>"></bloxreport:groupTotal>

		<bloxreport:groupTotal level="2" columnName="Sales" text="<span class=\"highlight\"><value/></span>"></bloxreport:groupTotal>

        <bloxreport:data columnName="Code" text="<i><a href=\"javascript:getURL('<value/>')\"><value/></a></i>"></bloxreport:data>

	</bloxreport:text>
	
	<bloxreport:members excluded="Area"/>
	<bloxreport:order excluded="Cost" /> 

</bloxreport:report>
</body>

</html>