<%@ page import="com.alphablox.net.URLFactory"%>
<!-- Importing the Blox Reporting Tag Library  -->
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<!-- For better error reporting. Make sure the error JSP file actually exists. -->
<%@ page errorPage="error.jsp" %> 
<!-- So multi-byte character sets display correctly -->
<%@ page contentType='text/html; charset=UTF-8' %>

<html>
<head>
	<title>Accessing group total values from group headers</title>
	<!-- using a stylesheet that defines the styles for the interactive context menus-->
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />

	<style>

	h1 { 
  		font-size: 16pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: center;
  	}

	p {  
  		font-family: Arial, Helvetica, sans-serif; 
  		font-size: 9pt; 
  		font-style: normal;
  	}

	.groupheader1, .groupfooter1, .grouptotal1 { 
  		font-size: 12pt;
  		color: #000000;
  		font-family: Arial, Helvetica, sans-serif; background-position: center; font-weight: bold;
  	}
	.groupheader2, .groupfooter2, .grouptotal2 { 
  		font-size: 10pt;
		padding-left: 3;
  		color: #000000;
  		font-family: Arial, Helvetica, sans-serif; background-position: left; font-weight: bold;
  	}

	.groupheader3, .groupfooter3, .grouptotal3 { 
  		font-size: 9pt;
		padding-left: 6;		
  		color: #000000;
  		font-family: Arial, Helvetica, sans-serif; background-position: left; font-weight: bold;
  	}
	.data {
  		font-size: 8pt;
  		color: black;
  		font-family: Arial, Helvetica, sans-serif;
		padding-left: 8;
	}
	.banding {
		background-color:#CCFFCC;
	}
	</style>

</head>
<%
	String rankExpression = "Rank = rank(Sales, DESC, 1)";
	String productCount = "pCount = runningCount(Sales, 3)";
	String level2Text = "<div align=\"left\"><b><member level=\"1\" />: <member/></b></div>"+
                        "<div align=\"right\">Rank: <value member=\"Rank\" /></div>";
	String level3Text = "<div align=\"left\"><b><member level=\"2\" />: <member/></b></div>"+
                        "<div align=\"right\">Product count: <value member=\"pCount\" /></div>";
%>

<body bgcolor="#FFFFFF">
<bloxreport:report id="groupCalcBlox" interactive="false">
	<bloxreport:cannedData />
	<bloxreport:group members="Location, Week_Ending" >
	   <bloxreport:aggregation member="Code" type="none" />	
	</bloxreport:group>

	<bloxreport:calculate expression="<%= rankExpression %>" ></bloxreport:calculate> 
	<bloxreport:calculate expression="<%= productCount %>" ></bloxreport:calculate> 

	<bloxreport:members excluded="Area, Type, Units, Cost" />
	<bloxreport:order included="pCount, Product, Code, Sales, Rank" />

	<bloxreport:text>
		<bloxreport:groupHeader level="1"
			text="Product Sales by <member/>"  />

		<bloxreport:groupHeader level="2"
			text="<%= level2Text %>" />

		<bloxreport:groupHeader level="3"
			text="<%= level3Text %>" />

		<bloxreport:columnHeader
			columnName="pCount"
			text=" " />

		<bloxreport:data
			columnName="pCount"
			text=" " />

		<bloxreport:groupTotal
			columnName="pCount"
			level="1"
			text=" " />
		
		<bloxreport:groupTotal
			columnName="pCount"
			level="2"
			text=" " />

		<bloxreport:groupTotal
			columnName="pCount"
			level="3"
			text=" " />

		<bloxreport:columnHeader 
			columnName="Sales" />

	</bloxreport:text>

	<bloxreport:style>
		<bloxreport:text style="text-align: right;" />
		<bloxreport:numeric style="text-align: right;" />
		<bloxreport:missing style="background-color: aqua;" />
		<bloxreport:negative style="background-color: red;" />
		<bloxreport:column style="font-size: 75%; text-align: right; color: white; background-color: gray;" columnName="Sales" />
		<bloxreport:column style="color: blue; text-align: right;" columnName="Units"/>
	</bloxreport:style>

      <bloxreport:format>
                <bloxreport:numeric format="$#,###; ($#,###)" member="Sales"/>
	</bloxreport:format>
</bloxreport:report>

</body>
</html>