<%@ page import="com.alphablox.blox.BloxContextFactory,
				 com.alphablox.blox.BloxContext,
				 com.alphablox.blox.Blox"%>
<%@ page import="com.alphablox.net.URLFactory"%>
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<html>
 	<head>
		<title>Group-based Summary Columns with Calculation Functions</title>
		<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />

        <style>
       .groupheader1, .grouptotal1 {
  		font-size: 12pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
		padding-top: 4;
		padding-bottom: 4;
		background-color: #ffff99;
  	}

	.groupheader2, .grouptotal2 {
  		font-size: 10pt;
  		color: #663366;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
		padding-left: 2;
		padding-top: 2;
		padding-bottom: 2;
		background-color: #ffffcc;
  	}

	.groupheader3, .grouptotal3, .groupfooter3 {
  		font-size: 9pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
		padding-left: 2;
		padding-top: 2;
		padding-bottom: 2;
  	}

	.groupheader4, .grouptotal4 {
  		font-size: 8pt;
  		color: #330066;
		padding-left: 4;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
  	}

	.groupheader3 {
		border-bottom: white thin ridge;
	}

    .grouptotal1, .grouptotal2, .grouptotal3, .grouptotal4 {
		padding-bottom: 0;
		text-align: right;
      }
        .groupfooter1 {
  		font-size: 12pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
		padding-top: 0;
		padding-bottom: 4;
		background-color: #ffffcc;
	        display: inline;
		}
	.groupfooter2 {
		font-size: 10pt;
  		color: #663366;
  		font-family: Arial, Helvetica, sans-serif;
		font-weight: bold;
		padding-left: 2;
		padding-top: 2;
		padding-bottom: 0;
		background-color: #ffffcc;
	        display: inline;
		}
	.groupfooter3 {
		display: inline;

		}
	.groupfooter4 {
		display: none;
		}
	.data {
  		font-size: 8pt;
  		color: black;
  		font-family: Arial, Helvetica, sans-serif;
		padding-left: 8;
		}
	.banding {
		background-color:#CCFFCC;
		}
	.column {
		font-size: 10pt;
  		color: black;
		}
        </style>
	</head>

<%
    // This example always starts with a new ReportBlox. So remove the
    // old one if it exists.

	BloxContext context = BloxContextFactory.getBloxContext( pageContext.getRequest(), pageContext.getResponse() );
	Blox blox = context.getBlox("reportTestFunction");
	if(blox != null) {
		context.deleteBlox(blox);
	}

    String levelString = request.getParameter("level");
    boolean ascending = request.getParameter("ascending") != null;
    int level;

    if (levelString == null)
        level = -1;
    else
        level = Integer.parseInt(levelString);

    String args = "Units";
    if (level > 0)
        args+=","+level;

    String rankExpression = "Rank = rank("+args+")";
    String percentOfTotalExpression = "[% Total] = percentOfTotal("+args+")";
    String runningTotalExpression = "RunningTotal = runningTotal("+args+")";
    String runningCountExpression = "RunningCount = runningCount("+args+")";

    if (ascending) {
        if (level > 0)
            rankExpression = "Rank = rank(Units,ASC,"+level+")";
        else
            rankExpression = "Rank = rank(Units,ASC)";
    }
%>

	<body>

    <form id="theForm" action="report_groupData.jsp">
      <table>
        <tr><td><b>Level: </b></td>
            <td><select name="level" onChange="document.all.theForm.submit()">
                  <option value="-1" selected="<%= (level == -1) ? "selected" : "" %>">Unspecified
                  <option value="1" <%= (level == 1) ? "selected" : "" %>>1
                  <option value="2" <%= (level == 2) ? "selected" : "" %>>2
                  <option value="3" <%= (level == 3) ? "selected" : "" %>>3
                  <option value="4" <%= (level == 4) ? "selected" : "" %>>4
                </select></td>
        </tr>
        <tr><td><b>Rank Ascending: </b></td>
            <td><input name="ascending" type="checkbox" <%= (ascending) ? "checked" : "" %> onClick="document.all.theForm.submit()"></td>
        </tr>
      </table>
    </form>

    <bloxreport:report interactive="false" id="reportTestFunction"
        errors="false" >
        <bloxreport:cannedData />

         <bloxreport:members excluded="Sales, Cost, Code, Type" ></bloxreport:members>

        <bloxreport:sort member="Week_Ending" />
        <bloxreport:sort member="Product" />

        <bloxreport:group members="Area, Location, Week_Ending" />

        <bloxreport:calculate expression="<%= rankExpression %>" ></bloxreport:calculate>
        <bloxreport:calculate expression="<%= percentOfTotalExpression %>" ></bloxreport:calculate>
        <bloxreport:calculate expression="<%= runningTotalExpression %>" ></bloxreport:calculate>
        <bloxreport:calculate expression="<%= runningCountExpression %>" ></bloxreport:calculate>

        <bloxreport:text>
                <bloxreport:groupHeader level="1" text="(Level 1) For All <member/>s">
                </bloxreport:groupHeader>

                <bloxreport:groupHeader level="2" text="(Level 2) <member level=\"1\"/>: <member/>">
                </bloxreport:groupHeader>

                <bloxreport:groupHeader level="3" text="(Level 3) Location: <member/>">
                </bloxreport:groupHeader>

                <bloxreport:groupHeader level="4" text="(Level 4) Week_Ending: <member/>">
                </bloxreport:groupHeader>

                <bloxreport:groupFooter level="1" text="End of Report for All <member/>s">
                </bloxreport:groupFooter>

                <bloxreport:groupFooter level="2" text="--End of Area: <member/>">
                </bloxreport:groupFooter>

                <bloxreport:groupFooter level="3" text="----End of Location: <member/>">
                </bloxreport:groupFooter>

         </bloxreport:text>

        <bloxreport:format>
                <bloxreport:numeric format="###.0%;(###.0%)" member="[% Total]"/>
                <bloxreport:numeric format="#,###;(#,###)" />
        </bloxreport:format>

    </bloxreport:report>

</body>
</html>


