<%@ page import="com.alphablox.net.URLFactory"%>
<!-- Importing the Blox Reporting Tag Library  -->
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<!-- For better error reporting. Make sure the error JSP file actually exists. -->
<%@ page errorPage="error.jsp" %> 
<!-- So multi-byte character sets display correctly -->
<%@ page contentType='text/html; charset=UTF-8' %>


<html>
<head>
	<title>Processing and Manipulating Data</title>
	<!-- Use the default stylesheet supplied. Must provide a stylesheet
	for interactive mode to display properly -->
	<link rel="stylesheet" href="../docstyles.css" type="text/css">
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />

	<style>

	<%-- using in-line style to re-define some HTML styles and the text style 
	for level 1 group header, total, and footer. --%>
	h2 { text-align: center }
	td { vertical-align: top }
	.groupheader1, .groupfooter1, .grouptotal1 { 
  		font-size: 12pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: center; font-weight: bold;
  	}
	.groupheader2, .groupfooter2, .grouptotal2 { 
  		font-size: 10pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: left; font-weight: bold;
  	}

	.groupheader3, .groupfooter3, .grouptotal3 { 
  		font-size: 9pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: left; font-weight: bold;
  	}
	.groupheader4, .groupfooter4, .grouptotal4 { 
  		font-size: 8pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: left; font-weight: bold;
  	}

	.column {
		font-size: 90%; 
		font-weight: bold;
	}

	.data {  
  		font-family: Arial, Helvetica, sans-serif; 
  		font-size: 9pt; 
  		font-style: normal;
  	}

	.banding {background-color:#ffffcc;}

	</style>
</head>

<body bgcolor="#FFFFFF">
<h2>Processing and Manipulating Data: <br>
  An Interactive Product Profitability Report</h2>

<bloxreport:report id="processData" interactive="true">
	<%-- Since we are using canneddata, we are not using SQLdataBlox or 
	DataSourceConnectionBlox. 
	<bloxreport:sqlData 
		query="SELECT... FROM ... WHERE .....">
		<bloxreport:dataSourceConnection 
			dataSourceName="yourRDB" />
	</bloxreport:sqlData>
	--%>

	<bloxreport:cannedData />

	<%--Adding a calculated member "Gross Margin" as member no. 7. 
	By default, the calculated member will be added to the end of the
	column dimension. Note that "Gross Margin" is enclosed in square 
	brackets since the member name contains a space. --%>
	<bloxreport:calculate 
		index="6"
		expression="[Gross Margin] = Sales - Cost">
     	</bloxreport:calculate>

	<%--Adding a calculated member "Profit%" as member No. 8. Note that
	"Profit%" is also enclosed in square brackets as the member name 
	contains a special character (characters other than a-z, A-Z, and _ )--%>
	<bloxreport:calculate 
		index="7"		
		expression="[Profit%] = [Gross Margin]/Sales*100" />

	<%--Do not display members "Code" and "Type".--%>
	<bloxreport:members 
		excluded = "Code, Type" />
    
    <bloxreport:sort>
		<bloxreport:rule member="Product"/>
	</bloxreport:sort>
	
	<%--Specifying the break groups. For aggregation 
	at the end of break groups, we want "sum" for "Sales", "Units", and 
	"Cost"; "average" for "Profit%"; and we don't want any aggregation for  
	"Gross Magin". By default, the aggregation type is "sum". --%>
	<bloxreport:group members="Product">
		<bloxreport:aggregation member="Sales" type="sum" />
		<bloxreport:aggregation member="Units" type="sum" />
		<bloxreport:aggregation member="Cost" type="sum" />
		<bloxreport:aggregation member="[Profit%]" type="average" />
		<bloxreport:aggregation member="[Gross Margin]" type="none" />
	</bloxreport:group>

	<%--Specifying the group headers and group totals--%>
	<bloxreport:text>
		<bloxreport:groupHeader level="1"
			text="Profitability by <member/>" />
		<bloxreport:groupHeader level="2"
			text="<member level=\"1\"/>: <member/>" />
		<bloxreport:columnHeader 
			columnName="Units"
			text="Units Sold" /> 
		<bloxreport:groupTotal level="1"
			columnName="Profit%"
			text="Grand Average Profit %: <value/>" />   
		<bloxreport:groupTotal level="1"
			columnName="Cost"
			text="Grand Total Cost: <value/>" />  
		<bloxreport:groupTotal level="1"
			columnName="Sales"
			text="Grand Total Sales: <value/>" />
		<bloxreport:groupTotal level="1"
			columnName="Units"
			text="Overall Total Units: <value/>" />

		<bloxreport:groupTotal level="2"
			columnName="Profit%"
			text="average: <value/>" />
		<bloxreport:groupTotal level="2"
			columnName="Cost"
			text="total: <value/>" />
		<bloxreport:groupTotal level="2"
			columnName="Sales"
			text="total: <value/>" />
		<bloxreport:groupTotal level="2"
			columnName="Units"
			text="total: <value/>" />
         </bloxreport:text>
</bloxreport:report>

</body>
</html>