<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
  <title>PresentBlox - Commonly Used Settings</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>PresentBlox - Commonly Used Settings</h2>
<p>This PresentBlox uses the following commonly modified property settings:</p>
<ul>
  <li>chart: chartType</li>
  <li>grid: defaultCellFormat</li>
  <li>data: selectableSlicerDimensions</li>
  <li>present: height, width, splitPane, dividerLocation</li>
</ul>
<br>

<blox:present id="CommonPresentBlox"
    width="90%"
    height="90%"
    splitPane="true"
    dividerLocation=".5">

    <blox:data
        dataSourceName="QCC-Essbase"
        query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
        selectableSlicerDimensions="All Locations" />

    <blox:grid
        defaultCellFormat="#,###" />

    <blox:chart
	    chartType="Bar" />

</blox:present>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxBasics/presentBloxCommon.jsp">View Source</a>

</body>

</html>
