<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.tags.IActionFilter,
                 com.alphablox.blox.DataViewBlox,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.blox.uimodel.core.MessageBox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="afDataBlox"
 	dataSourceName="QCC-Essbase"
    query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
	useAliases="true"
    selectableSlicerDimensions="Market" />

<%!
    IActionFilter filter = new IActionFilter() {
	    public void actionFilter( DataViewBlox blox, Component component ) throws Exception
		{
        	MessageBox.message( component, "Action Filter", "Item has been clicked!" );
    	}
    };

%>

<html>
<head>
<title>Using an Action Filter</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Using an Action Filter</h2>

<p>The <code>&lt;bloxui:actionFilter&gt;</code> tag can be used to intercept
  a user action and prevent it from occurring or change its behavior. In the
  example below, when you select the Pivot option on the contextual (right-click)
  menu, the pivot doesn't occur, but instead a dialog window appears.</p>

<blox:grid id="afGridBlox"
 	width="100%"
 	height="90%">

	<blox:data bloxRef="afDataBlox" />

	<bloxui:actionFilter
	    filter="<%= filter %>"
 		componentName="dataPivot" />

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/actionFilter.jsp">View Source</a>
</body>
</html>
