<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.GridDataActionEvent,
                 com.alphablox.blox.uimodel.GridBrixCellModel"%>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="butterflyReportDataBlox" 
	dataSourceName="QCC-Essbase" 
	useAliases="true" 
    query='<ROW ("All Locations") "Central" "East" "West" "All Locations" <ASYM <COLUMN ("Scenario","All Time Periods")     "Actual" "Actual" "Forecast" "Forecast" "2000.Q3" "2000.Q4" "2001.Q1" "2001.Q2"!' />

<html>

<head>

<title>Butterfly Report</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header>
	<blox:clientBean name="butterflyReportDataBlox">
		<blox:method name="setQuery" />
		<blox:method name="connect" />
	</blox:clientBean>
</blox:header>

<script language="JavaScript">

function getDefaultView() {

	var query = '<ROW ("All Locations") "Central" "East" "West" "All Locations" <ASYM <COLUMN ("Scenario","All Time Periods") "Actual" "Actual" "Forecast" "Forecast" "2000.Q3" "2000.Q4" "2001.Q1" "2001.Q2" !';
	
	document.butterflyReportDataBloxAPI.setQuery(query);
	document.butterflyReportDataBloxAPI.connect();
}

</script>

</head>

<body>

<h2>Butterfly Report</h2>
<p>Shows the use of a nested <code>&lt;bloxui:butterflyReport&gt;</code> tag in a GridBlox to display
      column headers between Actual and Budget columns.</p>
<br>

<blox:grid id="butterflyReportGridBlox" 
	width="90%"
	height="90%">

	<bloxui:butterflyLayout 
		scope="{Forecast; Qtr 1 01}" 
		showOnLayoutMenu="true" 
		addSeparatorColumns="false" />

    <bloxui:menu name="<%= ModelConstants.MAIN_MENU %>"	>
        <bloxui:menuItem name="<%= ModelConstants.DATA_SWAP_AXES %>" visible="false" />
    </bloxui:menu>

    <%
        GridBloxModel model = butterflyReportGridBlox.getGridBloxModel();

        model.getGrid().getController().addEventHandler(new IEventHandler() {
            public boolean handleGridDataActionEvent(GridDataActionEvent event) throws Exception {
                GridBrixCellModel cells[] = event.getGridCells();

                // If any of the cells is a header cell, then ignore the data action
                for ( int i=0; i < cells.length; i++ )
                    if (cells[i].isColumnHeader())
                        return true;
                return false;
            }
        } );
    %>

	<blox:data
		bloxRef="butterflyReportDataBlox" />

</blox:grid>

<form>
	<input name="DefaultQueryButton" type="button" onClick="getDefaultView()" value="Get Default View">
</form>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/butterflyReport.jsp">View Source</a>

</body>
</html>


