<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>

<head>
<title>Highlighting Grid Elements</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Highlighting Grid Elements</h2>
<p>Shows the use of nested <code>&lt;bloxui:gridHighlight&gt;</code> tags in a GridBlox to highlight  column headers and a row. Also, in this example, 
the Format menu is enabled, allowing users to choose developer-defined highlighting options.</p>
<br>

<blox:grid id="hrcGridBlox"
	width="100%"
	height="90%">

	<blox:data
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Locations") <ICHILD "All Locations" <COL ("All Time Periods",Scenario) <CHILD "2000" <CHILD Scenario Sales !'
		useAliases="true" />

	<bloxui:gridHighlight
		scope="{All Locations:East;}"
		description="Highlight East"
		applyLayout="false"
		showOnLayoutMenu="true"
		style="font-weight:bold; font-size:14; color: white; background-color: teal;" />

	<bloxui:gridHighlight
		selection="columnheaders"
		description="Highlight Column Headers"
		showOnLayoutMenu="true"
		style="font-weight:bold; color:yellow;" />

</blox:grid>


<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/gridHighlight.jsp">View Source</a>

</body>

</html>