<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="tbnPresentBlox"
    visible="false"
	chartAvailable="false">

	<blox:dataLayout
		visible="false" />

	<blox:grid
		bandingEnabled="true" />

	<blox:data
		dataSourceName="QCC-Essbase"
    	query='<ROW ("All Products") <CHILD "All Products" <COL ("All Locations") <ICHILD "All Locations" Sales !'
 		useAliases="true" />

	<bloxui:topN
		number="10"
		showRank="true" />

	<bloxui:topN
		prompt="true"
		showRank="true"
		number="23" />

	<bloxui:bottomN
		number="10"
		showRank="true" />

	<bloxui:bottomN
		prompt="true"
		showRank="true"
		number="7" />

	<bloxui:percentOfTotal />

</blox:present>

<html>

<head>
<title>Top N/Bottom N and Percent of Total</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Top N/Bottom N and Percent of Total</h2>

<p>Shows the use of a nested <code>&lt;bloxui:topN&gt;</code>,  <code>&lt;bloxui:bottomN&gt;</code>, and <code>&lt;bloxui:percentOfTotal&gt;</code> tags in a GridBlox to allow users to easily select predefined or user-specified
 numbers of top or bottom members and to display a custom calculation for percent of total for a selected member. To use the Top N/Bottom N feature, select a cell in the grid, then right-click to display the contextual menu. In the contextual menu, select Advanced to see the submenu containing the Top N/Bottom N options.
</p>

<blox:display bloxRef="tbnPresentBlox"
    height="90%"
    width="90%" />

</body>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/topNbottomNpercentOfTotal.jsp">View Source</a>

</html>