<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>"Bubble1"</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Bubble Chart 1</h2>
<p>Bubble charts are a variation of a typical scatter (or X-Y) chart, where the bubbles represent
  data point and provide a way to display a third variable in a chart. The diameter
  or area of each buble is proportional to the value it represents.</p>
<p>In this example, the ChartBlox <code>dataValueLocation</code> tag attribute
  specifies that the values to be represented on the chart include the following
  three Measures dimension members: Units Sold, Avg Unit Price, and Avg
  Unit Cost. Also, the <code>markerShape</code> attribute values of 2 set the
  shape of the markers in this example to be circles. </p>
<blox:present id="Bubble1" 
	width="100%" 
	height="90%">

	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Bubble Chart"
		dataValueLocation="Measures:Units Sold, Avg Unit Price, Avg Unit Cost"
		legendPosition="bottom"
		markerShape="2,2,2,2,2" />

	<blox:data 
		dataSourceName="QCC-Essbase"
		useAliases="true"
		query='<COLUMN ("All Products") <SYM "Milk Chocolate Truffles" "Dark Chocolate Truffles" "White Chocolate Truffles" "Milk Chocolate Blocks" "Dark Chocolate Blocks" "White Chocolate Blocks" "Milk Chocolate Blocks w Almonds" "Chocolate Covered Almonds" "Chocolate Covered Asst Nuts" "Chocolate Covered Hazelnuts" "Chocolate Covered Macadamia Nuts" "Peanut Brittle" "Almond Brittle" "Macadamia Brittle" "Chocolate Fudge" "Caramel Suckers" "Coffee Suckers" <ROW ("Measures") "Units Sold" "Avg Unit Price" "Avg Unit Cost" !' />

</blox:present>
<br>
<a href="tags/Bubble1.jsp" target="CodeView">Display Code View</a>

</body>

</html>