<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>"Bubble2"</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Bubble Chart 2</h2>
<p>Bubble charts are a variation of a typical scatter (or X-Y) chart, where the bubbles represent
  data point and provide a way to display a third variable in a chart. The diameter
  or area of each bubble is proportional to the value it represents.</p>
<p>ChartBlox Notes:</p>
<ul>
  <li> The <code>dataValueLocation</code> tag attribute specifies that the values
    to be represented on the chart include three Measures dimension members:
    Units Sold, Avg Unit Price, and Avg Unit Cost. </li>
  <li>The <code>markerShape</code> attribute values of 2 set the shape of the
    markers in this example to be circles.</li>
  <li>The <code>filter</code> attribute specifies that the All Products dimension
    should appear in the chart dimension filter. </li>
  <li>The <code>legend</code> attribute specifies that only the Measures dimension
    should be displayed in the legend. </li>
</ul>
<blox:present id="Bubble2" 
	width="100%" 
	height="90%"> 

	<blox:dataLayout visible="false" /> 

	<blox:chart
		chartType="Bubble Chart"
		dataValueLocation="Measures:Units Sold, Avg Unit Price, Avg Unit Cost"
		legendPosition="bottom"
		markerShape="2,2,2,2,2"
		y1Axis=""
		y2Axis=""
		filter="All Products"
		legend="Measures" /> 

	<blox:data 
		dataSourceName="QCC-Essbase"
		useAliases="true"
		query='<COLUMN (Measures) <SYM "Units Sold" "Avg Unit Price" "Avg Unit Cost"  <ROW ("All Products") Truffles "Chocolate Blocks" "Chocolate Nuts" Specialties Seasonal !' /> 

</blox:present>
<br>
<a href="tags/Bubble2.jsp" target="CodeView">Display Code View</a> 

</body>

</html>
