<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Combination Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Combination Chart</h2>

<p>This examples shows the combination of a bar chart with a line chart in the
  same chart panel. The <code>chartType</code> attribute is set to &quot;<code>Vertical
  Bar, Side-by-Side</code>&quot;. To add a line chart, the lineSeries attribute
  is included and set to &quot;<code>2001.Q3</code>&quot; to display a line
chart on top of the bar chart. </p>

<blox:present id="Combo" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Vertical Bar, Side-by-Side"
		lineSeries="2001.Q3"
		legendPosition="bottom" />

	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<COLUMN ("All Products", "All Locations") <SYM <ICHILD "All Products" <CHILD "All Locations" <ROW ("Scenario", "All Time Periods") <ICHILD "Scenario" <ICHILD "2001" !'
		useAliases="false" />

</blox:present>

<br>
<a href="tags/Combo.jsp" target="CodeView">Display Code View</a>

</body>

</html>