<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<title>Dual-Axis Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Dual-Axis Chart</h2>

<p>This is an example of a dual-axis chart, showing the two different sets of
  data on the y1 and y2 axes. The x-axis has been defined to display products.
  On the y2 axis, a calculated member is displayed with values for Diff (Sales
  minus the COGS). </p>

<blox:present id="DualAxis"
	width="100%"
	height="90%">

	<blox:dataLayout visible="false" />

	<blox:chart
		chartType="Vertical Bar, Side-by-Side, Dual Axis"
 		lineSeries="Diff"
 		legendPosition="bottom"
 		totalsFilter="0"
		y2FormatMask="###.00"
 		autoAxesPlacement="false"
 		y2Axis="Diff"
 		y1Axis='"Sales","COGS"'
 		XAxis="All Products" />

	<blox:data
		dataSourceName="QCC-Essbase"
 		query='Sales <COLUMN (Measures) <SYM Sales COGS <ROW ("All Products") <ICHILD Truffles !'
		useAliases="true"
		calculatedMembers="Measures:Diff=Sales - COGS" />

</blox:present>

<br>
<a href="tags/DualAxis.jsp" target="CodeView">Display Code View</a>

</body>

</html>
