<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Chart Effects - Gradients</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Chart Effects - Gradients</h2>
<p>In this example, the <code>seriesFill</code> attribute is used to specify
  color gradients as the fill for the bars representing data within the chart.
  The backgroundFill attribute is also used, to specify the background for the
chart. </p>
<blox:present id="Effects_Gradients" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />
	
	<blox:chart 
		chartType="Vertical Bar, Side-by-Side"
 		legendPosition="bottom"
		backgroundFill="#FF0000, #FFCCFF, #FFCCCC, #CCFFFF, 3"
		axisTitleStyle="foreground=black,font=Courier:Bold:16">
	
		<blox:seriesFill index="1" value="red,yellow,6"/>
		<blox:seriesFill index="2" value="green,blue,7"/>
		<blox:seriesFill index="3" value="green,yellow,8"/>
		<blox:seriesFill index="4" value="0x990099,0x99cc99,9"/>
		<blox:seriesFill index="5" value="blue,red,6" />
	</blox:chart>

<blox:data 
		dataSourceName="QCC-Essbase"
		query='<COLUMN ("Scenario") <SYM "Actual" "Forecast" "Variance" <ROW ("All Products") <ICHILD "All Products" !' />

</blox:present>
<br>
<a href="tags/Effects-Gradients.jsp" target="CodeView">Display Code View</a>

</body>

</html>