<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Pareto Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Pareto Chart</h2>

<p>In the following example, the <code>chartType</code> attribute value is set
  to <code>Pareto</code>,
  resulting in a line showing the running total as a percentage. When this line
  begins leveling out, that&rsquo;s
  considered the cut off for the subset. Pareto charts are used to identify the
  small subset of biggest contributors (80/20 analysis) and where to focus efforts.</p>
  
<blox:present id="Pareto" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Pareto"
		legendPosition="bottom" />

	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("Week Ending") <SYM "Jul 01" "Aug 01" "Sep 01" "Oct 01" "Nov 01" "Dec 01" "Jun 01" "May 01" "Apr 01" "Mar 01" "Feb 01" "Jan 01" <COLUMN ("All Locations") "N. Cal." !'
		useAliases="true" />

</blox:present>
<br>
<a href="tags/Pareto.jsp" target="CodeView">Display Code View</a>

</body>

</html>