<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Trendline Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Trendline Chart</h2>
<p>Trendlines provide &ldquo;predictive analytics&rdquo; and
  are often used in forecasting and planning applications. </p>
<p>Alphablox Analyitics supports six types of trend lines:</p>

<ul>
  <li>linear</li>
  <li>    polynomial (up to the 100th order)</li>
  <li>    exponential</li>
  <li>    power</li>
  <li>    logarithmic</li>
  <li>    moving average</li>
</ul>

<p>To use trend lines, users can right-click on a data point, then select Advanced &gt; Add
    Trendline to define a new trendline. Or, as in the example below, you can
  define the trendlines programmatically. The following example displays
  a linear trendline, with the <code>trendLines</code> attribute
  defining the trendline characteristics. </p>
  
<blox:present id="Trendline" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Line"
 		legendPosition="bottom"
 		trendLines="name=poly(3);member=All Locations:All Locations;replace=true;type=polynomial(3),name=line;member=All Locations:Central;type=linear" />

	<blox:data 
		dataSourceName="QCC-Essbase"
		useAliases="true"
		query='<COLUMN ("All Time Periods") <SYM <ICHILD "Qtr 1 00" <ICHILD "Qtr 2 00" <ICHILD "Qtr 3 00" <ICHILD "Qtr 4 00" <ICHILD "Qtr 1 01" <ICHILD "Qtr 2 01" <ICHILD "Qtr 3 01" <ICHILD "Qtr 4 01" "2001" "All Time Periods" <ROW ("All Locations") "All Locations" !' />

</blox:present>
<br>
<a href="tags/Trendline.jsp" target="CodeView">Display Code View</a>

</body>
</html>