<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<%@ page import="com.alphablox.blox.Blox, 
                 com.alphablox.blox.pdfreport.PDFReport" %>

<%--
     Default PDF properties have been defined in the blox:pdfReport tag 
     in the navigation.jsp file at the application root directory. This 
	 allows the settings to be applied upon the opening of the application.
--%>

<blox:pdfReport>
	<blox:pdfDialogInput index="1"
		displayName="Report Title"
		defaultValue="Multiple Blox to PDF Example" />
</blox:pdfReport>

<html>

<head>
	<title>Multiple Blox to PDF - with Titles</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css"> 

</head>

<body>

<h2>Multiple Blox to PDF - with Titles</h2>
<p>Clicking the button at the bottom of the page renders all of the Blox on this page to a single PDF file. 
Added <code>&lt;bloxui:title&gt;</code> tags appear in both the web page and PDF file. 	The <code>&lt;blox:pdfReport&gt;</code> and 
<code>&lt;blox:pdfDialogInput&gt;</code> tags define the title for the pages rendered to PDF. </p>
<br>

<blox:grid id="mbpdfGridBlox"
	width="600"
	height="400"
	noDataMessage="Loading..."
	bandingEnabled="false"
	showRowDataGeneration="true"
	menubarVisible="false">
  
  <blox:toolbar visible="false" />
	
	<bloxui:title
		title="GridBlox View"
		style="padding:15; font-weight:bold; color:red;" 
		alignment="left" />
		
	<blox:cellAlert
		condition="between"
		value="4000"
		value2="6000"
		background="pink" />

	<blox:data 
 		dataSourceName="QCC-Essbase"
		query = '<SYM <ROW ("Chocolate Type", "All Time Periods", Scenario) <COL ("All Locations") <ICHILD "Chocolate Type" <ICHILD "All Time Periods" <ICHILD Scenario <ICHILD  "All Locations" !'
		useAliases="true" />

</blox:grid>

<blox:chart id="mbpdfChartBlox"
	width="600"
	height="400"
	title="Products by Time"
	chartType="Bar"
	menubarVisible="false">
	
	<blox:toolbar visible="false" />

	<bloxui:title
		title="ChartBlox View"
		style="padding:15; font-weight:bold; color:red;" 
		alignment="left" />

	<blox:data
	dataSourceName="QCC-Essbase"
		query = '<SYM <ROW ("Chocolate Type","All Time Periods",Scenario) <ICHILD "Chocolate Type" <ICHILD "All Time Periods" <ICHILD Scenario <COLUMN ("All Locations") <ICHILD "All Locations" !'
		useAliases = "true" />

</blox:chart>

<blox:present id="mbpdfPresentBlox"
  width="600"
  height="400"
  dataLayoutAvailable="false"
  menubarVisible="false">
  
  <blox:toolbar visible="false" />
  
 	<bloxui:title
		title="PresentBlox View"
		style="padding:15; font-weight:bold; color:red;" 
		alignment="left" />
 
	<blox:data 
 		dataSourceName="QCC-Essbase"
		query = '<SYM <ROW ("All Products") <CHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" !'
		useAliases="true" />

	<blox:grid
	  defaultCellFormat="#,###"
	  bandingEnabled="true" />

</blox:present>

<blox:container visible="true" id="containerName">
<%
    String bloxNames = "mbpdfGridBlox, mbpdfChartBlox, mbpdfPresentBlox";
    PDFReport.addButton(containerName, "buttonName", "Create PDF Report", bloxRequest, bloxNames);
%>
</blox:container>

<hr>
<a href="../../viewSource.jsp?file=Essbase/ConvertingToPDF/multipleBloxToPDFTitles.jsp">View Source</a>

</body>

</html>