<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="CBDataBlox"
	dataSourceName="QCC-Essbase"
	query='<SYM <ROW ("All Products") <CHILD "All Products" <COL ("All Time Periods") <CHILD "All Time Periods" <PAGE(Measures) Sales !' />

<blox:present id="CBPresentBlox"
	visible="false"
	width="600"
	height="350">
	<blox:toolbar/>
	<blox:data bloxRef="CBDataBlox" />
</blox:present>

<%
	session.setAttribute("CBPresentBlox_GridBlox",CBPresentBlox.getGridBlox());
%>

<html>
<head>
	<title>CheckBoxFormBlox Setting bandingEnabled and useAliases</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>CheckBoxFormBlox Setting bandingEnabled and useAliases</h2>
<p>Shows the use of a CheckBoxFormBlox to enable alternate row banding and the display of aliases in 
DB2 OLAP Server or Hyperion Essbase.</p>

<table>
<tr>
<td>
<bloxform:checkBox id="bandingCheckBox"
  title="Enable Alternate Row Banding">
 <bloxform:setChangedProperty 
 	targetRef="CBPresentBlox_GridBlox" 
	targetProperty="bandingEnabled" />
 </bloxform:checkBox>
</td>
</tr>
<tr>
<td>
<bloxform:checkBox id="useAliasesCheckBox"
  title="Display Aliases"  
  checked="true"> 
 <bloxform:setChangedProperty
 	targetRef="CBDataBlox" 
	targetProperty="useAliases"
	callAfterChange="updateResultSet()" />
</bloxform:checkBox>
</td>
</tr>
</table>
<blox:display bloxRef="CBPresentBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/FormBlox/checkBoxFormBlox.jsp">View Source</a>

</body>

</html>