<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.form.DataSourceSelectFormBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="AdHocDataBlox"
	connectOnStartup="false"
	useAliases="true" />

<blox:present id="AdHocPresentBlox"
	visible="false"
	width="600"
	height="350">
	<blox:toolbar/>
	<blox:grid 	
		noDataMessage="Select a data source" />
	<blox:chart	
		noDataMessage="Select a data source" />
	<blox:data bloxRef="AdHocDataBlox" />
</blox:present>



<bloxform:dataSourceSelect id="dataSourceSelector"
	type="MDB"
	adapter="Hyperion Essbase Adapter"
	visible="false" 
	nullDataSourceLabel="Select a Data Source">
<%
    dataSourceSelector.addFormEventListener(new DataSourceFormBloxEventListener(AdHocDataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:select id="filterSelector" visible="false">
<bloxform:option label="Essbase" value="<%=DataSourceSelectFormBlox.EssbaseAdapter%>" selected="true"/>
<bloxform:option label="Essbase Deployment Services" value="<%=DataSourceSelectFormBlox.EssbaseDeploymentServicesAdapter%>" selected="true"/>
<bloxform:option label="DB2-OLAP" value="<%=DataSourceSelectFormBlox.DB2OLAPServerAdapter%>"/>
<bloxform:option label="DB2-OLAP Deployment Services" value="<%=DataSourceSelectFormBlox.DB2OLAPDeploymentServicesAdapter%>"/>
 <bloxform:setChangedProperty
		targetRef="dataSourceSelector"
		targetProperty="adapterNameFilter"
		debugEnabled="true"
		/>
</bloxform:select>

<%!
    public class DataSourceFormBloxEventListener implements FormEventListener {
        private DataBlox dataBlox;

        public DataSourceFormBloxEventListener(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String dataSourceName = event.getFormBlox().getFormValue();

            dataBlox.setDataSourceName(dataSourceName);
            System.out.println("dataSourceName = " + dataSourceName);
            if (dataSourceName != null) {
                dataBlox.setQuery("!");
            }
            else
                dataBlox.disconnect(true);
        }
    }

%>


<html>

<head>
	<title>Ad Hoc Analysis using DataSourceSelectFormBlox</title>

	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

	<blox:header>
		<blox:clientBean name="AdHocDataBlox" >
			<blox:method name="connect" />
		</blox:clientBean>
	
	</blox:header>

	<script>

	function setAdHocAnalysis() {
		document.AdHocDataBloxAPI.connect();
	}

	</script>

</head>

<body>

<h2>Ad Hoc Analysis using DataSourceSelectFormBlox</h2>
<p>
A DataSourceSelectFormBlox can be used with DB2 OLAP Server or Hyperion Essbase data sources to allow business
  analysts or line of business power users to perform ad hoc analysis. When the
  user selects an DB2 OLAP Server or Hyperion Essbase data source, a default query is executed, giving access
  to the dimensions in the DataLayout panel.
</p>
<table>
<tr>
<td align="right">
	<b>Select Adapter Types to Show:</b>
</td>
<td>
    <blox:display bloxRef="filterSelector"/>
</td>
</tr>
<tr>
<td align="right">
    <b>Available Data Sources:</b>
</td>
<td>
	<blox:display bloxRef="dataSourceSelector"/>
</td>
</tr>
<tr>
<td>
	<form>	
		<input type="button" name="ConnectionButton" 
			value="Connect to DataSource" 
			onclick="setAdHocAnalysis()">
	</form>
</td>
</tr>
</table>
<blox:display bloxRef="AdHocPresentBlox" />

</body>

<hr>
<a href="../../viewSource.jsp?file=Essbase/FormBlox/dataSourceSelectFormBlox.jsp">View Source</a>

</html>