<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox"  %>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="dataBlox"
	dataSourceName="QCC-Essbase" 
	useAliases="true" />

<!-- Column Time tuples -->
<bloxlogic:tupleList id="timeTuples">
    <bloxlogic:dimension>All Time Periods</bloxlogic:dimension>
    <bloxlogic:tuple>
		<bloxlogic:member>Qtr 1 01</bloxlogic:member>
	</bloxlogic:tuple>
    <bloxlogic:tuple>
		<bloxlogic:member>Qtr 2 01</bloxlogic:member>
	</bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- Column Measures tuples -->
<bloxlogic:tupleList id="measuresTuples">
    <bloxlogic:dimension>Measures</bloxlogic:dimension>
    <bloxlogic:tuple>
		<bloxlogic:member>Sales</bloxlogic:member>
	</bloxlogic:tuple>
    <bloxlogic:tuple>
		<bloxlogic:member>Sales % of All Locations</bloxlogic:member>
	</bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- Page tuples -->
<bloxlogic:tupleList id="pageTuples">
    <bloxlogic:dimension>Scenario</bloxlogic:dimension>
    <bloxlogic:dimension>All Products</bloxlogic:dimension>
    <bloxlogic:tuple>
        <bloxlogic:member>Actual</bloxlogic:member>
        <bloxlogic:member>All Products</bloxlogic:member>
    </bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- MemberSelect FormBlox for the Product dimension -->
<!-- On change event the MemberSelect FormBlox will change the pageTuples -->
<bloxform:memberSelect
    id="selector"
    visible="false"
    dataBloxRef="dataBlox"
	dimensionName="All Products"
    rootMemberName="100"
    selectedMemberName="100">
	<bloxform:setChangedProperty formProperty="selectedMembers"
         targetRef="pageTuples"
         targetProperty="listFromMetadataMembers"
         callAfterChange="changed"/>
</bloxform:memberSelect>

<!-- The MDBQuery creates a query from the 2 column tuples, the page tuple -->
<!-- and the row query fragment -->
<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox">
	<bloxlogic:axis type="columns">
        <bloxlogic:crossJoin>
			<bloxlogic:tupleList tuplesRef="timeTuples" />
            <bloxlogic:tupleList tuplesRef="measuresTuples" />
		</bloxlogic:crossJoin>
	</bloxlogic:axis>
    <bloxlogic:axis type="rows" mutable="true" queryFragment="<ROW ('All Locations') <ICHILD 'All Locations'" />
    <bloxlogic:axis type="pages">
		<bloxlogic:tupleList tuplesRef="pageTuples" />
    </bloxlogic:axis>
</bloxlogic:mdbQuery>

<blox:present
    id="presentBlox"
    visible="false">
    <blox:data
        bloxRef="dataBlox" />
</blox:present>

<html>
<head>
	<title>Modifying Queries using MDBQueryBlox and MemberSelectFormBlox</title>
    <blox:header />
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>
<body>
<h2>Modifying Queries using MDBQueryBlox and MemberSelectFormBlox</h2>
<p>Selecting products in a selection list changes the display in a PresentBlox. Uses MDBQueryBlox and MemberSelectFormBlox.</p>

<table width="100%" height="400">
<tr>
    <td align="center" height="10">Product: <blox:display bloxRef="selector" /></td>
</tr>
<tr>
    <td><blox:display bloxRef="presentBlox" render="dhtml" width="100%" height="100%" /></td>
</tr>
</table>

<hr>
<a href="../../viewSource.jsp?file=Essbase/FormBlox/mdbQueryBlox.jsp">View Source</a>



</body>
</html>

