<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.data.mdb.MDBMetaData,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="CMGridDataBlox" 
	dataSourceName="QCC-Essbase"
    useAliases="true"
	query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" !'>
</blox:data>


<bloxform:memberSelect id="zone"
	visible="false"
	dataBloxRef="CMGridDataBlox"
	dimensionName="All Locations"
	filterGeneration="2" 
	filterOperator="==" />

<bloxform:memberSelect id="area"
	visible="false"
	dataBloxRef="CMGridDataBlox"
	dimensionName="All Locations"
	filterOperator="==" 
	filterGeneration="3">
	<bloxform:getChangedProperty
		formBloxRef="zone"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<bloxform:memberSelect id="city"
	visible="false"
	dataBloxRef="CMGridDataBlox"
	dimensionName="All Locations"
	filterOperator="==" 
	filterGeneration="4">
    <%
        city.addFormEventListener(new MemberSelectFormBloxEventListener(CMGridDataBlox));
    %>
	<bloxform:getChangedProperty
		formBloxRef="area"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<blox:grid id="CMGridBlox" visible="false"
	        width="650"
	        height="400">
    <blox:data bloxRef="CMGridDataBlox" />
</blox:grid>

<%!
    class MemberSelectFormBloxEventListener implements FormEventListener {
        private DataBlox dataBlox;

        public MemberSelectFormBloxEventListener(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String selectedCity = event.getFormBlox().getFormValue();
            if (selectedCity != null) {
                MDBMetaData metaData = (MDBMetaData) dataBlox.getMetaData();
                dataBlox.setSelectedMembers(new Member[] {metaData.resolveMember(selectedCity)});
                dataBlox.updateResultSet();
            }
        }
    }

%>

<html>
<head>
	<title>MemberSelectFormBlox - Cascading Menus</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

	<blox:header/>

	<style>
		select {
			font-size:12pt;
		}
	</style>

</head>
<body>
<h2>MemberSelectFormBlox - Cascading Menus</h2>
<p>Shows the use of three MemberSelectFormBlox to create a cascading menu pulling members from DB2 OLAP Server or Hyperion Essbase.</p>
	<TABLE>
		<TR>
			<TD><blox:display bloxRef="zone" />
			</TD>
			<TD><blox:display bloxRef="area" />
			</TD>
			<TD><blox:display bloxRef="city" />
			</TD>
		</TR>
	</TABLE>
	<TABLE>
        <TR>
            <TD>
                <blox:display bloxRef="CMGridBlox" />
            </TD>
        </TR>
	</TABLE>
	
<hr>
<a href="../../viewSource.jsp?file=Essbase/FormBlox/memberFormBlox-cascadingMenus.jsp">View Source</a>

</body>
</html>