<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Traffic Lighting</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Traffic Lighting with Cell Alerts</h2>
<p>Shows an example of traffic lighting, where values in a particular 
column are highlighted with backgrounds in red, yellow, and green, depending 
on the value.</p>

<br>

<blox:grid id="TrafficLightingGridBlox"
	width="650"
	height="450"
	defaultCellFormat="#,##0.00"
	menubarVisible="true">
	<blox:toolbar />
	<blox:cellAlert index="1"
	 	scope="{Scenario:Variance %}"
	 	condition="GT"
	 	value="1"
	 	background="red">
	</blox:cellAlert>
	<blox:cellAlert index="2"
	 	scope="{Scenario:Variance %}"
	 	condition="between"
	 	value="0"
	 	value2="1"
	 	background="yellow">
	</blox:cellAlert>
	<blox:cellAlert index="3"
	 	scope="{Scenario:Variance %}"
	 	condition="LT"
	 	value="0"
	 	background="green">
	</blox:cellAlert>
	<blox:data 
		dataSourceName="QCC-Essbase"
useAliases="true"
		query='<ROW("All Products") <ICHILD "Chocolate Blocks" <ICHILD "Chocolate Nuts" <COLUMN(Scenario) <CHILD Scenario <PAGE("All Time Periods") 2001 !' />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Highlighting/trafficLighting.jsp">View Source</a>

</body>

</html>
