<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:present id="wb3PresentBlox"
 	visible="false"
	height="400"
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Products") <CHILD Truffles <COLUMN (Scenario) "Initial Budget" Manhattan <ICHILD "Jan 01" "Units Sold" !'
		useAliases="true" 
		selectableSlicerDimensions="All Locations,All Time Periods,Measures" />

	<blox:grid 
        writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">

		<blox:cellEditor
			scope="{Scenario:Initial Budget}" />

	</blox:grid>

</blox:present>

<blox:container id="myContainer2"
	visible="false">
<%
	BloxModel containerModel = myContainer2.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button("writebackButton","Submit Changes");
	wbButton.setUserObject(wb3PresentBlox);
    wbButton.setThemeClass(null);
    wbButton.setController( 
		new Controller() {
			public boolean handleClickEvent(ClickEvent event) throws Exception {
				PresentBlox presentBlox = (PresentBlox)event.getComponent().getUserObject();

				int vertical = presentBlox.getPresentBloxModel().getGrid().getVerticalScrollPosition();
				int horizontal = presentBlox.getPresentBloxModel().getGrid().getHorizontalScrollPosition();

				presentBlox.getDataBlox().writeback(
					presentBlox.getGridBlox().getChangedCellList(),
					presentBlox.getGridBlox().getChangedCellValues(),
					""
				);

				presentBlox.getPresentBloxModel().getGrid().setVerticalScrollPosition(vertical);
				presentBlox.getPresentBloxModel().getGrid().setHorizontalScrollPosition(horizontal);

				return true;
			}
		} 
	);
    containerModel.add( wbButton );
%>
</blox:container>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Writeback Using an Internal Controller</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using an Internal Controller</h2>
<p>Writeback implemented using an internal controller.</p>
<br>

<blox:display bloxRef="wb3PresentBlox" />
<br>
<blox:display bloxRef="myContainer2" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Inputting/writeback-anonymousController.jsp">View Source</a>

</body>
</html>