<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>
				 
<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:present id="wb2PresentBlox" 
 	visible="false"
	height="100%" 
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Products") <CHILD Truffles <COLUMN (Scenario) "Initial Budget" Manhattan <ICHILD "Jan 01" "Units Sold" !'
		useAliases="true" 
		selectableSlicerDimensions="All Locations,All Time Periods,Measures" />

	<blox:grid 
        writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">
		<blox:cellEditor 
			scope="{Scenario:Initial Budget}" />
	</blox:grid>
</blox:present>

<%
class WritebackController extends Controller {

	DataBlox dataBlox;
	GridBlox gridBlox;

	WritebackController( PresentBlox presentBlox ) {
		try {
			this.dataBlox = presentBlox.getDataBlox();
			this.gridBlox = presentBlox.getGridBlox();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	public boolean handleClickEvent( ClickEvent event ) throws Exception {
		dataBlox.writeback(
			gridBlox.getChangedCellList(),
			gridBlox.getChangedCellValues(),
			""
		);
		return true;
	}
}
%>


<blox:container visible="false" id="myContainer">
<%
	BloxModel containerModel = myContainer.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button( "writebackButton", "Submit Changes" );
    wbButton.setThemeClass( null );
    wbButton.setController( new WritebackController( wb2PresentBlox ) );
    containerModel.add( wbButton );
%>
</blox:container>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
<title>Writeback Using a Custom Controller</title>
 <blox:header/>
 <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using a Custom Controller</h2>
<p>Writeback implemented using a custom controller.</p>
<br>

<blox:display bloxRef="myContainer" />

<br>

<blox:display bloxRef="wb2PresentBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Inputting/writeback-customController.jsp">View Source</a>

</body>
</html>