<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="DLPresentBlox"
	visible="false">
	
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
		useAliases="true"
		selectableSlicerDimensions="All Locations" />
	
	<blox:grid
	  defaultCellFormat="#,###"
	  bandingEnabled="true" />

	<blox:chart
		chartType="Bar" />

</blox:present>

<%
	session.setAttribute("DLPresentBloxDataLayout",DLPresentBlox.getDataLayoutBlox());
%>


<html>

<head>
<title>DataLayout Interface</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>

</head>

<body>

<h2>DataLayout Interface</h2>
<p>The DataLayoutBlox <code>interfaceType</code> attribute value can either 
be <code>droplist</code> (default) or <code>tree</code>. This example sets this 
attribute by using a RadioButtonFormBlox to toggle between the two values. </p>

<br>

<bloxform:radioButton id="DataLayoutSelection" 
	borderEnabled="false" >
	<bloxform:button label="Tree (draggable)"
		selected="true"
		value="tree" />
	<bloxform:button label="Drop List"
		value="dropList" />
	<bloxform:setChangedProperty
		targetRef="DLPresentBloxDataLayout"
		targetProperty="interfaceType" />
</bloxform:radioButton>

<br>

<blox:display bloxRef="DLPresentBlox" width="650" height="500" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/dataLayoutInterfaceType.jsp">View Source</a>


</body>

</html>