<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.filter.*,
                 com.alphablox.blox.uimodel.core.MessageBox,
                 com.alphablox.blox.uimodel.BloxModel" %>
<%@ page import="com.alphablox.blox.DataBlox" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:present id="eventFilterPB"
	visible="false"
	width="600"
	height="400">
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products")  <ICHILD  "All Products" <COLUMN ("All Time Periods",Scenario)  <ICHILD  "All Time Periods"  <CHILD Scenario  <PAGE ("All Locations")  "All Locations" !'
		useAliases="true" />
	<blox:grid bandingEnabled="true" />
<%	eventFilterPB.getDataBlox().addEventFilter( new SimpleFilters(eventFilterPB.getBloxModel()) );	%>
</blox:present>

<%!
	public class SimpleFilters implements DrillDownFilter
	{
        BloxModel model;

        public SimpleFilters(BloxModel model) {
            this.model = model;
        }

		public void drillDown( DrillDownEvent event ) throws Exception
		{
			DataBlox blox = event.getDataBlox();

			StringBuffer msg = new StringBuffer("DRILL DOWN event on " + blox.getBloxName() + "\n");
			msg.append("With Axis ID: " + event.getAxisIndex() + ", ");
			msg.append("Nest level: " + event.getNestLevel() + ", ");
			msg.append("Member index: " + event.getMemberIndex() + ", and ");
			msg.append("TupleMember: " + event.getMember().getDisplayName());

            MessageBox msgBox = new MessageBox(msg.toString(), "DrillDown Filter Message", MessageBox.MESSAGE_OK, null);
            model.getDispatcher().showDialog(msgBox);
		}
	}
%>

<html>

<head>
	<title>Event Filters</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>

</head>

<body>

<h2>Event Filters</h2>
<p>Shows the use of event filters, with results displayed to
a MessageBox.</p>
<br>
<blox:display bloxRef="eventFilterPB"/>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/eventFilters.jsp">View Source</a>

</body>

</html>