<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="TogglePresentBlox"
	visible="false"
	width="450" 
	height="400"
	splitPane="true"
	dividerLocation="1">
	
	<blox:grid/>
	
	<blox:chart
		chartType="Vertical Bar, Stacked" />

	<blox:dataLayout
		visible="false" />

	<blox:page 
		visible="false" />

	<blox:toolbar 
		visible="true" />

	<blox:data 
		dataSourceName="QCC-Essbase"
		useAliases="true" />

</blox:present>

<%
	session.setAttribute("ToggleGrid",TogglePresentBlox.getGridBlox());
	session.setAttribute("ToggleChart",TogglePresentBlox.getChartBlox());
	session.setAttribute("ToggleData",TogglePresentBlox.getDataBlox());
%>

<html>
<head>

	<blox:header/>

	<title>HTML Form Elements</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

</head>

<body>

<h2>Using FormBlox to Modify Views </h2>
<p>A PresentBlox display allowing users to choose which report 
to display, whether to show a grid or a chart, and which chart type to
use.  Shows use of RadioButtonFormBlox, CheckBoxFormBlox, and MemberSelectFormBlox
to modify views. FormBlox also maintain persistence after switching away
and coming back to the page.</p>

<div align="left">

<table cellpadding="2" cellspacing="5">
    <tr>
      <td width="200" valign="top"> 

          <p> <b>Display Report:</b><br>


				<bloxform:radioButton id="ReportSelection" align="vertical" borderEnabled="false">
					<bloxform:button label="Sales By Product" 
						value='<SYM <ROW("All Products") <CHILD "All Products" <COLUMN("All Time Periods") <CHILD "All Time Periods" Sales !' 
						selected="true" />
					<bloxform:button label="Sales By Market" 
						value='<SYM <PAGE(Measures) Sales <ROW("All Locations") <CHILD "All Locations" <COLUMN("All Time Periods") <CHILD "All Time Periods" !' />
					<bloxform:setChangedProperty
						targetRef="ToggleData"
						targetProperty="query"
						callAfterChange="connect()" />
				</bloxform:radioButton>

            <b>Show Chart</b><br>

						<bloxform:checkBox id="chartFirstCheckbox"
							checkedValue="true" 
							uncheckedValue="false">
							 <bloxform:setChangedProperty
								targetRef="TogglePresentBlox" 
								targetProperty="chartFirst"
								formProperty="formValue" />
						</bloxform:checkBox>

            <b>Using Chart Type:</b><br>

						<bloxform:select id="ChartSelection">
							<bloxform:option label="Bar" value="Bar" />
							<bloxform:option label="Pie" value="Pie" />
							<bloxform:option label="Line" value="Line" />
							<bloxform:option label="3D Bar" value="3D Bar" />
						  <bloxform:setChangedProperty 
								targetRef="ToggleChart"
								formProperty="formValue"
								targetProperty="chartType" />
						</bloxform:select>

          </p>
</td>
<td>
  <blox:display bloxRef="TogglePresentBlox" />
</td>
</tr>
</table>

</div>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/formElements.jsp">View Source</a>

</body>
</html>