<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<!-- RepositoryBlox to load user properties -->
<blox:repository id="personalRB" />

<html>

<head>
	<title>Personalization: Using Custom Preferences Dialog</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	
	<blox:header/>
	
<script language="JavaScript">

function openUserProfile() {
	var dialogWin = window.open("personalizationDialog.jsp", "profileWin", "height=290,width=320,scrollbars,resizable");
	dialogWin.focus();
}

</script>

</head>

<body>

<h2>Personalization: Using Custom Preferences Dialog</h2>
<p>Shows a GridBlox with a personal preferences dialog box
that allows users to change their e-mail address, bandingEnabled, and proper
name in the DB2 Alphablox Repository.</p>

<table border="0" cellspacing="2" cellpadding="2">
	<tr>
		<td style="font-weight:bold;color:blue">Welcome <%= personalRB.getUserProperty( "propername" ) %></td>
		<td>
			<div align="right"><a href="javascript: openUserProfile();">Preferences</a></div>
		</td>
	</tr>
</table>

<%
	String banding = personalRB.getUserProperty("bandingenabled");
	Boolean setBanding = Boolean.valueOf(banding);
%>
			<!-- GridBlox with user specified bandingEnabled parameter -->
<blox:grid id="personalGridBlox"
	width="100%"
	height="90%"
	visible="false"
	bandingEnabled="<%= setBanding.toString() %>"> 
	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Products") <CHILD "All Products" <COLUMN ("All Time Periods") <CHILD "2001" <PAGE (Measures) Sales !'
		useAliases="true" />
</blox:grid>

<%
	personalGridBlox.setBandingEnabled(setBanding.booleanValue()); 
%>
			
<blox:display bloxRef="personalGridBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Persisting/personalization.jsp">View Source</a>

</body>
</html>
