<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.alphablox.blox.repository.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Restricting Public Bookmark Access - Step 2</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<%@ include file="bookmarksCommon.jsp" %>

<blox:bookmarks id="paBookmarksBlox" />

<%!
  public void addUser(BookmarksBlox bkBlox,Blox blox,String bookmarkName,String user) throws Exception {
    Bookmark bk = bkBlox.getBookmark(blox,bookmarkName,BookmarksBlox.PUBLIC_VISIBILITY);
    
    bk.setCustomProperty("user",user);
    bk.save();
  }
%>

<body>
  <h2>Restricting Public Bookmark Access - Step 2</h2>

  <br>
  <blox:present id="paPresentBlox"
  	visible="false">
    <blox:data 
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Locations") <CHILD "All Locations" <COLUMN ("All Time Periods") <ICHILD "All Time Periods" !' 
		connectOnStartup="false"/>
  </blox:present>

<%
  String user1 = request.getParameter("bookmark1user");
  String user2 = request.getParameter("bookmark2user");
  String user3 = request.getParameter("bookmark3user");
  
  setInitialBloxState(paPresentBlox,session);
  
  paPresentBlox.saveBookmark(RepositoryBlox.VISIBILITY_APPLICATION,null,"Bookmark1","");
  paPresentBlox.saveBookmark(RepositoryBlox.VISIBILITY_APPLICATION,null,"Bookmark2","");
  paPresentBlox.saveBookmark(RepositoryBlox.VISIBILITY_APPLICATION,null,"Bookmark3","");
  
  addUser(paBookmarksBlox,paPresentBlox,"Bookmark1",user1);
  addUser(paBookmarksBlox,paPresentBlox,"Bookmark2",user2);
  addUser(paBookmarksBlox,paPresentBlox,"Bookmark3",user3);
%>

  <p>The bookmarks have now been saved to the repository with user names as custom properties as follows:<br>
  <code>&nbsp;&nbsp;Bookmark1 has a custom property user with a value of: <%= user1 %><br>
        &nbsp;&nbsp;Bookmark2 has a custom property user with a value of: <%= user2 %><br>
        &nbsp;&nbsp;Bookmark3 has a custom property user with a value of: <%= user3 %></p>

<form name="MainForm">
	<input type="button" value="Go to Example" onClick="javascript:window.open('publicBookmarkAccess2.jsp','mainFrame')">
</form>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Persisting/publicBookmarkAccess1.jsp">View Source</a>
  
</body>

</html>