<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Cell Formatting</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Cell Formatting</h2>
<p>Shows a simple example of a GridBlox using the <code>defaultCellFormat</code> 
and <code>cellAlert</code> properties.</p>

<br>

<blox:present id="presentBloxEx11"
	width="650"
	height="450"
	splitPane="false">
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
		useAliases="true" />
	<blox:grid
  		defaultCellFormat="#,###.00">
  		<blox:cellAlert 
			condition="between" 
			value="1000000" 
			value2="10000000"
			background="yellow"
			scope="{All Time Periods:2000,2001} {All Products: Truffles, Chocolate Blocks, Chocolate Nuts, Specialties, Seasonal}" />
		<blox:cellAlert 
			condition="GT" 
			value="10000000"
			background="green"
			scope="{All Time Periods:2000,2001} {All Products: Truffles, Chocolate Blocks, Chocolate Nuts, Specialties, Seasonal}" />
		<blox:cellAlert 
			condition="LT" 
			value="1000000" 
			background="red"
			scope="{All Time Periods:2000,2001} {All Product: Truffles, Chocolate Blocks, Chocolate Nuts, Specialties, Seasonal}" />
	</blox:grid>  
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Presenting/cellFormatting.jsp">View Source</a>

</body>

</html>