<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:chart id="PieAppearanceChartBlox"
	visible="false"
	width="600"
	height="400"
	menubarVisible="false"
	chartType="Pie">
	<blox:toolbar visible="false" />
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW("All Products") <DIMBOTTOM "All Products" <COLUMN("All Time Periods") "All Time Periods"  Sales !'
		useAliases="true" />
</blox:chart>

<html>
<head>
	<title>Setting Small Value Percentage on Pie Chart</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header>
		<blox:clientBean name="PieAppearanceChartBlox">
			<blox:method name="setSmallValuePercentage" />
		</blox:clientBean>
	</blox:header>
	
	<script language="JavaScript">
	
	function setOtherPercentage(value) {
		document.PieAppearanceChartBlox.setSmallValuePercentage(value);
	}
	
	</script>
	
</head>

<body>

<h2>Setting Small Value Percentage on Pie Chart</h2>
<p>Shows a selection list that changes the ChartBlox 
<code>smallValuePercentage</code> property.</p>

<form>
<select name="SmallPieSelection" onChange="setOtherPercentage(this.value)">
	<option value="0.01">0.01 (smallest)</option>
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="3">3</option>
	<option value="4">4</option>
	<option value="5.0" selected>5.0 (default)</option>
	<option value="6">6</option>
	<option value="7">7</option>
	<option value="8">8</option>
	<option value="9">9</option>
	<option value="10.0">10.0 (largest)</option>
</select>
</form>

<blox:display bloxRef="PieAppearanceChartBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Presenting/pieSmallValues.jsp">View Source</a>

</body>
</html>
