<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.GridBloxModel,
				 com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.ContainerBlox,
                 com.alphablox.blox.ServerBloxException"%>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:container id="dialogContainer" width="10" height="10" visible="false">
<%
    // Method 1 - Create a bean to pop the dialog
    DialogBean bean;
	bean = new DialogBean( dialogContainer );
	session.setAttribute( "DialogBean", bean );

    // Method 2 - Create a dummy static that is only used to pop a dialog
    Static dummy = new Static( "dialogPopper", "");
    dummy.setVisible( false );
    dialogContainer.getBloxModel().add( dummy );

    dummy.setController( new Controller( ) {
        public void actionDialogPopper( ModelEvent event ) throws Exception
        {
            Dialog dialog = Dialog.createFromResource( "presentOptionsDialog" );
            dialog.setController( new DialogController( dialog ) );
            dialog.setModal( true );
            event.getComponent().getDispatcher().showDialog( dialog );
        }
    } );

%>
</blox:container>

<%
    // In order to send an event from the client, we need the static component's UID
    int staticUID = dialogContainer.getBloxModel().searchForComponent( "dialogPopper" ).getUID();
%>

<%!
class DialogBean
{
    ContainerBlox container;
    Dialog dialog = null;

    public DialogBean( ContainerBlox container )
    {
        this.container = container;
    }

    public void showDialog( ) throws Exception
    {
        if ( dialog == null ) {
            dialog = Dialog.createFromResource( "presentOptionsDialog" );
            dialog.setController( new DialogController( dialog ) );
            dialog.setModal( true );
        }

        try {
            container.getBloxModel().getDispatcher().showDialog( dialog );
        } catch ( Exception e ) {
            e.printStackTrace();
        }
    }
}
%>

<html>
<head>
<TITLE>Opening Dialog using HTML Button</TITLE>
<blox:header>
    <blox:clientBean name="DialogBean" />
</blox:header>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Opening Dialog Using HTML Button</h2>

<input type=button value="Show Dialog Using Bean Call" onclick="DialogBean.showDialog();" >
<br>
<input type=button value="Open Dialog Using Hidden Model Component" onclick="bloxAPI.sendEvent( new ClickEvent( 'dialogContainer', <%= staticUID %> ) );" >

<blox:display bloxRef="dialogContainer" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/UIExtensibility/openDialogUsingHTMLButton.jsp">View Source</a>

</body>
</html>
