<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.*" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>

<title>Radio Buttons and Checkboxes</TITLE>

<blox:header />

</head>

<body>

<h2>Radio Buttons and Checkboxes</h2>

<h3>Radio Buttons</h3>

<blox:container id="rbBlox" 
	width="600" 
	height="50">

<%
    BloxModel model = rbBlox.getBloxModel();
    model.clear();
    model.setLayout(new VerticalLayout());

    model.add(new RadioButton("radioButton","Radio Button 1"));
    model.add(new RadioButton("radioButton","Radio Button 2"));
	model.add(new RadioButton("radioButton","Radio Button 3"));

    Controller c = new Controller() {
        public boolean handleClickEvent(ClickEvent event) throws ModelException {
            ComponentContainer container = event.getComponent().getTopLevelContainer();

            RadioButton radioButton = (RadioButton)container.findInContainer("radio");

            radioButton.setChecked(!radioButton.isChecked());
            radioButton.changed();

            return true;
        }
    };

%>

</blox:container>

<h3>Checkboxes</h3>

<blox:container id="cbBlox" 
	width="600" 
	height="150">

<%
    BloxModel model = cbBlox.getBloxModel();
    model.clear();
    model.setLayout(new VerticalLayout());

    model.add(new CheckBox("checkbox","Checkbox 1"));
    model.add(new CheckBox("checkbox","Checkbox 2"));
    model.add(new CheckBox("checkbox","Checkbox 3"));

    Controller checkboxController = new Controller() {
        public boolean handleClickEvent(ClickEvent event) throws ModelException {
            ComponentContainer container = event.getComponent().getTopLevelContainer();

            CheckBox checkbox = (CheckBox)container.findInContainer("checkbox");

            checkbox.setChecked(!checkbox.isChecked());
            checkbox.changed();
			
            return true;
        }
    };

    Button button = new Button(null,"Toggle States");
    button.setController(checkboxController);
    model.add(button);
%>

</blox:container>

<hr>
<a href="../../viewSource.jsp?file=Essbase/UIExtensibility/radioButtonsCheckboxes.jsp">View Source</a>

</body>

</html>