<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.HashMap,
				 java.io.PrintWriter,
				 java.io.Writer,
				 java.util.Iterator,
				 java.io.IOException,
 				 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.PresentBloxModel,
                 com.alphablox.blox.uimodel.core.event.ModelEvent,
                 com.alphablox.blox.ServerBloxException,
                 com.alphablox.blox.uimodel.core.grid.Grid,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.data.mdb.MDBResultSet,
                 com.alphablox.blox.data.mdb.TupleMember,
                 com.alphablox.blox.uimodel.core.grid.GridCell,
                 com.alphablox.blox.uimodel.core.grid.GridColumn,
                 com.alphablox.blox.uimodel.core.ModelException,
                 com.alphablox.blox.uimodel.core.event.ClickEvent,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.blox.uimodel.core.event.ComponentRebuiltNotify,
                 com.alphablox.blox.uimodel.GridBrixCellModel,
                 com.alphablox.blox.data.DataChangedEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.data.DataChangedEvent,
      			 com.alphablox.blox.uimodel.GridBrixCellModel,
                 com.alphablox.blox.filter.*,
				 com.alphablox.blox.uimodel.tags.IGridFilter,
				 com.alphablox.blox.DataViewBlox,
 				 com.alphablox.blox.uimodel.BloxModel,
				 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.*,
				 com.alphablox.blox.ViewBlox,
				 com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.GridBrixModel,
				 com.alphablox.blox.GridBlox,
				 com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.grid.*,
				 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.tags.*,
                 com.alphablox.blox.DataViewBlox,
                 com.alphablox.blox.data.mdb.*,
                 com.alphablox.util.Object2XML,
				 com.alphablox.blox.uimodel.GridBrixCellModel" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="Present2Data"
	dataSourceName="QCC-Essbase"
 	query="<ROW ('Measures') <CHILD Measures <COL ('All Time Periods') <ICHILD '2000' !" />

<blox:data id="Present1Data"
	dataSourceName="QCC-Essbase"
 	query="<ROW ('Measures') <CHILD Measures <COL ('All Time Periods') <ICHILD '2001' !" >
<%
    Present1Data.addEventFilter(new MyDrillDownFilter(Present2Data));
    Present1Data.addEventFilter(new MyDrillUpFilter(Present2Data));
%>
</blox:data>

<blox:present id="Present2"
    visible="false"
	height="200"
	width="400"
    chartAvailable="false"
    dataLayoutAvailable="false"
	menubarVisible="false">

	<bloxui:component
    	name="Present2"
    	clickable="false" />

	<blox:toolbar visible="false" />

    <blox:grid
        defaultCellFormat="#,000.0K">

		<bloxui:gridFilter
 			filter="<%= new GridHeadersFilter() %>" />

	</blox:grid>

    <blox:data
        bloxRef="Present2Data" />

</blox:present>

<blox:present id="Present1"
    visible="false"
	height="200"
	width="400"
    chartAvailable="false"
    dataLayoutAvailable="false"
 	menubarVisible="false">

	<blox:toolbar visible="false" />

    <blox:data
        bloxRef="Present1Data" />

    <blox:grid
        defaultCellFormat="#,000.0K" />

</blox:present>

<%!
public static class GridHeadersFilter implements IGridFilter  {

    public void gridFilter( DataViewBlox blox, GridBrixModel grid ) throws Exception {
	for ( int i=0; i < grid.getColumnCount(); i++ )
		if ( grid.getColumn( i ).isHeader( ) )
			grid.getColumn( i ).setVisible( false );
    }

	public void cellFilter( DataViewBlox blox, GridCell cell ) throws Exception {
   }
}
%>

<%!
    public class MyDrillDownFilter implements DrillDownFilter {
        DataBlox dataBlox;
        public MyDrillDownFilter(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }
        public void drillDown(DrillDownEvent event) throws ServerBloxException {
            TupleMember tupleMember = event.getMember();
            dataBlox.drillDown(tupleMember);
        }
    }

    public class MyDrillUpFilter implements DrillUpFilter {
        DataBlox dataBlox;
        public MyDrillUpFilter(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void drillUp(DrillUpEvent event) throws ServerBloxException {
            TupleMember tupleMember = event.getMember();
            dataBlox.drillUp(tupleMember);
        }
    }
%>

<html>

<head>
<title>Two Synchronized Grids</title>
<blox:header />
</head>

<body>
<h2>Synchronized Grids</h2>
<p>This example is intended to simulate the synchronization of two grids connected to two different data cubes, where one cube contains historical data while the other contains current year data. </p>
<ul>
  <li> Shows the use of an event handler to synchronize two grids displaying
    data from two different years. Drilling up or down in the first grid results
  in the same action occurring in the grid on the right. </li>
  <li>The row headers on the grid on the right side are hidden using a grid filter. </li>
  <li>The grid on the right is non-clickable. </li>
</ul>


<table border="0" cellspacing="0" cellpadding="0"/>
	<tr>
    	<td>
			<blox:display bloxRef="Present1" />
		</td>
		<td>
			<blox:display bloxRef="Present2" />
		</td>
	</tr>
</table>

<hr>
<a href="../../viewSource.jsp?file=Essbase/UIExtensibility/synchronizedGrids.jsp">View Source</a>

</body>

</html>