<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
  <title>PresentBlox  - Commonly Used Settings</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>PresentBlox  - Commonly Used Settings</h2>
<p>This PresentBlox includes the following commonly modified property settings:</p>
<ul>
  <li>chart: chartType</li>
  <li>grid: defaultCellFormat</li>
  <li>data: selectableSlicerDimensions</li>
  <li>present: height, width</li>
</ul>
<br>

<blox:present id="CommonPresentBloxMSAS"
	width="100%"
	height="90%">
	
	<blox:data
    	dataSourceName="QCC-MSAS"
		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])"
		selectableSlicerDimensions="'All Locations'" />

	<blox:grid
		defaultCellFormat="#,###"/>

	<blox:chart
		chartType="Bar" />

</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxBasics/presentBloxCommon.jsp">View Source</a>

</body>

</html>
