<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="butterflyReportDataBloxMSAS"
	dataSourceName="QCC-MSAS"
    query="SELECT {([Scenario].[All Scenario].[Actual],[Time.Fiscal].[All Time Periods].[FY2000].[Qtr 3 FY00]),([Scenario].[All Scenario].[Actual],[Time.Fiscal].[All Time Periods].[FY2000].[Qtr 4 FY00]),([Scenario].[All Scenario].[Budget],[Time.Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01]),([Scenario].[All Scenario].[Budget],[Time.Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01])} ON COLUMNS, {[Locations].[All Locations],[Locations].[All Locations].[Central],[Locations].[All Locations].[East],[Locations].[All Locations].[West]} ON ROWS FROM QCC" />

<html>

<head>

<title>Butterfly Report</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header>
	<blox:clientBean name="butterflyReportDataBloxMSAS">
		<blox:method name="setQuery" />
		<blox:method name="connect" />
	</blox:clientBean>
</blox:header>

<script language="JavaScript">

function getDefaultView() {
	
	var query = "SELECT {([Scenario].[All Scenario].[Actual], [Time.Fiscal].[All Time Periods].[FY2000].[Qtr 3 FY00]), ([Scenario].[All Scenario].[Actual], [Time.Fiscal].[All Time Periods].[FY2000].[Qtr 4 FY00]), ([Scenario].[All Scenario].[Budget], [Time.Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01]), ([Scenario].[All Scenario].[Budget],[Time.Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01])} ON COLUMNS, {[Locations].[All Locations], [Locations].[All Locations].[Central], [Locations].[All Locations].[East], [Locations].[All Locations].[West]} ON ROWS FROM QCC";
	
	document.butterflyReportDataBloxMSASAPI.setQuery(query);
	document.butterflyReportDataBloxMSASAPI.connect();
}

</script>

</head>

<body>

<h2>Butterfly Report</h2>
<p>Shows the use of a nested <code>&lt;bloxui:butterflyReport&gt;</code> tag in a GridBlox to display
      column headers between Actual and Budget columns.</p>
<br>
<blox:grid id="butterflyReportGridBloxMSAS" 
	width="100%"
	height="90%">
    
	<blox:data
		bloxRef="butterflyReportDataBloxMSAS" />

	<bloxui:butterflyLayout
		scope="{[Scenario].[All Scenario].[Budget]; [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01]}" 
		showOnLayoutMenu="true" 
		addSeparatorColumns="false" />
		
</blox:grid>

<form>
	<input name="DefaultQueryButton" type="button" onClick="getDefaultView()" value="Get Default View">
</form>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxUITags/butterflyReport.jsp">View Source</a>

</body>
</html>
