<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="compressHeadersDataBloxMSAS" 
	dataSourceName="QCC-MSAS"
    query=" SELECT crossjoin ( {[Time].[Calendar].[All Time Periods].[2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01]}, {[Scenario].[All Scenario].[Actual], [Scenario].[All Scenario].[Budget], [Scenario].[All Scenario].[Revised], [Scenario].[Variance], [Scenario].[Variance %],[Scenario].[Forecast]}) ON COLUMNS , crossjoin ( {[Products].[Category].[All Products].[Chocolate Blocks], [Products].[Category].[All Products].[Chocolate Nuts], [Products].[Category].[All Products].[Specialties], [Products].[Category].[All Products].[Truffles]}, {[Locations].[All Locations].[Central], [Locations].[All Locations].[East], [Locations].[All Locations].[West]}) ON ROWS FROM [qcc] WHERE ([Measures].[Sales])" />

<html>

<head>
<title>Compressing Row and Column Headers</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Compressing Row and Column Headers</h2>
<p>Shows the use of a nested <code>&lt;bloxui:compressHeaders&gt;</code> tag in a GridBlox to compress member names from multiple headers into single
      row and column headers.</p>
<br>

<blox:grid id="compressHeadersGridBloxMSAS" 
	width="100%"
	height="90%">

	<blox:data
		bloxRef="compressHeadersDataBloxMSAS" />

	<bloxui:compressLayout
		compressRows="true" 
		compressColumns="true" 
		showOnLayoutMenu="true" 
		memberSeparator = " / " />

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxUITags/compressHeaders.jsp">View Source</a>

</body>
</html>

