<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>

<head>
<title>Highlighting Grid Elements</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header />

</head>

<body>

<h2>Highlighting Grid Elements</h2>
<p>Shows the use of nested <code>&lt;bloxui:gridHighlight&gt;</code> tags in a GridBlox to highlight  column headers and a row. Also, in this example,
the Format menu is enabled, allowing users to choose developer-defined highlighting options.</p>
<br>

<blox:grid id="hrcGridBloxMSAS" 
	width="100%"
	height="90%">

	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {([Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2001], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01], [Scenario].[All Scenario].[Budget])}  ON COLUMNS, {[Locations].[All Locations], [Locations].[All Locations].Children} ON ROWS FROM QCC" />

	<bloxui:gridHighlight
		scope="{Locations:East;}" 
		description="Highlight East" 
		applyLayout="false" 
		showOnLayoutMenu="true" 
		style="font-weight:bold; font-size:14; color: white; background-color: teal;" />

	<bloxui:gridHighlight
		selection="columnheaders" 
		description="Highlight Column Headers" 
		showOnLayoutMenu="true" 
		style="font-weight:bold; color:yellow;" />

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxUITags/gridHighlight.jsp">View Source</a>

</body>

</html>