<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="tbnPresentBloxMSAS"
    visible="false"
	chartAvailable="false">

	<blox:dataLayout
		visible="false" />

	<blox:grid
		bandingEnabled="true" />

	<blox:data
		dataSourceName="QCC-MSAS"
    	query="SELECT {([Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2001], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01], [Scenario].[All Scenario].[Budget])}  ON COLUMNS, {[Locations].[All Locations], [Locations].[All Locations].Children} ON ROWS FROM QCC" />

	<bloxui:topN
		number="10"
		showRank="true" />

	<bloxui:topN
		prompt="true"
		showRank="true"
		number="23" />

	<bloxui:bottomN
		number="10"
		showRank="true" />

	<bloxui:bottomN
		prompt="true"
		showRank="true"
		number="7" />

	<bloxui:percentOfTotal  />

</blox:present>

<html>

<head>
    <title>Top/Bottom N and Percent of Total</title>
    <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
    <blox:header />
</head>

<body>

<h2>Top N/Bottom N and Percent of Total</h2>

<p>Shows the use of a nested <code>&lt;bloxui:topN&gt;</code>, <code>&lt;bloxui:bottomN&gt;</code>, and <code>&lt;bloxui:percentOfTotal&gt;</code> tags in a GridBlox to allow users to easily select predefined or user-specified numbers of top or bottom members and to display a custom calculation for percent of total for a 
selected member. To use the Top N/Bottom N feature, select a cell in the grid, then right-click to display the contextual menu. In the contextual menu, select Advanced to see the submenu containing the Top N/Bottom N options.
</p>

<blox:display bloxRef="tbnPresentBloxMSAS"
    height="90%"
    width="90%"/>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxUITags/topNbottomNpercentOfTotal.jsp">View Source</a>

</body>

</html>