<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Combination Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Combination Chart</h2>
<p>This examples shows the combination of a bar chart with a line chart in the
  same chart panel. The <code>chartType</code> attribute is set to &quot;<code>Vertical
  Bar, Side-by-Side</code>&quot;. To add a line chart, the lineSeries attribute
  is included and set to &quot;<code>Qtr 3 01</code>&quot; to display a line chart 
  on top of the bar chart. </p>
  
<blox:present id="ComboMSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Vertical Bar, Side-by-Side"
		lineSeries="Qtr 3 01"
		legendPosition="bottom" />

	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT crossjoin ({[Products].[Code].[All Products].[100], [Products].[Code].[All Products].[200], [Products].[Code].[All Products].[300], [Products].[Code].[All Products].[400]}, {[Locations].[All Locations].[Central], [Locations].[All Locations].[East], [Locations].[All Locations].[West]}) ON AXIS(0), crossjoin ( {[Scenario].[All Scenario].[Actual], [Scenario].[Forecast], [Scenario].[Variance], [Scenario].[Variance %]}, {[Time].[Calendar].[All Time Periods].[2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01]}) ON AXIS(1) FROM [qcc]"/>

</blox:present>
<br>
<a href="tags/Combo.jsp" target="CodeView">Display Code View</a>

</body>

</html>