<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Pareto Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Pareto Chart</h2>
<p>In the following example, the <code>chartType</code> attribute value is set
  to <code>Pareto</code>,
  resulting in a line showing the running total as a percentage. When this line
  begins leveling out, that&rsquo;s considered the cut off for the subset. Pareto
  charts are used to identify the small subset of biggest contributors (80/20
analysis) and where to focus efforts.</p>
<blox:present id="ParetoMSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Pareto"
		legendPosition="bottom" />

	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[Locations].[All Locations].[West].[N. Cal.]} ON AXIS(0), {[Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01].[Aug FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01].[Sep FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 1 FY01].[Oct FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Nov FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Dec FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Jan FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 3 FY01].[Feb FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 3 FY01].[Mar FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 3 FY01].[Apr FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 4 FY01].[May FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 4 FY01].[Jun FY01], [Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 4 FY01].[Jul FY01]} ON AXIS(1) FROM [qcc]" />

</blox:present>
<br>
<a href="tags/Pareto.jsp" target="CodeView">Display Code View</a>

</body>

</html>