<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Radar Chart - Area </title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Radar Chart - Area </h2>
<p>Radar charts allow visual comparisons between data sets in a 360 degree perspective.
  Users can evaluate data by comparing values on the axes, or by comparing the
  areas enclosed by the polygons. In this example, the selected <code>chartType</code> attribute
  value of &quot;<code>Radar, Area</code>&quot; results in the areas of the polygons being filled.</p>
<blox:present id="Radar_AreaMSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />
	
	<blox:chart 
		chartType="Radar, Area"
 		legendPosition="bottom" />
 		
	<blox:data dataSourceName="QCC-MSAS"
		query="SELECT {{[Products].[Category].[All Products], AddCalculatedMembers([Products].[Category].[All Products].Children)}} ON AXIS(0), {[Locations].[All Locations].[West].[N. Cal.], [Locations].[All Locations].[West].[N. Cal.].[Carmel], [Locations].[All Locations].[West].[N. Cal.].[Napa], [Locations].[All Locations].[West].[N. Cal.].[Sonoma]} ON AXIS(1) FROM [qcc]" />

</blox:present>

<br>
<a href="tags/Radar-Area.jsp" target="CodeView">Display Code View</a>

</body>
</html>