<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Trendline Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Trendline Chart</h2>
<p>Trendlines provide &ldquo;predictive analytics&rdquo; and are often used in
forecasting and planning applications. </p>
<p>DB2 Alphablox  supports six types of trend lines:</p>
<ul>
  <li>linear</li>
  <li> polynomial (up to the 100th order)</li>
  <li> exponential</li>
  <li> power</li>
  <li> logarithmic</li>
  <li> moving average</li>
</ul>
<p>To use trend lines, users can right-click on a data point, then select Advanced &gt; Add
  Trendline to define a new trendline. Or, as in the example below, you can define
  the trendlines programmatically. The following example displays a linear trendline
  for COGS over time, with the <code>trendLines</code> attribute defining the
  trendline characteristics.</p>
  
<blox:present id="TrendlineMSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Line"
 		legendPosition="bottom"
 		trendLines="name=poly(3);member=[Locations]:[Locations].[All Locations];replace=true;type=polynomial(3),name=line;member=[Locations]:[Locations].[Central];type=linear" />

	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {[Time].[Calendar].[All Time Periods], [Time].[Calendar].[All Time Periods].[2000], [Time].[Calendar].[All Time Periods].[2000].[Qtr 1 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 1 00].[Feb 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 1 00].[Mar 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[Apr 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[May 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[Jun 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Jul 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Aug 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Sep 00], {[Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00], AddCalculatedMembers([Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00].Children)}, [Time].[Calendar].[All Time Periods].[2001]} ON AXIS(0), {[Locations].[All Locations]} ON AXIS(1) FROM [qcc]" />

</blox:present>
<br>
<a href="tags/Trendline.jsp" target="CodeView">Display Code View</a>

</body>
</html>