<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.ComponentRebuiltNotify,
                 com.alphablox.blox.uimodel.core.grid.GridCell,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.util.TextFormat,
                 com.alphablox.blox.uimodel.core.Menu" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="printCommentsGridMSAS"
	dataSourceName="QCC-MSAS"
    query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])">
	<blox:comments
		collectionName="CommentsCollectionMSAS"
		dataSourceName="CommentsCollectionMSAS"/>
</blox:data>

<html>

<head>
    <title>Comments Printing Example</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	
    <blox:header />
    
<script>

function printComments() {
	var url = "printComments.jsp";
	
	window.open(url,"_blank");
}

</script>

</head>

<body>

<h2>Printing Comments in a Grid</h2>
<p>Shows the use of the CommentsBlox API to pop open a new browser window with a
      list showing all of the comments made on the displayed grid.</p>
<br>

<input type="button" value="Print Grid's Comments" onclick="printComments();" />

<br>

<blox:grid id="printCommentsGrid"
	width="80%" height="500"
	visible="true"
	menubarVisible="true"
	commentsEnabled="true">
	<blox:toolbar visible="true" />
	<blox:data bloxRef="printCommentsGridMSAS" />
</blox:grid>

<%
	session.setAttribute("printCommentsExample.dataBlox", printCommentsGridMSAS);
%>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Commenting/printCommentsExample.jsp">View Source</a>

</body>

</html>