<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<%@ page import="com.alphablox.blox.Blox, 
                 com.alphablox.blox.pdfreport.PDFReport" %>

<%--
     Default PDF properties have been defined in the blox:pdfReport tag 
     in the navigation.jsp file at the application root directory. This 
	 allows the settings to be applied upon the opening of the application.
--%>

<blox:pdfReport>
	<blox:pdfDialogInput index="1"
		displayName="Report Title"
		defaultValue="Multiple Blox to PDF Example" />
</blox:pdfReport>

<html>

<head>
	<title>Multiple Blox to PDF - with Titles</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css"> 

</head>

<body>

<h2>Multiple Blox to PDF - with Titles</h2>
<p>Clicking the button at the bottom of the page renders all of the Blox on this page to a single PDF file. 
Added <code>&lt;bloxui:title&gt;</code> tags appear in both the web page and PDF file. 	The <code>&lt;blox:pdfReport&gt;</code> and 
<code>&lt;blox:pdfDialogInput&gt;</code> tags define the title for the pages rendered to PDF. </p>
<br>

<blox:grid id="mbpdfGridBloxMSAS"
	width="600"
	height="400"
	noDataMessage="Loading..."
	bandingEnabled="false"
	showRowDataGeneration="true"
	menubarVisible="false">
  
	<blox:toolbar visible="false" />
	
	<bloxui:title
		title="GridBlox View"
		style="padding:15; font-weight: bold; color:red;" 
		alignment="left" />
		
	<blox:cellAlert
		condition="between"
		value="4000"
		value2="6000"
		background="pink" />

	<blox:data 
 		dataSourceName="QCC-MSAS"
		query="SELECT {[All Locations].Children, [Locations].[All Locations]} ON COLUMNS , {crossjoin ( { crossjoin ({[Chocolate Type].[Dark], [Chocolate Type].[Milk], [Chocolate Type].[White], [Chocolate Type]}, {[Time.Fiscal].[All Time Periods].Children, [Time.Fiscal].[All Time Periods]})}, {[Scenario].Children })} ON ROWS FROM QCC" />

</blox:grid>

<blox:chart id="mbpdfChartBloxMSAS"
	width="600"
	height="400"
	title="Products by Time"
	chartType="Bar"
	menubarVisible="false">
  
	<blox:toolbar visible="false" />

	
	<bloxui:title
		title="ChartBlox View"
		style="padding:15; font-weight:bold; color:red;" 
		alignment="left" />

	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
</blox:chart>

<blox:present id="mbpdfPresentBloxMSAS"
  width="600"
  height="400"
  dataLayoutAvailable="false"
  menubarVisible="false">
  
  <blox:toolbar visible="false" />
  
  <bloxui:title
  	title="PresentBlox View"
	style="padding:15; font-weight:bold; color:red;" 
	alignment="left" />
 
  <blox:data
    dataSourceName="QCC-MSAS"
	query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])"
	selectableSlicerDimensions="'All Locations'" />

	<blox:grid
	  defaultCellFormat="#,###"
	  bandingEnabled="true" />
	  
	<blox:chart
		chartType="Bar" />
		
</blox:present>

<blox:container visible="true" id="containerName">
<%
    String bloxNames = "mbpdfGridBloxMSAS, mbpdfChartBloxMSAS, mbpdfPresentBloxMSAS";
    PDFReport.addButton(containerName, "buttonName", "Render To PDF", request, bloxNames);
%>
</blox:container>

<hr>
<a href="../../viewSource.jsp?file=MSAS/ConvertingToPDF/multipleBloxToPDFTitles.jsp">View Source</a>

</body>

</html>