<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>Fixed Choice Lists</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Fixed Choice List</h2>
<p>Shows an example of a fixed choice
      list created using <code>fixedChoiceLists</code> and <code>moreChoicesEnabled</code> properties on
      the nested PageBlox to filter the choices a user has with a PresentBlox.</p>
<br>

<blox:present id="fcPresentBloxMSAS"
	width="600"
	height="200"
	menubarVisible="false"
	pageAvailable="true"
	chartAvailable="false"
	dataLayoutAvailable="false">
	<blox:toolbar 
		visible="false" />
	<blox:page
		moreChoicesEnabledDefault="false"
		fixedChoiceLists="Locations:[Locations].[Central],[Locations].[East]" />
	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[Scenario].Children} ON COLUMNS, {[Products.Category].[All Products].Children, [Products.Category].[All Products]} ON ROWS FROM QCC WHERE ([Time.Calendar].[2001], [Locations].[East])"
		selectableSlicerDimensions="Locations" />
	<blox:grid
		defaultCellFormat="#,###"
		bandingEnabled="true" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Filtering/fixedChoiceList.jsp">View Source</a>

</body>

</html>
