<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
  <title>Hiding Dimensions</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>Hiding Dimensions</h2>
<p>In the displayed PresentBlox, the
      DataLayout panel only has a subset of the dimensions  to users.</p>
<br>

<blox:present id="hdPresentBloxMSAS"
	width="650"
	height="500"
	splitPane="true"
	dividerLocation="1.0">
	<blox:dataLayout
		hiddenDimensionsOnOtherAxis="Chocolate Type,Date Introduced,Date Opened,Ounces Per Package,Pieces Per Package,Has Nuts,Seasonal" />
	<blox:data
    dataSourceName="QCC-MSAS"
	query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])"
	selectableSlicerDimensions="'All Locations'" />
	<blox:grid
	  defaultCellFormat="#,###"
	  bandingEnabled="true" />
	<blox:chart
		chartType="Bar" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Filtering/hiddenDimensions.jsp">View Source</a>

</body>

</html>
