<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.data.mdb.MDBMetaData,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="CMGridDataBloxMSAS" 
	dataSourceName="QCC-MSAS"
	query="SELECT {[Time].[Fiscal].[All Time Periods].Children} ON COLUMNS, {[Products].[Category].[All Products].Children} ON ROWS FROM QCC" >
</blox:data>


<bloxform:memberSelect id="zoneMSAS"
	visible="false"
	dataBloxRef="CMGridDataBloxMSAS"
	dimensionName="[Locations]"
	filterGeneration="2" 
	filterOperator="==" />

<bloxform:memberSelect id="areaMSAS"
	visible="false"
	dataBloxRef="CMGridDataBloxMSAS"
	dimensionName="[Locations]"
	filterOperator="==" 
	filterGeneration="3">
	<bloxform:getChangedProperty
		formBloxRef="zoneMSAS"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<bloxform:memberSelect id="cityMSAS"
	visible="false"
	dataBloxRef="CMGridDataBloxMSAS"
	dimensionName="[Locations]"
	filterOperator="==" 
	filterGeneration="4">
    <%
        cityMSAS.addFormEventListener(new MemberSelectFormBloxEventListener(CMGridDataBloxMSAS));
    %>
	<bloxform:getChangedProperty
		formBloxRef="areaMSAS"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<blox:grid  id="CMGridBloxMSAS" visible="false"
	        width="650"
	        height="400">
    <blox:data bloxRef="CMGridDataBloxMSAS" />
</blox:grid>

<html>

<head>
<title>MemberSelectFormBlox - Cascading Menus</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header/>

<style>
	select {
		font-size:12pt;
	}
</style>

</head>

<body>

<h2>MemberSelectFormBlox - Cascading Menus</h2>
<p>Shows the use of three MemberSelectFormBlox to create a cascading menu pulling 
members from Microsoft Analysis Services.</p>

<TABLE>
	<TR>
		<TD><blox:display bloxRef="zoneMSAS" />
		</TD>
		<TD><blox:display bloxRef="areaMSAS" />
		</TD>
		<TD><blox:display bloxRef="cityMSAS" />
		</TD>
	</TR>
</TABLE>
<TABLE>
    <TR>
        <TD>
            <blox:display bloxRef="CMGridBloxMSAS" />
        </TD>
    </TR>
</TABLE>

<hr>
<a href="../../viewSource.jsp?file=MSAS/FormBlox/memberFormBlox-cascadingMenus.jsp">View Source</a>

</body>

</html>

<%!
    class MemberSelectFormBloxEventListener implements FormEventListener {
        private DataBlox dataBlox;

        public MemberSelectFormBloxEventListener(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String selectedCity = event.getFormBlox().getFormValue();

            if (selectedCity != null) {
                MDBMetaData metaData = (MDBMetaData) dataBlox.getMetaData();
                dataBlox.setSelectedMembers(new Member[] {metaData.resolveMember(selectedCity)});
                dataBlox.updateResultSet();
            }
        }
    }

%>
