<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="CellAlertGridBloxMSAS"
	visible="false"
	width="700"
	height="160"
	menubarVisible="false"
	defaultCellFormat="#,###.00">
	<blox:toolbar visible="false" />
	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[Scenario].[Actual],[Scenario].[Budget],[Scenario].[Variance],[Scenario].[Variance %]} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])" />		
</blox:grid>

<html>
<head>
	<title>Cell Alerts</title>

	<blox:header>
		<blox:clientBean name="CellAlertGridBloxMSAS">
			<blox:method name="setCellAlert" />
		</blox:clientBean>
	</blox:header>

	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<script language="JavaScript">

function showCellAlert() {
  if (document.CheckboxForm.CellAlertCheckbox.checked) {
	document.CellAlertGridBloxMSAS.setCellAlert(1,"condition=LT,value=0,background=red,scope={Scenario:Variance %}");
	document.CellAlertGridBloxMSAS.setCellAlert(2,"condition=BETWEEN,value=0,value2=10,background=yellow,scope={Scenario:Variance %}");
	document.CellAlertGridBloxMSAS.setCellAlert(3,"condition=GT,value=10,background=green,scope={Scenario:Variance %}");
	}
  else 
	document.CellAlertGridBloxMSAS.setCellAlert(1,"condition=any,background=white,scope={Scenario:Variance %}");
}

</script>

</head>

<body>

<h2>Using Cell Alert Properties</h2>
  
<br>
  
<p>A frequent request from users is to have data cell alerts (commonly known as 
  &quot;traffic lighting&quot;) appear when numbers fall within certain specified 
  ranges. In this example, several GridBlox cell alert properties are used in 
  combination to display red, yellow, and green background colors on various data 
  cells. Refer to the GridBlox Reference section of the <span class="book">Developer's 
  Reference</span> for further details on cell alerts.</p>

<div align="center">

<blox:display bloxRef="CellAlertGridBloxMSAS" />

</div>

<form name="CheckboxForm">
  <p> 
    <input type="checkbox" name="CellAlertCheckbox" value="checkbox" onClick="showCellAlert()">
    <b>&lt;blox:cellAlert index=&quot;1&quot; <br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; condition=&quot;LT&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; value=&quot;0&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;background=&quot;red&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;scope=&quot;{Scenario:Variance 
    %}&quot;/&gt;</b><br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>&lt;blox:cellAlert index=&quot;2&quot; 
    <br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; condition=&quot;between&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; value="0&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </b><b>value2="10"<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;background=&quot;yellow&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;scope=&quot;{Scenario:Variance 
    %}&quot;/&gt;<br>
    </b><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;blox:cellAlert index=&quot;3&quot; 
    <br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; condition=&quot;GT&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;value=&quot;10&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; background=&quot;green&quot;<br>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; scope=&quot;{Scenario:Variance 
    %}&quot;/&gt;</b><br>
    This example, which can be run on its own or in conjunction with the previous 
    one, shows how another useful property, cellAlert, can be used to highlight 
    particular cells. This technique, frequently called &quot;traffic lighting,&quot; 
    helps visually alert the user to particular values, based on conditions set 
    in the property.</p>
</form>
  
<p>
	<b>Note:</b> The above examples actually 
	use JavaScript methods to dynamically demonstrate the effects of various property 
	settings. Instead of using JavaScript methods on your Blox, you can use the appropriate 
	style properties and nested property tags to define the styles. 
</p>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Highlighting/cellAlertProperties.jsp">View Source</a>

</body>

</html>
