<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<html>

<head>
	<title>Traffic Lighting</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

	<blox:header/>

</head>

<body>

<h2>Traffic Lighting with Cell Alerts</h2>
<p>Shows an example of traffic lighting, where values in a particular 
column are highlighted with backgrounds in red, yellow, and green, depending 
on the value.</p>
<br>

<blox:grid id="TrafficLightingGridBloxMSAS"
	width="650"
	height="450"
	defaultCellFormat="#,##0.00">
	<blox:cellAlert index="1"
	 	scope="{Scenario:Variance %}"
	 	condition="GT"
	 	value="1"
	 	background="red" />
	<blox:cellAlert index="2"
	 	scope="{Scenario:Variance %}"
	 	condition="between"
	 	value="0"
	 	value2="1"
	 	background="yellow" />
	<blox:cellAlert index="3"
	 	scope="{Scenario:Variance %}"
	 	condition="LT"
	 	value="0"
	 	background="green" />
	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {[Scenario].[Actual],[Scenario].[Budget],[Scenario].[Variance],[Scenario].[Variance %]} ON COLUMNS, {[Products.Category].[Chocolate Blocks].Children,[Products.Category].[Chocolate Blocks],[Products.Category].[Chocolate Nuts].Children,[Products.Category].[Chocolate Nuts]} ON ROWS FROM qcc WHERE ([Time.Calendar].[2001])"
		useAliases="true" />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Highlighting/trafficLighting.jsp">View Source</a>

</body>

</html>
