<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>


<blox:present id="wb3PresentBloxMSAS" 
 	visible="false"
	height="400" 
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT DISTINCT( {[Scenario].children} )  ON AXIS(0), DISTINCT( {([Products].[Category].[All Products].[Truffles].[Dark Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[Dark Chocolate Truffles], [Products].[Code].[All Products].[100].[120]), ([Products].[Category].[All Products].[Truffles].[Milk Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[Milk Chocolate Truffles], [Products].[Code].[All Products].[100].[110]), ([Products].[Category].[All Products].[Truffles].[White Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[White Chocolate Truffles], [Products].[Code].[All Products].[100].[130])} )  ON AXIS(1) FROM [qccwb] WHERE ([Locations].[All Locations].[West].[N. Cal.].[Napa],[Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-13-2001],[Measures].[Units Sold],[Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Jan FY01].[01-13-2001])"/>
	<blox:grid 
                             writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">
		<blox:cellEditor 
			scope="{Scenario:Budget}" />
	</blox:grid>
</blox:present>

<blox:container visible="false" id="myContainer2MSAS">

<%
	BloxModel containerModel = myContainer2MSAS.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button( "writebackButton", "Submit Changes" );
	wbButton.setUserObject( wb3PresentBloxMSAS );
    wbButton.setThemeClass( null );
    wbButton.setController( 
		new Controller() {
			public boolean handleClickEvent( ClickEvent event ) throws Exception {
				PresentBlox presentBlox = (PresentBlox)event.getComponent().getUserObject();
				presentBlox.getDataBlox().writeback(
					presentBlox.getGridBlox().getChangedCellList(),
					presentBlox.getGridBlox().getChangedCellValues(),
					""
				);
				return true;
			}
		} 
	);
    containerModel.add( wbButton );
%>
</blox:container>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
    <title>Writeback Using an Internal Controller</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using an Internal Controller</h2>
<p>Writeback implemented using an internal controller. This example works only with MSAS 2000. </p>
 <br>

<blox:display bloxRef="wb3PresentBloxMSAS" />

<form>
	<blox:display bloxRef="myContainer2MSAS" />
</form>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Inputting/writeback-anonymousController.jsp">View Source</a>

</body>
</html>