<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>


<blox:present id="wb2PresentBloxMSAS" 
 	visible="false"
	height="100%" 
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT DISTINCT( {[Scenario].children} )  ON AXIS(0), DISTINCT( {([Products].[Category].[All Products].[Truffles].[Dark Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[Dark Chocolate Truffles], [Products].[Code].[All Products].[100].[120]), ([Products].[Category].[All Products].[Truffles].[Milk Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[Milk Chocolate Truffles], [Products].[Code].[All Products].[100].[110]), ([Products].[Category].[All Products].[Truffles].[White Chocolate Truffles], [Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[White Chocolate Truffles], [Products].[Code].[All Products].[100].[130])} )  ON AXIS(1) FROM [qccwb] WHERE ([Locations].[All Locations].[West].[N. Cal.].[Napa],[Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-13-2001],[Measures].[Units Sold],[Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Jan FY01].[01-13-2001])"
		selectableSlicerDimensions="Locations,Time,Measures" />

	<blox:grid 
        writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">
		<blox:cellEditor 
			scope="{Scenario:Budget}{Time:01-13-2001}" />
	</blox:grid>
</blox:present>

<%
class WritebackController extends Controller {

	DataBlox dataBlox;
	GridBlox gridBlox;

	WritebackController( PresentBlox presentBlox ) {
		try {
			this.dataBlox = presentBlox.getDataBlox();
			this.gridBlox = presentBlox.getGridBlox();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	public boolean handleClickEvent( ClickEvent event ) throws Exception {
		dataBlox.writeback(
			gridBlox.getChangedCellList(),
			gridBlox.getChangedCellValues(),
			""
		);
		return true;
	}
}
%>


<blox:container id="myContainerMSAS"
	visible="false">
<%
	BloxModel containerModel = myContainerMSAS.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button( "writebackButton", "Submit Changes" );
    wbButton.setThemeClass( null );
    wbButton.setController( new WritebackController( wb2PresentBloxMSAS ) );
    containerModel.add( wbButton );
%>
</blox:container>

<html>

<head>
    <title>Writeback Using a Custom Controller</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using a Custom Controller</h2>
<p>Writeback implemented using a custom controller. This example works only with MSAS 2000. </p>

<form>
    <blox:display bloxRef="myContainerMSAS" />
</form>

<blox:display bloxRef="wb2PresentBloxMSAS" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Inputting/writeback-customController.jsp">View Source</a>

</body>
</html>