<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.filter.*,
                 com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.core.MessageBox" %>
<%@ page import="com.alphablox.blox.DataBlox" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Event Filters</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Event Filters</h2>
<p>Shows the use of event filters, with results displayed to
a MessageBox.</p>
<br>

<blox:present id="eventFilterPBMSAS"
	width="600"
	height="400">
	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {CROSSJOIN ({[All Time Periods].Children, [All Time Periods]}, {[Scenario].[Actual], [Scenario].[Budget], [Scenario].[Variance], [Scenario].[Variance %]})} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc WHERE ([Locations].[All Locations])" />
	<blox:grid bandingEnabled="true" />
<%	eventFilterPBMSAS.getDataBlox().addEventFilter( new SimpleFilters(eventFilterPBMSAS.getBloxModel()) );	%>
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Interacting/eventFilters.jsp">View Source</a>

</body>

</html>

<%!
	public class SimpleFilters implements DrillDownFilter
	{
        BloxModel model;

        public SimpleFilters(BloxModel model) {
            this.model = model;
        }

		public void drillDown( DrillDownEvent event ) throws Exception
		{
			DataBlox blox = event.getDataBlox();

			StringBuffer msg = new StringBuffer("DRILL DOWN event on " + blox.getBloxName() + "\n");
			msg.append("With Axis ID: " + event.getAxisIndex() + ", ");
			msg.append("Nest level: " + event.getNestLevel() + ", ");
			msg.append("Member index: " + event.getMemberIndex() + ", and ");
			msg.append("TupleMember: " + event.getMember().getDisplayName());

            MessageBox msgBox = new MessageBox(msg.toString(), "DrillDown Filter Message", MessageBox.MESSAGE_OK, null);
            model.getDispatcher().showDialog(msgBox);
		}
	}
%>
