<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="presentBlox4MSAS"
  visible="false"
  width="600"
  height="500"
  splitPane="false">
  <blox:data
    dataSourceName="QCC-MSAS" />
  <blox:grid
    bandingEnabled="true" />
  <blox:chart
    chartType="Bar" />
</blox:present>

<%
  String query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc WHERE ([Locations].[All Locations])";

  presentBlox4MSAS.getDataBlox().setQuery(query);
  presentBlox4MSAS.getDataBlox().connect();
%>

<html>

<head>
	<title>Query Set by by HTML Buttons</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

	<blox:header>
		<blox:clientBean name="presentBlox4MSAS">
			<blox:method name="data.setQuery" />
			<blox:method name="data.connect" />
		</blox:clientBean>
	</blox:header>

<script language="JavaScript">

	function getMarket(selectedMarket) {
  		query="SELECT {[All Time Periods].Children} ON COLUMNS, "+
						"{[All Products].Children, [All Products]} ON ROWS "+
	        	"FROM qcc WHERE ([Locations].[" + selectedMarket + "])";

  		document.presentBlox4MSAS.getDataBlox().setQuery(query);
			document.presentBlox4MSAS.getDataBlox().connect();
}

</script>

</head>

<body>

<h2>Query Set by HTML Buttons</h2>
<p>Shows a Blox with HTML buttons changing and re-executing 
the query. </p>

<br>

<form name="MarketForm">
  <input type="button" name="region" value="West" onClick="getMarket(this.value)">
  <input type="button" name="region" value="Central" onClick="getMarket(this.value)">
  <input type="button" name="region" value="East" onClick="getMarket(this.value)">
</form>

  <!-- Render the Blox -->
  <blox:display bloxRef="presentBlox4MSAS" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Interacting/htmlButtonsSettingQuery.jsp">View Source</a>

</body>
</html>