<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<!-- RepositoryBlox to load user properties -->
<blox:repository id="personalRBMSAS" />

<html>

<head>
	<title>Personalization: Using Custom Preferences Dialog</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	
	<blox:header/>
	
<script language="JavaScript">

function openUserProfile() {
	var dialogWin = window.open("personalizationDialog.jsp","profileWin","height=290,width=320,scrollbars,resizable");
	dialogWin.focus();
}

</script>

</head>

<body>

<h2>Personalization: Using Custom Preferences Dialog</h2>
<p>Shows a GridBlox with a personal preferences dialog box
that allows users to change their e-mail address, bandingEnabled, and proper
name in the DB2 Alphablox Repository.</p>

<table width="50%" border="0" cellspacing="2" cellpadding="2">
	<tr>
		<td style="font-weight:bold;color:blue">Welcome <%= personalRBMSAS.getUserProperty( "propername" ) %></td>
		<td>
			<div align="right"><a href="javascript: openUserProfile();">Personalization</a></div>
		</td>
	</tr>
	<tr>
		<td colspan="2">
<%
	String banding = personalRBMSAS.getUserProperty("bandingenabled");
	Boolean setBanding = Boolean.valueOf(banding);
%>
			<!-- GridBlox with user specified bandingEnabled parameter -->
<blox:grid id="personalGridBloxMSAS"
	visible="false"
	bandingEnabled="<%= setBanding.toString() %>"> 
	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {{[Time.Calendar].[All Time Periods].Children}} ON COLUMNS, {{[Products.Category].[All Products].Children}} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
</blox:grid>

<%
	personalGridBloxMSAS.setBandingEnabled(setBanding.booleanValue()); 
%>

<blox:display bloxRef="personalGridBloxMSAS" />

		</td>
	</tr>
</table>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Persisting/personalization.jsp">View Source</a>

</body>

</html>