<%@ page contentType="text/html; charset=UTF-8" %>

<html>

<head>
	<title>Restricting Public Bookmark Access</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
  <h2>Restricting Public Bookmark Access</h2>

  <p><b>Problem:</b> Associate the bookmark with the user that created it, and compare with 
    the logged in user before any delete operation.</p>
  <p><b>Solution:</b> Use CustomProperties, BookmarksBlox, Bookmark and BookmarkProperties objects.</p>
    
  <p>There is no security on bookmarks. What we can do is create a custom property that contains 
    the user name of the person that created the bookmark and check that user name when the 
    bookmark is deleted.</p>
  
  <p><b>Tech Talk:</b> For this example, we will create bookmarks with the user name below added
    as a custom property to each of the three bookmarks. When the user tried to delete a bookmark,
    we will check to make sure the user names (on the bookmark and in the session) match.</p>

  <form name="MainForm" action="publicBookmarkAccess1.jsp">
    <table border="1" cellpadding="3" cellspacing="1" class="settings">
	<tr><th colspan="2" align="center">Bookmark User Names</th></tr>
    <tr>
	  <td align="right"><b>Bookmark1 User:</b></td>
	  <td>
	    <select name="bookmark1user">
          <option value="admin" selected>admin
          <option value="sfrolich">sfrolich
          <option value="larry">larry
        </select>
	  </td>
	</tr>
    <tr>
	  <td align="right"><b>Bookmark2 User:</b></td>
	  <td>
	    <select name="bookmark2user">
          <option value="admin">admin
          <option value="sfrolich" selected>sfrolich
          <option value="larry">larry
        </select>
	  </td>
	</tr>
    <tr>
	  <td align="right"><b>Bookmark3 User:</b></td>
	  <td>
	    <select name="bookmark3user">
          <option value="admin">admin
          <option value="sfrolich">sfrolich
          <option value="larry" selected>larry
        </select>
	  </td>
	</tr>
	<tr>
	  <td colspan="2" align="center">
        <input type="submit" value="Go to Example" style="margin-top:5px;margin-bottom:5px;">
      </td>
	</tr>
	</table>
	
  </form>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Persisting/publicBookmarkAccess.jsp">View Source</a>

</body>
</html>
