<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Cell Formatting</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Cell Formatting</h2>
<p>Shows a simple example of a GridBlox using the <code>defaultCellFormat</code> 
and <code>cellAlert</code> properties.</p>
<br>

<blox:present id="presentBloxEx11MSAS"
  width="650"
  height="450"
  splitPane="false">
  <blox:data
    dataSourceName="QCC-MSAS"
	query="SELECT {[Time].[Fiscal].[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
  <blox:grid
  	defaultCellFormat="#,###.00">
  	<blox:cellAlert 
		condition="BETWEEN" 
		value="1000000" 
		value2="10000000"
		background="yellow"
		scope="{[Time].[Fiscal]: [Time].[Fiscal].[All Time Periods].[FY2000], [Time].[Fiscal].[All Time Periods].[FY2001], [Time].[Fiscal].[All Time Periods].[FY2002]} {[Products].[Category]:[Products].[Category].[All Products].[Chocolate Blocks], [Products].[Category].[All Products].[Chocolate Nuts], [Products].[Category].[All Products].[Specialties], [Products].[Category].[All Products].[Truffles]}" />
	<blox:cellAlert 
		condition="LT" 
		value="1000000" 
		background="red"
		scope="{[Time].[Fiscal]: [Time].[Fiscal].[All Time Periods].[FY2000], [Time].[Fiscal].[All Time Periods].[FY2001], [Time].[Fiscal].[All Time Periods].[FY2002]} {[Products].[Category]:[Products].[Category].[All Products].[Chocolate Blocks], [Products].[Category].[All Products].[Chocolate Nuts], [Products].[Category].[All Products].[Specialties], [Products].[Category].[All Products].[Truffles]}" />
	<blox:cellAlert 
		condition="GT" 
		value="10000000"
		background="green"
		scope="{[Time].[Fiscal]: [Time].[Fiscal].[All Time Periods].[FY2000], [Time].[Fiscal].[All Time Periods].[FY2001], [Time].[Fiscal].[All Time Periods].[FY2002]} {[Products].[Category]:[Products].[Category].[All Products].[Chocolate Blocks], [Products].[Category].[All Products].[Chocolate Nuts], [Products].[Category].[All Products].[Specialties], [Products].[Category].[All Products].[Truffles]}" />
	</blox:grid>
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Presenting/cellFormatting.jsp">View Source</a>

</body>
</html>