<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>

<head>
    <title>Dial Chart</title>
    <blox:header />
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Dial Chart</h2>
<p>Example of a dial chart created using a nested <code>&lt;blox:dial&gt;</code> tag.</p>
<br>

    <blox:present id="dcPresentBloxMSAS" height="500" width="800" dividerLocation="0.35">
        <blox:chart chartType="dial"
			title="Qtr 1 2001 - Truffles Sales" 
			y1FormatMask="$#,###">
            <blox:dial 
				startAngle="-150" 
				stopAngle="150" 
				color="white">
                <blox:scale
					minimum="3000" 
					maximum="12000"
					stepSize="2000" />
                <blox:sector 
					startValue="3000" 
					stopValue="5000" 
					color="red" />
                <blox:sector 
					startValue="5000" 
					stopValue="9000" 
					color="yellow" />
                <blox:sector 
					startValue="9000" 
					stopValue="11000" 
					color="green" />
                <blox:sector 
					startValue="11000" 
					stopValue="15000" 
					color="magenta" 
					innerRadius="80" />
                <blox:needle 
				needleWidth="4" 
				endType="sharpArrow" 
				color="black" />
            </blox:dial>
            <blox:dial 
				startAngle="-180" 
				stopAngle="180" 
				color="black"
				radius="25"
				ticPosition="none"
				borderType="none"
                showLabels="false">
                <blox:needle
					needleWidth="0" 
					endType="none" />
            </blox:dial>
        </blox:chart>

        <blox:data 
			dataSourceName="QCC-MSAS"
			useAliases="true"
            query=' SELECT {[Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01]} ON AXIS(0), {[Products].[Category].[All Products].[Truffles].[Dark Chocolate Truffles], [Products].[Category].[All Products].[Truffles].[Milk Chocolate Truffles], [Products].[Category].[All Products].[Truffles].[White Chocolate Truffles]}  ON AXIS(1) FROM [qcc] WHERE ([Measures].[Sales])' />

    </blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Presenting/dialChart.jsp">View Source</a>

</body>
</html>
