<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>URL Attributes: MSAS Example - Changing CSS Themes</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

	<blox:header/>

</head>

<body>

<h2>URL Attributes - Changing CSS Themes</h2>

<br>

<div align="center">
  <table width="90%" cellspacing="2" cellpadding="2" border="1">
    <tr>
      <td class="white" valign="top"> 
        <p>Click on the links on the right to see how changing the URL dynamically
           changes the CSS theme of the displayed page. For 
          each of these links, the URL attribute string follows the following
           format:
        <pre class="codesample">&lt;url&gt;<span class="bluehighlight">?theme=&lt;themeName&gt;</span></pre>
        <br>
        
      </td>
        
      <td class="white" valign="top">        <p><b>Sample URL attributes:</b><br>
          <a href="urlAttributes.jsp?theme=coleman"><code>theme=coleman</code></a><br>
          <a href="urlAttributes.jsp?theme=financial"><code>theme=financial</code></a><br>
          <a href="urlAttributes.jsp?render=printer&theme=financial"><code>render=printer&amp;theme=financial</code></a>
        </td>
      </tr>
    </table>
  <br>
</div>

<div align="center">

<blox:present id="urlAttributesPresentBloxMSAS"
  width="600"
  height="400"
  splitPane="false">
  <blox:data
  	dataSourceName="QCC-MSAS"
	selectableSlicerDimensions="Measures,Locations"
	query="SELECT {[Time.Calendar].[All Time Periods].Children} ON COLUMNS,{[Products.Category].[All Products].Children,[Products.Category].[All Products]} ON ROWS FROM qcc WHERE ([Measures].[Sales])"
    useAliases="true" />
  <blox:grid
    bandingEnabled="true" />
  <blox:chart
    chartType="Vertical Bar, Stacked" />
</blox:present>

</div>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Presenting/urlAttributes.jsp">View Source</a>

</body>

</html>