<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.tags.IActionFilter,
                 com.alphablox.blox.DataViewBlox,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.blox.uimodel.core.MessageBox,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.PresentBloxModel,
                 com.alphablox.blox.uimodel.core.grid.GridCell,
                 com.alphablox.blox.uimodel.GridBrixCellModel,
                 com.alphablox.blox.uimodel.core.ClientLink,
                 com.alphablox.bloxsampler.drillthrough.DrillThroughExample"%>
<%-- Import the Blox custom tag libraries --%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri='bloxuitld' prefix='bloxui'%>

<html>
<head>
<title>Drillthrough with Custom Handler</TITLE>

<%-- Insert the Blox header --%>
	<blox:header />
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Drill to Relational Detail Using Native MSAS DrillThrough Support</h2>
<p>With MSAS DrillThrough support enabled and a properly configured cube, you can
right-click on a data cell in a GridBlox to drill down into in interactive
ReportBlox view showing relational details.</p>
<br>

<blox:data id="SomeMSASDataBlox"
	width="1"
      	height="1"
	catalog="Blox"
      	dataSourceName="QCC-MSAS"
	selectableSlicerDimensions="Measures"
	query="SELECT crossjoin ( {[Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01]}, {[Locations].[All Locations].[West], [Locations].[All Locations].[West].[N. Cal.], [Locations].[All Locations].[West].[N. Cal.].[Carmel], [Locations].[All Locations].[West].[N. Cal.].[Napa], [Locations].[All Locations].[West].[S. Cal.], [Locations].[All Locations].[West].[S. Cal.].[Beverly Hills], [Locations].[All Locations].[West].[S. Cal.].[Hollywood]}) ON AXIS(0), crossjoin ( {[Chocolate Type].[Chocolate Type], [Chocolate Type].[Chocolate Type].[Dark], [Chocolate Type].[Chocolate Type].[Milk]}, {[Products].[Code].[All Products], [Products].[Code].[All Products].[100], [Products].[Code].[All Products].[200], [Products].[Code].[All Products].[300], [Products].[Code].[All Products].[400]}) ON AXIS(1) FROM [qcc]" />

<blox:present id="SomeMsolapPresentBlox" width="700" height="580" visible="true">
	<blox:data bloxRef="SomeMSASDataBlox"/>
	<blox:chart visible="false"/>
	<blox:grid drillThroughEnabled="true" />
	<bloxui:actionFilter className="<%= DrillThroughExample.class.getName() %>" componentName="dataAdvancedDrillThrough" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Retrieving/some.jsp">View Source</a>

</body>
</html>