<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.alphablox.blox.data.*" %>
<%@ page import="com.alphablox.blox.data.rdb.*" %>
<%@ page import="com.alphablox.net.URLFactory"%>
<%@ page errorPage="error.jsp" %>


<html>
<title>SOME - Security Ordering Multiple (Window) Example with Calculations Continued</title>
<blox:header />
<head>
<!-- using a stylesheet that defines the styles for the interactive context menus-->
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />

	<style>

	h1 { 
  		font-size: 16pt;
  		color: #993399;
  		font-family: "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif; background-position: center
  	}

	p {  
  		font-family: Trebuchet MS,Verdana, Arial, Helvetica, sans-serif; 
  		font-size: 9pt; 
  		font-style: normal;
  	}
	</style>
</head>
<body>

<%
	String reportName = request.getParameter("reportName");
	
	if(reportName == null) {
		reportName = "defaultName";
	}

    String dbDatabaseProductName = request.getParameter("dbDatabaseProductName");
    if("MSOLAP.3".equalsIgnoreCase(dbDatabaseProductName))
    {
%>
<bloxreport:report id="drillThrough" bloxName="<%= reportName %>" interactive="true">

	<bloxreport:rdbResultSetData
		bloxRef="<%= request.getParameter(\"bloxRef\") %>"
		columnCoordinate="<%= request.getParameter(\"colIndex\") %>"
		rowCoordinate="<%= request.getParameter(\"rowIndex\") %>">
	</bloxreport:rdbResultSetData>

	<!--New Blox in 5.0 Permanently Excluded the Year column. -->

	<bloxreport:members 
                           excluded="[$Products.Product Name attribute],[$Time.Day attribute 1],[$Chocolate Type.Type attribute],[$Date Introduced.Prod Intro Date attribute],[$Has Nuts.YesNo attribute],[$Ounces Per Package.Oz Per Pkg attribute],[$Pieces Per Package.Pieces attribute]">
              </bloxreport:members>

              <bloxreport:group
		members="[$Scenario.Scenario attribute]">
		<bloxreport:aggregation member="[$Date Opened.Day]" type="none"/>
	</bloxreport:group>

	<!-- [Avg Unit Cost] is a MSAS calculated member. Need to replicate the calculation again -->
	
	<bloxreport:calculate
		expression="[Avg Unit Sales] =   [Sales] / [Units Sold]">
     	</bloxreport:calculate>

              <bloxreport:text>
		<bloxreport:groupHeader level="1"
			text="Dec 01 2001 QCC Report" />	
		<bloxreport:columnHeader columnName="[$Locations.Location attribute]"
			text="Location" />
                            <bloxreport:columnHeader columnName="[$Seasonal.Seasonal Period attribute]"
			text="Seasonal Period" />
                            <bloxreport:columnHeader columnName="[$Date Opened.Day]"
			text="Opening Date" />
	</bloxreport:text>

             <bloxreport:style>
		<bloxreport:column style="color: blue; background-color: yellow" columnName="Avg Unit Sales" />
		<bloxreport:missing style="text-align: right" />
		<bloxreport:text style="text-align: right" />
	</bloxreport:style>

	<bloxreport:format>
		<bloxreport:missing format="----" />
	</bloxreport:format>

</bloxreport:report>

<%
    }
    else
    {
%>

<bloxreport:report id="drillThrough" bloxName="<%= reportName %>" interactive="true">
	
	<bloxreport:rdbResultSetData
		bloxRef="<%= request.getParameter(\"bloxRef\") %>" 
		columnCoordinate="<%= request.getParameter(\"colIndex\") %>"
		rowCoordinate="<%= request.getParameter(\"rowIndex\") %>">
	</bloxreport:rdbResultSetData>

	<!--New Blox in 5.0 Permanently Excluded the Year column. -->

	<bloxreport:members excluded="Year"/>

	<!-- Add the Scenario break group -->

	<bloxreport:group
		members="Scenario">
		<bloxreport:aggregation member="Year" type="none"/>
	</bloxreport:group>

	<!-- [Avg Unit Cost] is a MSAS calculated member. Need to replicate the calculation again -->
	
	<bloxreport:calculate
		expression="[Avg Unit Cost] =  Cost / Units">
     	</bloxreport:calculate>

	<!-- Order the Columns Logically -->
	<bloxreport:order
		included="Region,Area,Sales,Cost,Units,[Avg Unit Cost]">
	</bloxreport:order>
	
	<bloxreport:text>
		<bloxreport:groupHeader level="1"
			text="Dec 01 2001 QCC Report" />	
		<bloxreport:columnHeader columnName="Cost"
			text="COGS" />
	</bloxreport:text>
	
	<bloxreport:style>
		<bloxreport:column style="color: blue; background-color: yellow" columnName="Avg Unit Cost" />
		<bloxreport:missing style="text-align: right" />
		<bloxreport:text style="text-align: right" />
	</bloxreport:style>

	<bloxreport:format>
		<bloxreport:missing format="----" />
		
	</bloxreport:format>
</bloxreport:report>

<%
    }
%>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Retrieving/someReportBlox.jsp">View Source</a>

</body>
</html>
