<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.*,
                 java.text.DateFormat,
                 java.util.Date"%>

<%@ taglib uri="bloxtld" prefix="blox"%>

<html>
<head>
<title>DateChooser Component</title>
<blox:header />
</head>

<body>
<h2>DateChooser Component</h2>
<p>Shows an example of the Blox UI DateChooser component, which is available for use in custom applications.</p>
<br>

<blox:container id="dateChooserContainer" visible="true">
<%
    BloxModel model = dateChooserContainer.getBloxModel();

    Controller dateChooserController = new Controller() {
        public boolean handleContentsChangedEvent( ContentsChangedEvent event ) throws Exception {
            event.getComponent().getDispatcher().sendClientCommand("System.out.println('SERVER: "+event.getComponent().getName()+", "+event.getEventName()+", "+event.getContents()+"')");
            return false;
        }
    };

    DateChooser datechooser0 = new DateChooser( DateFormat.FULL );
    datechooser0.setName("dateChooser0");
    datechooser0.setWidth(300);
    datechooser0.setController(dateChooserController);
    model.add(new Static("DateFormat.FULL"));
    model.add(datechooser0);

    model.add(new Spacer(20,20));

    DateChooser datechooser1 = new DateChooser( DateFormat.LONG );
    datechooser1.setName("dateChooser1");
    datechooser1.setWidth(300);
    model.add(new Static("DateFormat.LONG"));
    model.add(datechooser1);

    model.add(new Spacer(20,20));

    DateChooser datechooser2 = new DateChooser( DateFormat.MEDIUM );
    datechooser2.setName("datechooser2");
    datechooser2.setWidth(300);
    model.add(new Static("DateFormat.MEDIUM"));
    model.add(datechooser2);

    model.add(new Spacer(20,20));

    DateChooser datechooser3 = new DateChooser( DateFormat.SHORT );
    datechooser3.setName("datechooser3");
    datechooser3.setWidth(100);
    model.add(new Static("DateFormat.SHORT"));
    model.add(datechooser3);

    model.add(new Spacer(20,20));

    final DateChooser datechooser4 = new DateChooser(new Date());
    datechooser4.setName("datechooser4");
    datechooser4.setWidth(300);
    model.add(new Static("Seed date: today"));
    model.add(datechooser4);

    Button b = new Button( null, "Show Date" );
    b.setController( new Controller() {
        public boolean handleClickEvent( ClickEvent event ) {
            MessageBox.message( event.getComponent(), "test", new Date( datechooser4.getMilliseconds() ).toString() );
            return true;
        }
    });

    model.add( b );

%>
</blox:container>

<hr>
<a href="../../viewSource.jsp?file=MSAS/UIExtensibility/dateChooser.jsp">View Source</a>

</body>
</html>
