<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.core.ModelException,
                 com.alphablox.blox.uimodel.core.Style,
                 com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.core.ListBox,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.SelectionChangedEvent,
                 com.alphablox.blox.uimodel.core.grid.*"%>
<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:data id="csDataBloxMSAS" visible="false"
   dataSourceName="QCC-MSAS"
   query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])"
   selectableSlicerDimensions="'All Locations'" />

<blox:present id="csPresentBloxMSAS" visible="false" 
   width="800" height="500"
   dividerLocation="1.0">
   
   <blox:data bloxRef="csDataBloxMSAS" />

</blox:present>

<%
    GridSelectionModelController selection = new GridSelectionModelController( );
    session.setAttribute( "cellSelectionModel", selection );
    selection.setGrid( csPresentBloxMSAS.getBloxModel().getGrid() );
%>

<html>
<head>
<TITLE>GridBlox Cell Selection Model</TITLE>

<blox:header>
    <blox:clientBean name="cellSelectionModel" />
</blox:header>

<style>
.selectStyle { background-color:purple; color: yellow; }
.filterStyle { FILTER: Alpha(Opacity=60); }
.tiny { font: 8pt Arial; }
</style>

</head>

<body>
<h2>GridBlox Cell Selection Model</h2>

<form>
<input class="tiny" type="button" value="Switch Highlight Enabled" onclick="cellSelectionModel.toggleHighlightEnabled( );">
<input class="tiny" type="button" value="Switch Allow Multiple Select" onclick="cellSelectionModel.toggleAllowMultipleSelect( );">
<span class="tiny">&nbsp;Selection Model:&nbsp;</span><select class="tiny" id="model" onchange="cellSelectionModel.setSelectionModel( parseInt( model.options[model.selectedIndex].value) );"><option value="0">cell<option value="1">row<option value="2">column<option value="3">standard</select>
</form>
<script>
model.selectedIndex = <%= getSelectionModelId( csPresentBloxMSAS.getBloxModel().getGrid().getSelectionModel() ) %>;
</script>
<hr>

<table>
<tr>
    <td>
        <blox:display bloxRef="csPresentBloxMSAS" />
    </td>

    <td valign=top align=center width=230 nowrap>
        Selected cells:<br>
        <blox:container id="selectedcells" width="200" height="600" visible="true">
        <%
            BloxModel model = selectedcells.getBloxModel();

            final ListBox box = new ListBox( "cells" );
            box.setWidth( -100 );
            box.setHeight( -100 );
            model.add( box );

            final GridBrixModel grid = csPresentBloxMSAS.getBloxModel().getGrid();

            grid.getController().addEventHandler( new IEventHandler() {
                public boolean handleSelectionChangedEvent( SelectionChangedEvent event ) throws ModelException {
                    if ( event.getComponent() == grid ) {
                        box.clear();
                        GridCell[] cells = grid.getSelectedCells();
                        for (int i = 0; i < cells.length; i++) {
                            GridCell cell = cells[i];
                            String name = cell.getName() + " (" + cell.getRow().getIndex() + "," + cell.getColumn().getIndex() + ")";
                            if ( cell.getValue() != null )
                                name += " = " + cell.getValue();

                            box.add( name );
                        }

                        box.changed();
                    }

                    return false;
                }

            } );
        %>
        </blox:container>
    </td>
</tr>
</table>

<hr>
<a href="../../viewSource.jsp?file=MSAS/UIExtensibility/gridSelectionModel.jsp">View Source</a>

</body>
</html>

<%!

    public int getSelectionModelId( SelectionModel selectionModel  ) {
        if ( selectionModel instanceof  CellSelectionModel )
            return 0;
        else if ( selectionModel instanceof RowSelectionModel )
            return 1;
        else if ( selectionModel instanceof ColumnSelectionModel )
            return 2;
        else if ( selectionModel instanceof StandardSelectionModel )
            return 3;

        return 0;
    }

    public static class GridSelectionModelController {
        GridBrixModel grid;

        public GridSelectionModelController( ) {
        }

        public void setGrid ( final GridBrixModel grid ) {
            this.grid = grid;
        }

        public void toggleHighlightEnabled( ) throws ModelException  {
            grid.setSelectHighlightEnabled( !grid.isSelectHighlightEnabled() );
            grid.changed();
        }

        public void setSelectionModel( int model ) throws ModelException {
            switch ( model ) {
                case 0:
                    grid.setSelectionModel( new CellSelectionModel( ) );
                    break;
                case 1:
                    grid.setSelectionModel( new RowSelectionModel( ) );
                    break;
                case 2:
                    grid.setSelectionModel( new ColumnSelectionModel( ) );
                    break;
                case 3:
                    grid.setSelectionModel( new StandardSelectionModel( ) );
                    break;
            }

            grid.changed();
        }

        public void toggleAllowMultipleSelect( ) throws ModelException {
            grid.setAllowMultipleSelect( !grid.isAllowMultipleSelect() );
            grid.changed();
        }
    }
%>
