<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.*" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<TITLE>Spinner Control</TITLE>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Spinner Control - Examples</h2>
<p>Shows several examples of the use of a spinner control.</p>
<br>

<blox:container id="spinnerBloxMSAS" width="600" height="150">
<%
    BloxModel model = spinnerBloxMSAS.getBloxModel();
    model.clear();
    model.setLayout( new VerticalLayout() );

    model.add( new Static( "Simple spinner (defaults)" ) );
    SpinnerButton spinner = new SpinnerButton( "spinner1" );
    model.add( spinner );

    model.add( new Spacer( 10, 0 ) );
    model.add( new Static( "(initial value = 999)" ) );
    spinner = new SpinnerButton( "spinner2", 999 );
    model.add( spinner );

    model.add( new Spacer( 10, 0 ) );
    model.add( new Static( "(initial value=4, low=3, high=20)" ) );
    spinner = new SpinnerButton( "spinner2", 4 );
    spinner.setRange( 3, 20 );
    model.add( spinner );

    model.add( new Spacer( 10, 0 ) );
    model.add( new Static( "(initial value=2, low=-100, high=100, inc=10)" ) );
    spinner = new SpinnerButton( "spinner2", 2 );
    spinner.setRange( -100, 100 );
    spinner.setIncrement( 10 );
    model.add( spinner );

    Button button = new Button( "show", "Spinner In Dialog" );

    button.setController( new Controller() {
        public void actionShow( ModelEvent event ) throws Exception {
            Dialog dialog = new Dialog();
            dialog.setController( new DialogController( dialog ) );

            SpinnerButton s = new SpinnerButton( null, 1000 );
            s.setAlignment( Component.ALIGN_CENTER );
            s.setStyle( "padding:15;" );
            s.setBatchEvents( false );
            dialog.add( s );
            event.getComponent().getDispatcher().showDialog( dialog );
        }
    });

    model.add( new Spacer( 10, 0 ) );
    model.add( button );

%>
</blox:container>

<hr>
<a href="../../viewSource.jsp?file=MSAS/UIExtensibility/spinnerControl.jsp">View Source</a>

</body>
</html>
