package com.alphablox.bloxsampler.drillthrough;

import com.alphablox.blox.DataViewBlox;
import com.alphablox.blox.DataBlox;
import com.alphablox.blox.uimodel.GridBrixCellModel;
import com.alphablox.blox.uimodel.GridBrixModel;
import com.alphablox.blox.uimodel.PresentBloxModel;
import com.alphablox.blox.uimodel.core.ClientLink;
import com.alphablox.blox.uimodel.core.Component;
import com.alphablox.blox.uimodel.core.MessageBox;
import com.alphablox.blox.uimodel.core.grid.GridCell;
import com.alphablox.blox.uimodel.tags.IActionFilter;

/**
 * Copyright 2004 AlphaBlox Corporation. All rights reserved.
 *
 * @author  Steve Bang
 * @version
 * Date: Dec 8, 2003
 */
public class DrillThroughExample implements IActionFilter {
    public void actionFilter(DataViewBlox blox, Component component) throws Exception {
        GridBrixModel grid = ((PresentBloxModel) blox.getBloxModel()).getGrid();

        GridCell[] cells = grid.getSelectedCells();

        // Make sure that a single data cell is selected
        if (cells.length != 1 || cells[0].isRowHeader() || cells[0].isColumnHeader() || !(cells[0] instanceof GridBrixCellModel)) {
            MessageBox.message(component, "Error", "You must select a single data cell to drill through");
            return;
        }

        GridBrixCellModel cell = (GridBrixCellModel) cells[0];

        int rowIndex = cell.getNativeRow();
        int colIndex = cell.getNativeColumn();
        String bloxName = blox.getBloxName();
        DataBlox dataBlox = blox.getDataBlox();
        String dbDatabaseProductName= dataBlox.getMetaData().getDatabaseProductName();

        String urlStr = "someReportBlox.jsp?bloxRef=" + bloxName;
        urlStr += "&colIndex=";
        urlStr += colIndex;
        urlStr += "&rowIndex=";
        urlStr += rowIndex;
        urlStr += "&dbDatabaseProductName=";
        urlStr += dbDatabaseProductName;

        String timestamp = String.valueOf(System.currentTimeMillis());

        urlStr += "&reportName=";
        urlStr = urlStr + "reportBlox" + timestamp;

        ClientLink link = new ClientLink(urlStr, "reportBlox" + timestamp);

        component.getDispatcher().showBrowserWindow(link);
    }
}

