package com.alphablox.bloxsampler.writeback;

import com.alphablox.blox.PresentBlox;
import com.alphablox.blox.ServerBloxException;
import com.alphablox.blox.GridBlox;
import com.alphablox.blox.uimodel.core.*;
import com.alphablox.blox.uimodel.core.event.IEventHandler;
import com.alphablox.blox.uimodel.core.event.ClickEvent;
import com.alphablox.blox.uimodel.BloxModel;
import com.alphablox.blox.uimodel.ModelConstants;

public class Writeback {
	
    private GridBlox gridBlox;

    public Writeback( GridBlox gridBlox ) throws Exception {
        this( gridBlox, null );
    }

    public Writeback( PresentBlox presentBlox ) throws Exception {
       this( presentBlox.getGridBlox() );
    }

    public Writeback( PresentBlox presentBlox, String scope ) throws Exception {
       this( presentBlox.getGridBlox(), scope );
    }

    public Writeback( GridBlox gridBlox, String scope ) throws Exception {
        this.gridBlox = gridBlox;

        gridBlox.setWritebackEnabled( true );

        if ( scope != null )
            setScope( scope );

        BloxModel model = gridBlox.getBloxModel();

        Menu dataMenu = (Menu)model.searchForComponent( ModelConstants.DATA_MENU );
        if ( dataMenu != null ) {
            dataMenu.add( MenuItem.separator() );
            dataMenu.add( new MenuItem( "dataWriteback", "Writeback: Submit Changes" ) );
        }

        model.getController().addEventHandler( new IEventHandler() {
            public boolean handleClickEvent( ClickEvent event ) throws Exception {
                if ( "dataWriteback".equals( event.getComponent().getName() ) ) {
                    writebackValues();
                    return true;
                }

                return false;
            }
        });
    }

    public void writebackValues() {
        try {

			int v = gridBlox.getBloxModel().getGrid().getVerticalScrollPosition();
			int h = gridBlox.getBloxModel().getGrid().getHorizontalScrollPosition();

            gridBlox.getDataBlox().writeback(
                gridBlox.getChangedCellList(),
                gridBlox.getChangedCellValues(),
                "" );

			gridBlox.getBloxModel().getGrid().setVerticalScrollPosition(v);
			gridBlox.getBloxModel().getGrid().setHorizontalScrollPosition(h);

        } catch (Exception e) {
            showErrorMessage(e);
        }
    }

    private void showErrorMessage(Exception e) {
        try {
            MessageBox.message(gridBlox.getBloxModel().getDispatcher(), "Error", e.getMessage());
        } catch (ModelException ex) {
            // error while trying to show error message.
        } catch (ServerBloxException ex) {
            // error while trying to show error message.
        }
    }
    public void setScope( String scope ) throws Exception {
        gridBlox.setCellEditor( 1, "scope=\"" + scope + "\"" );
    }
}
