<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>Blox Sampler Menu</title>
	<blox:header/>

	<style>
		body {
			background: lightblue;
			}
		a {
			text-decoration:none;
			}
		a:hover {
			text-decoration:underline;
			}
        
		.csTrLfLblSlctd	{
			background-color: transparent;
		}


		.csTrNdLblSlctd	{
			background-color: transparent;
		}
	</style>
	
</head>

<body>

<!-- This menuing system uses a TreeFormBlox and its nested Blox components.  -->

<bloxform:tree id="BloxSamplerMenu" rootVisible="false">

	<bloxform:folder>

		<bloxform:folder label="Using Blox Sampler" expanded="false">
	
			<bloxform:item label="About Blox Sampler" 
				href="AboutBloxSampler/aboutBloxSampler.html"
				target="mainFrame" />
			<bloxform:item label="Configuring Blox Sampler for IBM DB2 OLAP Server and Hyperion Essbase"
				href="AboutBloxSampler/configuringEssbase.html"
				target="mainFrame" />
			<bloxform:item label="Configuring Blox Sampler for Microsoft Analysis Services"
				href="AboutBloxSampler/configuringMSAS.html"
				target="mainFrame" />
	
		</bloxform:folder>

		<bloxform:folder label="DB2 OLAP Server and Essbase" 
			expanded="false"
			href="AboutBloxSampler/configuringEssbase.html"
			target="mainFrame">
	
			<bloxform:folder label="Blox Basics"
				href="Essbase/BloxBasics/bloxBasicsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox Basics Overview" 
					href="Essbase/BloxBasics/bloxBasicsOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Required Settings" 
					href="Essbase/BloxBasics/gridBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Commonly Used Settings" 
					href="Essbase/BloxBasics/gridBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Required Settings" 
					href="Essbase/BloxBasics/chartBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Commonly Used Settings" 
					href="Essbase/BloxBasics/chartBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Required Settings" 
					href="Essbase/BloxBasics/presentBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Commonly Used Settings" 
					href="Essbase/BloxBasics/presentBloxCommon.jsp"
					target="mainFrame" />
			</bloxform:folder>			

			<bloxform:folder label="Blox UI Tags"
				href="Essbase/BloxUITags/bloxUITagsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox UI Tags - Overview" 
					href="Essbase/BloxUITags/bloxUITagsOverview.html"
					target="mainFrame" />
				<bloxform:item label="Butterfly Report" 
					href="Essbase/BloxUITags/butterflyReport.jsp"
					target="mainFrame" />
				<bloxform:item label="Compressing Headers" 
					href="Essbase/BloxUITags/compressHeaders.jsp"
					target="mainFrame" />
				<bloxform:item label="Highlighting Grid Elements" 
					href="Essbase/BloxUITags/gridHighlight.jsp"
					target="mainFrame" />
				<bloxform:item label="Spaces in Rows and Columns" 
					href="Essbase/BloxUITags/gridSpacer.jsp"
					target="mainFrame" />
				<bloxform:item label="Top N/Bottom N and Percent of Total" 
					href="Essbase/BloxUITags/topNbottomNpercentOfTotal.jsp"
					target="mainFrame" />
				<bloxform:item label="Using an Action Filter" 
					href="Essbase/BloxUITags/actionFilter.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="UI Extensibility"
				href="Essbase/UIExtensibility/uiExtensibilityOverview.html"
				target="mainFrame">
				<bloxform:item label="UI Extensibility - Overview" 
					href="Essbase/UIExtensibility/uiExtensibilityOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Context Menu on Chart" 
					href="Essbase/UIExtensibility/customRightClick.jsp"
					target="mainFrame" />
				<bloxform:item label="Custom Chart Tooltips" 
					href="Essbase/UIExtensibility/chartTooltips.jsp"
					target="mainFrame" />
				<bloxform:item label="Row Banding (including row headers)" 
					href="Essbase/UIExtensibility/rowBanding.jsp"
					target="mainFrame" />
                <bloxform:item label="Spinner Control - Examples"
   					href="Essbase/UIExtensibility/spinnerControl.jsp"
   					target="mainFrame" />
				<bloxform:item label="Removing Other Axis on DataLayout"
   					href="Essbase/UIExtensibility/removingOther.jsp"
   					target="mainFrame" />
				<bloxform:item label="Open Dialog Using HTML Button"
   					href="Essbase/UIExtensibility/openDialogUsingHTMLButton.jsp"
   					target="mainFrame" />
				<bloxform:item label="Tabbed Views"
   					href="Essbase/UIExtensibility/tabbedViews.jsp"
   					target="mainFrame" />
				<bloxform:item label="Synchronized Grids"
   					href="Essbase/UIExtensibility/synchronizedGrids.jsp"
   					target="mainFrame" />
				<bloxform:item label="DateChooser Component"
   					href="Essbase/UIExtensibility/dateChooser.jsp"
   					target="mainFrame" />
				<bloxform:item label="GridBlox Cell Selection Model"
   					href="Essbase/UIExtensibility/gridSelectionModel.jsp"
   					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Using FormBlox and Logic Blox"
				href="Essbase/FormBlox/formBloxOverview.html"
				target="mainFrame">
				<bloxform:item label="FormBlox Overview" 
					href="Essbase/FormBlox/formBloxOverview.html"
					target="mainFrame" />
				<bloxform:item label="CheckBoxFormBlox" 
					href="Essbase/FormBlox/checkBoxFormBlox.jsp"
					target="mainFrame" />
				<bloxform:item label="MemberSelectFormBlox - Cascading Menus" 
					href="Essbase/FormBlox/memberFormBlox-cascadingMenus.jsp"
					target="mainFrame" />
				<bloxform:item label="Ad Hoc Analysis Using DataSourceSelectFormBlox" 
					href="Essbase/FormBlox/dataSourceSelectFormBlox.jsp"
					target="mainFrame" />
				<bloxform:item label="Selecting Products Using MDBQueryBlox" 
					href="Essbase/FormBlox/mdbQueryBlox.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Retrieving Data"
				href="Essbase/Retrieving/retrievingOverview.html"
				target="mainFrame">
				<bloxform:item label="Retrieving Data Overview" 
					href="Essbase/Retrieving/retrievingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Initial Query Using JSP Scriptlet" 
					href="Essbase/Retrieving/queryScriptlet.jsp"
					target="mainFrame" />
				<bloxform:item label="Retrieving Customized Data"
   					href="Essbase/Retrieving/resultSetBlox.jsp"
   					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Presenting Data"
				href="Essbase/Presenting/presentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Presenting Data Overview" 
					href="Essbase/Presenting/presentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Numeric Properties" 
					href="Essbase/Presenting/numericProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Formatting" 
					href="Essbase/Presenting/cellFormatting.jsp"
					target="mainFrame" />
				<bloxform:item label="URL Attributes" 
					href="Essbase/Presenting/urlAttributes.jsp"
					target="mainFrame" />
				<bloxform:item label="Setting Small Value Percentage on Pie Charts" 
					href="Essbase/Presenting/pieSmallValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Dial Chart" 
					href="Essbase/Presenting/dialChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Styles (CSS Classes)" 
					href="Essbase/Presenting/cssStyles.html"
					target="mainFrame" />
				<bloxform:item label="Column Wrapping"
					href="Essbase/Presenting/columnWrapping.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Chart Gallery"
				href="Essbase/ChartGallery/chartGalleryOverview.jsp"
				target="mainFrame">
				<bloxform:item label="Chart Gallery - Overview" 
					href="Essbase/ChartGallery/chartGalleryOverview.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 1" 
					href="Essbase/ChartGallery/Bubble1.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 2" 
					href="Essbase/ChartGallery/Bubble2.jsp"
					target="mainFrame" />
				<bloxform:item label="Combination Chart" 
					href="Essbase/ChartGallery/Combo.jsp"
					target="mainFrame" />
				<bloxform:item label="Dual-Axis Chart" 
					href="Essbase/ChartGallery/DualAxis.jsp"
					target="mainFrame" />
				<bloxform:item label="Histogram Chart" 
					href="Essbase/ChartGallery/histogram.jsp"
					target="mainFrame" />
				<bloxform:item label="Pareto Chart" 
					href="Essbase/ChartGallery/Pareto.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Line"
					href="Essbase/ChartGallery/Radar-Line.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Area"
					href="Essbase/ChartGallery/Radar-Area.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 1" 
					href="Essbase/ChartGallery/Scatter1.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 2" 
					href="Essbase/ChartGallery/Scatter2.jsp"
					target="mainFrame" />
				<bloxform:item label="Trendline Chart"
					href="Essbase/ChartGallery/Trendline.jsp"
					target="mainFrame" />
				<bloxform:item label="Waterfall Chart" 
					href="Essbase/ChartGallery/Waterfall.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Gradients"
					href="Essbase/ChartGallery/Effects-Gradients.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Background Image"
					href="Essbase/ChartGallery/Effects-Image.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Converting to PDF"
				href="Essbase/ConvertingToPDF/convertingToPDFOverview.html"
				target="mainFrame">
				<bloxform:item label="Converting to PDF Overview" 
					href="Essbase/ConvertingToPDF/convertingToPDFOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox to PDF" 
					href="Essbase/ConvertingToPDF/gridToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox to PDF" 
					href="Essbase/ConvertingToPDF/chartToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox to PDF" 
					href="Essbase/ConvertingToPDF/presentToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="Multiple Blox to PDF - with Titles" 
					href="Essbase/ConvertingToPDF/multipleBloxToPDFTitles.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Interacting with Data"
				href="Essbase/Interacting/interactingOverview.html"
				target="mainFrame">
				<bloxform:item label="Interacting with Data Overview" 
					href="Essbase/Interacting/interactingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Setting DataLayout Interface Type" 
					href="Essbase/Interacting/dataLayoutInterfaceType.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart totalsFilter Selector Enabled" 
					href="Essbase/Interacting/totalsFilterChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Query Set by HTML Buttons" 
					href="Essbase/Interacting/htmlButtonsSettingQuery.jsp"
					target="mainFrame" />
				<bloxform:item label="Using FormBlox to Modify Views" 
					href="Essbase/Interacting/formElements.jsp"
					target="mainFrame" />
				<bloxform:item label="Static (non-clickable) PresentBlox" 
					href="Essbase/Interacting/nonclickable.jsp"
					target="mainFrame" />
				<bloxform:item label="Keep and Remove Enabled"
					href="Essbase/Interacting/enableKeepRemove.jsp"
					target="mainFrame" />
				<bloxform:item label="Event Filters"
					href="Essbase/Interacting/eventFilters.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Filtering Data"
				href="Essbase/Filtering/filteringOverview.html"
				target="mainFrame">
				<bloxform:item label="Filtering Data Overview" 
					href="Essbase/Filtering/filteringOverview.html"
					target="mainFrame" />
				<bloxform:item label="Hidden Dimensions" 
					href="Essbase/Filtering/hiddenDimensions.jsp"
					target="mainFrame" />
				<bloxform:item label="Hidden Members" 
					href="Essbase/Filtering/hiddenMembers.jsp"
					target="mainFrame" />
				<bloxform:item label="Fixed Choice List" 
					href="Essbase/Filtering/fixedChoiceList.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Highlighting Data"
				href="Essbase/Highlighting/highlightingOverview.html"
				target="mainFrame">
				<bloxform:item label="Highlighting Data Overview" 
					href="Essbase/Highlighting/highlightingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Cell Alert Properties" 
					href="Essbase/Highlighting/cellAlertProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Traffic Lighting" 
					href="Essbase/Highlighting/trafficLighting.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Links: Opening an Information Window" 
					href="Essbase/Highlighting/cellLinks.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Commenting on Data"
				href="Essbase/Commenting/commentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Commenting Overview" 
					href="Essbase/Commenting/commentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Comments-Enabled PresentBlox" 
					href="Essbase/Commenting/commentsEnabled.jsp"
					target="mainFrame" />
				<bloxform:item label="General Comments on a Page" 
					href="Essbase/Commenting/PageComments/index.jsp"
					target="mainFrame" />
				<bloxform:item label="Printing Comments in a Grid" 
					href="Essbase/Commenting/printCommentsExample.jsp"
					target="mainFrame" />
			</bloxform:folder>


			<bloxform:folder label="Persisting and Bookmarking"
				href="Essbase/Persisting/persistingOverview.html"
				target="mainFrame">
				<bloxform:item label="Persisting and Bookmarking Overview" 
					href="Essbase/Persisting/persistingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom User Properties" 
					href="Essbase/Persisting/userProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Passing Values to Print Page" 
					href="Essbase/Persisting/passingValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Personalization - User Preferences" 
					href="Essbase/Persisting/personalization.jsp"
					target="mainFrame" />
				<bloxform:item label="Restricting Public Bookmark Access" 
					href="Essbase/Persisting/publicBookmarkAccess.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Inputting and Changing Data"
				href="Essbase/Inputting/inputtingOverview.html"
				target="mainFrame">
				<bloxform:item label="Inputting and Changing Data Overview" 
					href="Essbase/Inputting/inputtingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Writeback - Using an Internal Controller" 
					href="Essbase/Inputting/writeback-anonymousController.jsp"
					target="mainFrame" />
				<bloxform:item label="Writeback - Using a Custom Controller" 
					href="Essbase/Inputting/writeback-customController.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Error Handling"
				href="Essbase/ErrorHandling/errorHandlingOverview.html"
				target="mainFrame">
				<bloxform:item label="Error Handling Overview" 
					href="Essbase/ErrorHandling/errorHandlingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Error Page" 
					href="Essbase/ErrorHandling/errorTest.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
		</bloxform:folder>
	
		<bloxform:folder label="Microsoft Analysis Services" 
			href="AboutBloxSampler/configuringMSAS.html"
			target="mainFrame"	
			expanded="false">
	
			<bloxform:folder label="Blox Basics"
				href="MSAS/BloxBasics/bloxBasicsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox Basics Overview" 
					href="MSAS/BloxBasics/bloxBasicsOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Required Settings" 
					href="MSAS/BloxBasics/gridBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Commonly Used Settings" 
					href="MSAS/BloxBasics/gridBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Required Settings" 
					href="MSAS/BloxBasics/chartBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Commonly Used Settings" 
					href="MSAS/BloxBasics/chartBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Required Settings" 
					href="MSAS/BloxBasics/presentBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Commonly Used Settings" 
					href="MSAS/BloxBasics/presentBloxCommon.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Blox UI Tags"
				href="MSAS/BloxUITags/bloxUITagsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox UI Tags - Overview" 
					href="MSAS/BloxUITags/bloxUITagsOverview.html"
					target="mainFrame" />
				<bloxform:item label="Butterfly Report" 
					href="MSAS/BloxUITags/butterflyReport.jsp"
					target="mainFrame" />
				<bloxform:item label="Compressing Headers" 
					href="MSAS/BloxUITags/compressHeaders.jsp"
					target="mainFrame" />
				<bloxform:item label="Highlighting Grid Elements" 
					href="MSAS/BloxUITags/gridHighlight.jsp"
					target="mainFrame" />
				<bloxform:item label="Spaces in Rows and Columns" 
					href="MSAS/BloxUITags/gridSpacer.jsp"
					target="mainFrame" />
				<bloxform:item label="Top N/Bottom N and Percent of Total" 
					href="MSAS/BloxUITags/topNbottomNpercentOfTotal.jsp"
					target="mainFrame" />
				<bloxform:item label="Using An Action Filter" 
					href="MSAS/BloxUITags/actionFilter.jsp"
					target="mainFrame" />
			</bloxform:folder>	

			<bloxform:folder label="UI Extensibility"
				href="MSAS/UIExtensibility/uiExtensibilityOverview.html"
				target="mainFrame">
				<bloxform:item label="UI Extensibility - Overview" 
					href="MSAS/UIExtensibility/uiExtensibilityOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Context Menu on Chart" 
					href="MSAS/UIExtensibility/customRightClick.jsp"
					target="mainFrame" />
				<bloxform:item label="Custom Chart Tooltips" 
					href="MSAS/UIExtensibility/chartTooltips.jsp"
					target="mainFrame" />
				<bloxform:item label="Row Banding (including row headers)" 
					href="MSAS/UIExtensibility/rowBanding.jsp"
					target="mainFrame" />
                <bloxform:item label="Spinner Control - Examples"
   					href="MSAS/UIExtensibility/spinnerControl.jsp"
   					target="mainFrame" />
				<bloxform:item label="Removing Other Axis on DataLayout"
   					href="MSAS/UIExtensibility/removingOther.jsp"
   					target="mainFrame" />
				<bloxform:item label="Open Dialog Using HTML Button"
   					href="MSAS/UIExtensibility/openDialogUsingHTMLButton.jsp"
   					target="mainFrame" />
				<bloxform:item label="Tabbed Views"
   					href="MSAS/UIExtensibility/tabbedViews.jsp"
   					target="mainFrame" />
				<bloxform:item label="Synchronized Grids"
   					href="MSAS/UIExtensibility/synchronizedGrids.jsp"
   					target="mainFrame" />
				<bloxform:item label="DateChooser Component"
   					href="MSAS/UIExtensibility/dateChooser.jsp"
   					target="mainFrame" />
				<bloxform:item label="GridBlox Cell Selection Model"
   					href="MSAS/UIExtensibility/gridSelectionModel.jsp"
   					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Using FormBlox and Logic Blox"
				href="MSAS/FormBlox/formBloxOverview.html"
				target="mainFrame">
				<bloxform:item label="FormBlox Overview" 
					href="MSAS/FormBlox/formBloxOverview.html"
					target="mainFrame" />
				<bloxform:item label="CheckBoxFormBlox" 
					href="MSAS/FormBlox/checkBoxFormBlox.jsp"
					target="mainFrame" />
				<bloxform:item label="MemberFormBlox - Cascading Menus" 
					href="MSAS/FormBlox/memberFormBlox-cascadingMenus.jsp"
					target="mainFrame" />
				<bloxform:item label="Selecting Products Using MDBQueryBlox" 
					href="MSAS/FormBlox/mdbQueryBlox.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Retrieving Data"
				href="MSAS/Retrieving/retrievingOverview.html"
				target="mainFrame">
				<bloxform:item label="Retrieving Data Overview" 
					href="MSAS/Retrieving/retrievingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Initial Query Using JSP Scriptlet" 
					href="MSAS/Retrieving/queryScriptlet.jsp"
					target="mainFrame" />
				<bloxform:item label="Drillthrough to Relational using MSAS Native Drillthrough" 
					href="MSAS/Retrieving/some.jsp"
					target="mainFrame" />
				<bloxform:item label="Retrieving Customized Data"
   					href="MSAS/Retrieving/resultSetBlox.jsp"
   					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Presenting Data"
				href="MSAS/Presenting/presentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Presenting Data Overview" 
					href="MSAS/Presenting/presentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Numeric Properties" 
					href="MSAS/Presenting/numericProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Formatting" 
					href="MSAS/Presenting/cellFormatting.jsp"
					target="mainFrame" />
				<bloxform:item label="URL Attributes" 
					href="MSAS/Presenting/urlAttributes.jsp"
					target="mainFrame" />
				<bloxform:item label="Setting Small Value Percentage on Pie Charts" 
					href="MSAS/Presenting/pieSmallValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Dial Chart" 
					href="MSAS/Presenting/dialChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Styles (CSS Classes)" 
					href="MSAS/Presenting/cssStyles.html"
					target="mainFrame" />
				<bloxform:item label="Column Wrapping"
					href="MSAS/Presenting/columnWrapping.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Chart Gallery"
				href="MSAS/ChartGallery/chartGalleryOverview.jsp"
				target="mainFrame">
				<bloxform:item label="Chart Gallery - Overview" 
					href="MSAS/ChartGallery/chartGalleryOverview.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 1" 
					href="MSAS/ChartGallery/Bubble1.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 2" 
					href="MSAS/ChartGallery/Bubble2.jsp"
					target="mainFrame" />
				<bloxform:item label="Combination Chart" 
					href="MSAS/ChartGallery/Combo.jsp"
					target="mainFrame" />
				<bloxform:item label="Dual-Axis Chart" 
					href="MSAS/ChartGallery/DualAxis.jsp"
					target="mainFrame" />
				<bloxform:item label="Histogram Chart" 
					href="MSAS/ChartGallery/histogram.jsp"
					target="mainFrame" />
				<bloxform:item label="Pareto Chart" 
					href="MSAS/ChartGallery/Pareto.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Line"
					href="MSAS/ChartGallery/Radar-Line.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Area" 
					href="MSAS/ChartGallery/Radar-Area.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 1" 
					href="MSAS/ChartGallery/Scatter1.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 2" 
					href="MSAS/ChartGallery/Scatter2.jsp"
					target="mainFrame" />
				<bloxform:item label="Trendline Chart"
					href="MSAS/ChartGallery/Trendline.jsp"
					target="mainFrame" />
				<bloxform:item label="Waterfall Chart" 
					href="MSAS/ChartGallery/Waterfall.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Gradients" 
					href="MSAS/ChartGallery/Effects-Gradients.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Background Image" 
					href="MSAS/ChartGallery/Effects-Image.jsp"
					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Converting to PDF"
				href="MSAS/ConvertingToPDF/convertingToPDFOverview.html"
				target="mainFrame">
				<bloxform:item label="Converting to PDF Overview" 
					href="MSAS/ConvertingToPDF/convertingToPDFOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox to PDF" 
					href="MSAS/ConvertingToPDF/gridToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox to PDF" 
					href="MSAS/ConvertingToPDF/chartToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox to PDF" 
					href="MSAS/ConvertingToPDF/presentToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="Multiple Blox to PDF - with Titles" 
					href="MSAS/ConvertingToPDF/multipleBloxToPDFTitles.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Interacting with Data"
				href="MSAS/Interacting/interactingOverview.html"
				target="mainFrame">
				<bloxform:item label="Interacting with Data Overview" 
					href="MSAS/Interacting/interactingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Setting DataLayout Interface Type" 
					href="MSAS/Interacting/dataLayoutInterfaceType.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart totalsFilter Selector Enabled" 
					href="MSAS/Interacting/totalsFilterChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Query Set by HTML Buttons" 
					href="MSAS/Interacting/htmlButtonsSettingQuery.jsp"
					target="mainFrame" />
				<bloxform:item label="Using FormBlox to Modify Views" 
					href="MSAS/Interacting/formElements.jsp"
					target="mainFrame" />
				<bloxform:item label="Static (non-clickable) PresentBlox" 
					href="MSAS/Interacting/nonclickable.jsp"
					target="mainFrame" />
				<bloxform:item label="Keep and Remove Enabled"
					href="MSAS/Interacting/enableKeepRemove.jsp"
					target="mainFrame" />
				<bloxform:item label="Event Filters"
					href="MSAS/Interacting/eventFilters.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Filtering Data"
				href="MSAS/Filtering/filteringOverview.html"
				target="mainFrame">
				<bloxform:item label="Filtering Data Overview" 
					href="MSAS/Filtering/filteringOverview.html"
					target="mainFrame" />
				<bloxform:item label="Hidden Dimensions" 
					href="MSAS/Filtering/hiddenDimensions.jsp"
					target="mainFrame" />
				<bloxform:item label="Hidden Members" 
					href="MSAS/Filtering/hiddenMembers.jsp"
					target="mainFrame" />
				<bloxform:item label="Fixed Choice List" 
					href="MSAS/Filtering/fixedChoiceList.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Highlighting Data"
				href="MSAS/Highlighting/highlightingOverview.html"
				target="mainFrame">
				<bloxform:item label="Highlighting Data Overview" 
					href="MSAS/Highlighting/highlightingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Cell Alert Properties" 
					href="MSAS/Highlighting/cellAlertProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Traffic Lighting" 
					href="MSAS/Highlighting/trafficLighting.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Links: Opening an Information Window" 
					href="MSAS/Highlighting/cellLinks.jsp"
					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Commenting on Data"
				href="MSAS/Commenting/commentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Commenting Overview" 
					href="MSAS/Commenting/commentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Comments-Enabled PresentBlox" 
					href="MSAS/Commenting/commentsEnabled.jsp"
					target="mainFrame" />
				<bloxform:item label="General Comments on a Page" 
					href="MSAS/Commenting/PageComments/index.jsp"
					target="mainFrame" />
				<bloxform:item label="Printing Comments in a Grid" 
					href="MSAS/Commenting/printCommentsExample.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Persisting and Bookmarking"
				href="MSAS/Persisting/persistingOverview.html"
				target="mainFrame">
				<bloxform:item label="Persisting and Bookmarking Overview" 
					href="MSAS/Persisting/persistingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom User Properties" 
					href="MSAS/Persisting/userProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Passing Values to Print Page" 
					href="MSAS/Persisting/passingValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Personalization - User Preferences" 
					href="MSAS/Persisting/personalization.jsp"
					target="mainFrame" />
				<bloxform:item label="Restricting Public Bookmark Access" 
					href="MSAS/Persisting/publicBookmarkAccess.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Inputting and Changing Data"
				href="MSAS/Inputting/inputtingOverview.html"
				target="mainFrame">
				<bloxform:item label="Inputting and Changing Data Overview" 
					href="MSAS/Inputting/inputtingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Writeback - Using an Internal Controller" 
					href="MSAS/Inputting/writeback-anonymousController.jsp"
					target="mainFrame" />
				<bloxform:item label="Writeback - Using a Custom Controller" 
					href="MSAS/Inputting/writeback-customController.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Error Handling"
				href="MSAS/ErrorHandling/errorHandlingOverview.html"
				target="mainFrame">
				<bloxform:item label="Error Handling Overview" 
					href="MSAS/ErrorHandling/errorHandlingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Error Page" 
					href="MSAS/ErrorHandling/errorTest.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
		</bloxform:folder>

	</bloxform:folder>
	
</bloxform:tree>

</body>

</html>