<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.tags.IGridFilter,
                 com.alphablox.blox.DataViewBlox,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.core.grid.GridRow,
                 com.alphablox.blox.uimodel.core.grid.GridCell,
                 com.alphablox.blox.uimodel.core.Button,
                 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.core.grid.GridColumn,
                 com.alphablox.blox.uimodel.core.MessageBox,
                 com.alphablox.blox.uimodel.tags.IActionFilter,
                 com.alphablox.blox.uimodel.core.Component" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="afDataBloxACS"
 	dataSourceName="ACS"
    query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />

<%!
	public static class MyActionFilterClass implements IActionFilter {
	    public void actionFilter( DataViewBlox blox, Component component ) throws Exception 
		{
        	MessageBox.message( component, "Action Filter", "Item has been clicked!" );
    	}
	}
%>

<html>
<head>
<title>Using an Action Filter</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Using an Action Filter</h2>

<p>The <code>&lt;bloxui:actionFilter&gt;</code> tag can be used to intercept
  a user action and prevent it from occurring or change its behavior. In the
  example below, when you select the Pivot option on the contextual (right-click)
  menu, the pivot doesn't occur, but instead a dialog window appears.</p>

<blox:grid id="afGridBloxACS"
 	width="100%"
 	height="90%">

	<blox:data bloxRef="afDataBloxACS" />

	<bloxui:actionFilter
 		className="<%= MyActionFilterClass.class.getName() %>"
 		componentName="dataPivot" />

</blox:grid>

<hr>
<a href="../viewSource.jsp?file=BloxUITags/actionFilter.jsp">View Source</a>

</body>
</html>