<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="butterflyReportDataBloxACS"
	dataSourceName="ACS"
    query="SELECT {([Scenario].[Actual],[Time (Fiscal)].[All Time (Fiscal)].[2000].[Qtr 3]),([Scenario].[Actual],[Time (Fiscal)].[All Time (Fiscal)].[2000].[Qtr 4]),([Scenario].[Budget],[Time (Fiscal)].[All Time (Fiscal)].[2001].[Qtr 1]),([Scenario].[Budget],[Time (Fiscal)].[All Time (Fiscal)].[2001].[Qtr 2])} ON COLUMNS, {[Locations].[All Locations],[Locations].[All Locations].[Central],[Locations].[All Locations].[East],[Locations].[All Locations].[West]} ON ROWS FROM qcc_2003" />

<html>

<head>

<title>Butterfly Report</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header>
	<blox:clientBean name="butterflyReportDataBloxACS">
		<blox:method name="setQuery" />
		<blox:method name="connect" />
	</blox:clientBean>
</blox:header>

<script language="JavaScript">

function getDefaultView() {
	
	var query = "SELECT {([Scenario].[Actual],[Time (Fiscal)].[All Time (Fiscal)].[2000].[Qtr 3]),([Scenario].[Actual],[Time (Fiscal)].[All Time (Fiscal)].[2000].[Qtr 4]),([Scenario].[Budget],[Time (Fiscal)].[All Time (Fiscal)].[2001].[Qtr 1]),([Scenario].[Budget],[Time (Fiscal)].[All Time (Fiscal)].[2001].[Qtr 2])} ON COLUMNS, {[Locations].[All Locations],[Locations].[All Locations].[Central],[Locations].[All Locations].[East],[Locations].[All Locations].[West]} ON ROWS FROM qcc_2003";
	
	document.butterflyReportDataBloxACSAPI.setQuery(query);
	document.butterflyReportDataBloxACSAPI.connect();
}

</script>

</head>

<body>

<h2>Butterfly Report</h2>
<p>Shows the use of a nested <code>&lt;bloxui:butterflyReport&gt;</code> tag in a GridBlox to display
      column headers between Actual and Budget columns.</p>
<br>
<blox:grid id="butterflyReportGridBloxACS" 
	width="100%"
	height="90%">
    
	<blox:data
		bloxRef="butterflyReportDataBloxACS" />

	<bloxui:butterflyLayout
		scope="{[qcc_2003].[Scenario].[Budget]; [qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2001].[Qtr 1]}" 
		showOnLayoutMenu="true" 
		addSeparatorColumns="false" />
		
</blox:grid>

<form>
	<input name="DefaultQueryButton" type="button" onClick="getDefaultView()" value="Get Default View">
</form>

<hr>
<a href="../viewSource.jsp?file=BloxUITags/butterflyReport.jsp">View Source</a>

</body>
</html>
