<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="compressHeadersDataBloxACS" 
	dataSourceName="ACS"
    query="SELECT crossjoin ({[Time (Calendar)].[2001], [Time (Calendar)].[2001].[Qtr 1], [Time (Calendar)].[2001].[Qtr 2], [Time (Calendar)].[2001].[Qtr 3], [Time (Calendar)].[2001].[Qtr 4]}, {[Scenario].[Actual], [Scenario].[Budget]}) ON COLUMNS , crossjoin ( {[All Products].[200  Chocolate Blocks], [All Products].[300  Chocolate Nuts], [All Products].[400  Specialties], [All Products].[100  Truffles]}, {[All Locations].[Central], [All Locations].[East], [All Locations].[West]}) ON ROWS FROM [qcc_2003] WHERE ([Measures].[Sales])" />

<html>

<head>
<title>Compressing Row and Column Headers</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Compressing Row and Column Headers</h2>
<p>Shows the use of a nested <code>&lt;bloxui:compressHeaders&gt;</code> tag in a GridBlox to compress member names from multiple headers into single
      row and column headers.</p>
<br>

<blox:grid id="compressHeadersGridBloxACS" 
	width="100%"
	height="90%">

	<blox:data
		bloxRef="compressHeadersDataBloxACS" />

	<bloxui:compressLayout
		compressRows="true" 
		compressColumns="true" 
		showOnLayoutMenu="true" 
		memberSeparator = " / " />

</blox:grid>

<hr>
<a href="../viewSource.jsp?file=BloxUITags/compressHeaders.jsp">View Source</a>

</body>
</html>

