<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>"Bubble1"</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Bubble Chart 1</h2>
<p>Bubble charts are a variation of a typical scatter (or X-Y) chart, where the bubbles represent
  data point and provide a way to display a third variable in a chart. The diameter
or area of each bubble is proportional to the value it represents.</p>
<p>In this example, the ChartBlox <code>dataValueLocation</code> tag attribute
  specifies that the values to be represented on the chart include the following
  three Measures dimension members: Units, Sales, and COGS. Also, the <code>markerShape</code> attribute values using 1 set the shape
  of the markers in this example to be squares.</p>
 
<blox:present id="Bubble1ACS" 
	width="100%" 
	height="90%">

	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Bubble Chart"
		dataValueLocation="Measures:Units, Sales, COGS"
		legendPosition="bottom"
		markerShape="1,1,1,1,1" />

	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Locations].Children} ON COLUMNS, {[Measures].[Units],[Measures].[Sales], [Measures].[COGS]} ON ROWS FROM [qcc_2003]" />

</blox:present>

<br>
<a href="tags/Bubble1.jsp" target="CodeView">Display Code View</a>

</body>

</html>