<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<title>Dual-Axis Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Dual-Axis Chart</h2>
<p>This is an example of a dual-axis chart, showing the two different sets of
  data on the y1 and y2 axes. The x-axis has been defined to display products
  by category. On the y2 axis, a calculated member is displayed with values for
  Diff (Sales minus the COGS). </p>

<blox:present id="DualAxisACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Vertical Bar, Side-by-Side, Dual Axis"
 		lineSeries="Diff"
 		legendPosition="bottom"
 		totalsFilter="0"
		y2FormatMask="###.00"
 		autoAxesPlacement="false"
 		y2Axis="Diff"
 		y1Axis="Sales,COGS"
 		XAxis="Products" />

	<blox:data 
		dataSourceName="ACS"
 		query="SELECT {[Measures].[Sales], [Measures].[COGS]} ON AXIS(0), {[Products].[100  Truffles].Children, [Products].[100  Truffles]} ON AXIS(1) FROM qcc_2003"
		calculatedMembers="Measures:Diff=Sales - COGS" />

</blox:present>

<br>
<a href="tags/DualAxis.jsp" target="CodeView">Display Code View</a>

</body>

</html>
