<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Chart Effects - Background Image</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Chart Effects - Background Image</h2>
<p>This example shows the effects of adding an image to the chart background
  using the <code>backgroundFill</code> attribute. Also, the <code>axisTitleStyle</code> and <code>labelStyle</code> attributes
were defined to coordinate with the background. </p>
<blox:present id="Effects_ImageACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />
		
	<blox:chart 
		chartType="Vertical Bar, Side-by-Side"
		legendPosition="bottom"
		axisTitleStyle="foreground=yellow, font=Arial:Bold:18"
		backgroundFill="ChartGallery/img/burlap.jpg"
		labelStyle="foreground=yellow, font=Arial:Bold:16" />

	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Scenario].[Actual], [Scenario].[Budget], [Scenario].[Revised]} ON COLUMNS, {[All Products], [All Products].Children} ON ROWS FROM qcc_2003" />

</blox:present>
<br>
<a href="tags/Effects-Image.jsp" target="CodeView">Display Code View</a>

</body>
</html>