<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Pareto Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Pareto Chart</h2>
<p>In the following example, the <code>chartType</code> attribute value is set
  to <code>Pareto</code>,
  resulting in a line showing the running total as a percentage. When this line
  begins leveling out, that&rsquo;s considered the cut off for the subset. Pareto
  charts are used to identify the small subset of biggest contributors (80/20
analysis) and where to focus efforts.</p>
<blox:present id="ParetoACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Pareto"
		legendPosition="bottom" />

	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Locations].[All Locations].[West].[N. Cal.]} ON AXIS(0), {[Time (Fiscal)].[2001].[Qtr 1].[Aug], [Time (Fiscal)].[2001].[Qtr 1].[Sep], [Time (Fiscal)].[2001].[Qtr 1].[Oct], [Time (Fiscal)].[2001].[Qtr 2].[Nov], [Time (Fiscal)].[2001].[Qtr 2].[Dec], [Time (Fiscal)].[2001].[Qtr 2].[Jan], [Time (Fiscal)].[2001].[Qtr 3].[Feb], [Time (Fiscal)].[2001].[Qtr 3].[Mar], [Time (Fiscal)].[2001].[Qtr 3].[Apr], [Time (Fiscal)].[2001].[Qtr 4].[May], [Time (Fiscal)].[2001].[Qtr 4].[Jun], [Time (Fiscal)].[2001].[Qtr 4].[Jul]} ON AXIS(1) FROM [qcc_2003]" />

</blox:present>
<br>
<a href="tags/Pareto.jsp" target="CodeView">Display Code View</a>

</body>

</html>