<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Trendline Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Trendline Chart</h2>
<p>Trendlines provide &ldquo;predictive analytics&rdquo; and are often used in
forecasting and planning applications. </p>
<p>DB2 Alphablox supports six types of trend lines:</p>
<ul>
  <li>linear</li>
  <li> polynomial (up to the 100th order)</li>
  <li> exponential</li>
  <li> power</li>
  <li> logarithmic</li>
  <li> moving average</li>
</ul>
<p>To use trend lines, users can right-click on a data point, then select Advanced &gt; Add
  Trendline to define a new trendline. Or, as shown in this example, you can define trendlines programmatically. The following example displays a polynomial (3rd order) trendline for COGS over time, with the <code>trendLines</code> attribute defining the trendline characteristics. This polynomial trendline is displayed in addition to the normal line that would appear.</p>
  
<blox:present id="TrendlineACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Line"
 		legendPosition="bottom"
        trendLines="name=poly(3);member=[qcc_2003].[Locations]:[qcc_2003].[Locations].[All Locations];replace=false;type=polynomial(3)" />

	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Time (Calendar)].[2000], [Time (Calendar)].[2000].[Qtr 1], [Time (Calendar)].[2000].[Qtr 1].[Feb], [Time (Calendar)].[2000].[Qtr 1].[Mar], [Time (Calendar)].[2000].[Qtr 2], [Time (Calendar)].[2000].[Qtr 2].[Apr], [Time (Calendar)].[2000].[Qtr 2].[May], [Time (Calendar)].[2000].[Qtr 2].[Jun], [Time (Calendar)].[2000].[Qtr 3], [Time (Calendar)].[2000].[Qtr 3].[Jul], [Time (Calendar)].[2000].[Qtr 3].[Aug], [Time (Calendar)].[2000].[Qtr 3].[Sep], [Time (Calendar)].[2000].[Qtr 4], [Time (Calendar)].[2000].[Qtr 4], [Time (Calendar)].[2001]} ON COLUMNS, {[Locations].[All Locations]} ON ROWS FROM [qcc_2003] WHERE [Measures].[COGS]" />

</blox:present>
<br>
<a href="tags/Trendline.jsp" target="CodeView">Display Code View</a>

</body>
</html>