<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.uimodel.core.chart.Chart,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.blox.uimodel.core.MessageBox,
                 com.alphablox.blox.uimodel.core.chart.WaterfallChart,
                 com.alphablox.blox.uimodel.core.chart.SingleValueDataSeries" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Waterfall Chart</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Waterfall Chart</h2>
<p><span class="pBody">Waterfall charts show components of a total, with positive
    and negative values in different colors. Waterfall charts are used in specialized
    applications, such as price analysis in manufacturing. In the following example,
    the <code>chartType</code> is set to <code>Waterfall</code>, and a JSP scriptlet
using the Blox UI model is added to handle the display of values. </span></p>
<blox:present id="WaterfallACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Waterfall"
 		legendPosition="bottom"
 		totalsFilter="0" />

	<blox:data 
		dataSourceName="ACS"
 		query="SELECT {[Measures].[Sales]} ON COLUMNS, {[Time (Calendar)].[2001], [Time (Calendar)].[2001].[Qtr 1], [Time (Calendar)].[2001].[Qtr 2], [Time (Calendar)].[2001].[Qtr 3], [Time (Calendar)].[2001].[Qtr 4]} ON ROWS FROM qcc_2003" />

<%
	BloxModel model = WaterfallACS.getBloxModel();
	model.addEventHandler( new IEventHandler() {
        public boolean handleComponentRebuiltNotify( ComponentRebuiltNotify event ) throws Exception {
            Component component = event.getComponent( );

            if ( component instanceof ChartBrixModel ) {
                Chart chart = (Chart)((ChartBrixModel)component).searchForComponent(ModelConstants.CHART);
                if (chart instanceof WaterfallChart){
                    WaterfallChart wfChart = (WaterfallChart)chart;
                    System.out.println("got waterfall");
                    SingleValueDataSeries series[] = wfChart.getAllDataSeries();
                    for (int i = 0; i < series.length; i++) {
                        System.out.println("i = " + i);
                        SingleValueDataSeries dataSeries = series[i];
                        System.out.println("dataSeries.size() = " + dataSeries.size());
                        Double temp[] = new Double[dataSeries.size()];
                        for(int j = 0; j < dataSeries.size(); j++){
                            Number value = dataSeries.get(j);
                            if (j > 0 && j < (dataSeries.size() - 1)) {
                                temp[j]  = new Double(-value.doubleValue());
                            }
                            else
                                temp[j] = new Double(value.doubleValue());;
                        }
                        dataSeries.setData(temp);
                    }
                    System.out.println("done!");
                    chart.changed();
                    component.changed();
                }
            }

            return false;
        }
    }
    );

      ((ChartBrixController)(model.getChart().getController())).synchronize();
%>

</blox:present>
<br>
<a href="tags/Waterfall.jsp" target="CodeView">Display Code View</a>

</body>
</html>