<%@ page import="com.alphablox.blox.ServerBloxException,
                 com.alphablox.blox.comments.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<%
    String query = "SELECT {[Locations].[All Locations], [Locations].[All Locations].Children} ON COLUMNS, {[Products].[All Products], [Products].[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])";
%>

<blox:comments id="commentsBloxACS"
    collectionName="CommentsCollectionACS"
    dataSourceName="CommentsCollectionACS" />

<%
    // Do some setup for our named comment set GUIs
    //      context = <commentsBloxACSName>.<namedCommentSet>
    // JGD : working with a single comment set so identify it (pagecomments).  We'll pass it to the 
    //       other jsp's that will manipulate it.
    String context = "commentsBloxACS.pageComments";
    session.setAttribute(context + ".Comments.currentCommentSet", commentsBloxACS.getCommentSet("pageComments"));
    session.setAttribute(context + ".Comments.currentCommentsBlox", commentsBloxACS);
%>

<html>

<head>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
    <blox:header />

<script language="JavaScript">

function refreshPageComments() {
    var pageCommentsDiv = document.getElementById("pageComments");

    // For now we are hard coding in a "context" parameter so that we can retrieve commentSets
    // in our other JSPs.
    var queryString = "?context=commentsBloxACS.pageComments";
    var result = pBlox.call("listPageComments.jsp" + queryString);
    pageCommentsDiv.innerHTML = result;
}

function newComment(context) {
    var url = "addPageComment.jsp?theme=coleman"
        + "&context=" + context;

    var windowName = "newComment";
    var windowFeatures = "height=300,width=400,resizable,scrollbars,titlebar=no";

    var newCommentWindow = window.open(url, windowName, windowFeatures);
    newCommentWindow.focus();

}

</script>

</head>

<body onload="refreshPageComments();">

<h2>Comments on a Page</h2>
<p>Shows the use of a CommentBlox to create editable comments about the current
      page. Since the comments are not tied to any particular dimensions or members,
      there are &quot;Comments Available&quot; indicator in the grid.</p>
<p><b>Note:</b> This example requires
  a comments repository to have been configured. For details, see <a href="../../AboutBloxSampler/configuringACS.html">Configuring
 Alphablox Cube Server</a>.</p>
<blox:present id="pBlox">
	<blox:data
		dataSourceName="ACS"
		query="<%=query%>">
	</blox:data>
</blox:present>


<!-- Display comments for a named comment set called "pageComments" -->

<h3>Page Level Comments</h3>
<a style="display:block;
          border:thin outset;
          text-decoration:none;
          padding:5px;
          width:100px;
          font-size:9pt;
          text-align:center;"
	href="javascript:newComment('<%=context%>');">New Comment</a>

<div id="pageComments" style="width:85%"></div>

</body>

</html>