<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.DataBlox,
                 com.alphablox.blox.data.mdb.MDBResultSet,
                 com.alphablox.blox.data.mdb.Cells,
                 com.alphablox.blox.data.mdb.Axis,
                 com.alphablox.blox.data.mdb.Cell,
                 com.alphablox.blox.comments.Comment,
                 java.util.Map,
                 java.util.Iterator" %>

<html>

<body>
    <h2>Comments from Grid</h2>

    <table border="1">
        <thead>
            <tr style="background-color:blue;color:white;">
                <th nowrap="true">Cell<br />(row, col)</th>
                <th>Cell Value</th>
                <th>Author</th>
                <th>Comment</th>
                <th>Date</th>
                <th>Custom Fields</th>
            </tr>
        </thead>

        <tbody>

<%
    DataBlox dataBlox = (DataBlox) session.getAttribute("printCommentsExample.dataBlox");

    if (dataBlox != null) {
        MDBResultSet resultSet = (MDBResultSet) dataBlox.getResultSet();

        Cells cells = resultSet.getCells();

        int rowCount = resultSet.getAxis( Axis.ROW_AXIS ).getTupleCount();
        int colCount = resultSet.getAxis( Axis.COLUMN_AXIS ).getTupleCount();

        // Loop through all the cells in the result set.
        for (int row = 0; row < rowCount; row++) {
            for (int col = 0; col < colCount; col++) {
                Cell cell = cells.getCell(col, row);

                // If there are comments for this cell, display them.
                if (cell.hasComments()) {
                    Comment[] comments = cell.getCommentSet().getComments();

                    // Loop through all the comments for this cell (in reverse order... most recent first).
                    for (int i = comments.length-1; i >= 0; i--) {
                        Comment comment = comments[i];
%>
                        <tr>
<%
                        // first comment for this cell... display the (row,col) and cell value.
                        if (i == comments.length-1) {
%>
                            <td rowspan="<%=comments.length%>" nowrap="true">(<%= row %>, <%= col %>)</td>
                            <td rowspan="<%=comments.length%>" nowrap="true"><%= cell.getValue()%></td>
<%
                        }
%>
                            <td nowrap="true"><%= comment.getAuthor() %></td>
                            <td width="100%"><%= comment.getCommentText()%></td>
                            <td nowrap="true"><%= comment.getTimestamp()%></td>
                            <td nowrap="true">
<%
                        // Now print out all the custom fields for this comment.
                        Map fields = comment.getFields();
                        Iterator fieldsIterator = fields.keySet().iterator();

                        while (fieldsIterator.hasNext()) {
                            String fieldName = (String) fieldsIterator.next();

                            if (!fieldName.equals( Comment.FIELD_AUTHOR )
                                    && !fieldName.equals( Comment.FIELD_COMMENTTEXT )
                                    && !fieldName.equals( Comment.FIELD_TIMESTAMP))
                            {
                                String fieldValue = (String) fields.get( fieldName );

%>
                                <i><%= fieldName %>:</i> <%= fieldValue %><br />
<%
                            }
                        }
%>
                            &nbsp;
                            </td>
                        </tr>
<%
                    }
                }
            }
        }
    }
%>
        </tbody>
    </table>

<hr>
<a href="../viewSource.jsp?file=Commenting/printComments.jsp">View Source</a>
	
</body>

</html>