<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox"  %>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="dataBloxACS"
	dataSourceName="ACS" />

<!-- Column Time tuples -->
<bloxlogic:tupleList id="timeTuples">
    <bloxlogic:dimension>[Time (Calendar)]</bloxlogic:dimension>
    <bloxlogic:tuple>
		<bloxlogic:member>[2001].[Qtr 1]</bloxlogic:member>
	</bloxlogic:tuple>
    <bloxlogic:tuple>
		<bloxlogic:member>[2001].[Qtr 2]</bloxlogic:member>
	</bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- Column Measures tuples -->
<bloxlogic:tupleList id="measuresTuples">
    <bloxlogic:dimension>[Measures]</bloxlogic:dimension>
    <bloxlogic:tuple>
		<bloxlogic:member>[Sales]</bloxlogic:member>
	</bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- Page tuples -->
<bloxlogic:tupleList id="pageTuples">
    <bloxlogic:dimension>[Scenario]</bloxlogic:dimension>
    <bloxlogic:dimension>[Products]</bloxlogic:dimension>
    <bloxlogic:tuple>
        <bloxlogic:member>[Actual]</bloxlogic:member>
        <bloxlogic:member>[Products]</bloxlogic:member>
    </bloxlogic:tuple>
</bloxlogic:tupleList>

<!-- MemberSelect FormBlox for the Product dimension -->
<!-- On change event the MemberSelect FormBlox will change the pageTuples -->
<bloxform:memberSelect
    id="selector"
    visible="false"
    dataBloxRef="dataBloxACS"
	dimensionName="[Products]"
    rootMemberName="[100  Truffles]"
    selectedMemberName="[100  Truffles]">
	<bloxform:setChangedProperty formProperty="selectedMembers"
         targetRef="pageTuples"
         targetProperty="listFromMetadataMembers"
         callAfterChange="changed"/>
</bloxform:memberSelect>

<!-- The MDBQuery creates a query from the 2 column tuples, the page tuple -->
<!-- and the row query fragment -->
<bloxlogic:mdbQuery id="query"
	dataBloxRef="dataBloxACS"
	cubeName="[qcc_2003]">
	<bloxlogic:axis type="columns">
        <bloxlogic:crossJoin>
			<bloxlogic:tupleList tuplesRef="timeTuples" />
            <bloxlogic:tupleList tuplesRef="measuresTuples" />
		</bloxlogic:crossJoin>
	</bloxlogic:axis>
    <bloxlogic:axis type="rows" mutable="true" queryFragment="[Locations].Members on rows" />
    <bloxlogic:axis type="pages">
		<bloxlogic:tupleList tuplesRef="pageTuples" />
    </bloxlogic:axis>
</bloxlogic:mdbQuery>

<blox:present
    id="presentBloxACS"
    visible="false">
    <blox:data
        bloxRef="dataBloxACS" />
</blox:present>

<html>
<head>
	<title>Modifying Queries using MDBQueryBlox and MemberSelectFormBlox</title>
    <blox:header />
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>
<body>
<h2>Modifying Queries using MDBQueryBlox and MemberSelectFormBlox</h2>
<p>Selecting products in a selection list changes the display in a PresentBlox. Uses MDBQueryBlox and MemberSelectFormBlox.</p>

<table width="100%" height="400">
<tr>
    <td align="center" height="10">Product: <blox:display bloxRef="selector" /></td>
</tr>
<tr>
    <td><blox:display bloxRef="presentBloxACS" width="100%" height="100%" /></td>
</tr>
</table>

<hr>
<a href="../viewSource.jsp?file=FormBlox/mdbQueryBlox.jsp">View Source</a>

</body>
</html>

