<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.data.mdb.MDBMetaData,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:data id="CMGridDataBloxACS" 
	dataSourceName="ACS"
	query="SELECT {[Time (Fiscal)].[All Time (Fiscal)].Children} ON COLUMNS, {[Products].[All Products].Children} ON ROWS FROM qcc_2003" >
</blox:data>


<bloxform:memberSelect id="zoneACS"
	visible="false"
	dataBloxRef="CMGridDataBloxACS"
	dimensionName="[Locations]"
	filterGeneration="2" 
	filterOperator="==" />

<bloxform:memberSelect id="areaACS"
	visible="false"
	dataBloxRef="CMGridDataBloxACS"
	dimensionName="[Locations]"
	filterOperator="==" 
	filterGeneration="3">
	<bloxform:getChangedProperty
		formBloxRef="zoneACS"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<bloxform:memberSelect id="cityACS"
	visible="false"
	dataBloxRef="CMGridDataBloxACS"
	dimensionName="[Locations]"
	filterOperator="==" 
	filterGeneration="4">
    <%
        cityACS.addFormEventListener(new MemberSelectFormBloxEventListener(CMGridDataBloxACS));
    %>
	<bloxform:getChangedProperty
		formBloxRef="areaACS"
        formProperty="selectedMembers"
		property="rootMembers" />
</bloxform:memberSelect>

<blox:grid  id="CMGridBloxACS" visible="false"
	        width="650"
	        height="400">
    <blox:data bloxRef="CMGridDataBloxACS" />
</blox:grid>

<html>

<head>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header/>

<style>
	select {
		font-size:12pt;
	}
</style>

</head>

<body>

<h2>MemberSelectFormBlox - Cascading Menus</h2>
<p>Shows the use of three MemberSelectFormBlox to create a cascading menu pulling 
members from Microsoft Analysis Services.</p>

<TABLE>
	<TR>
		<TD><blox:display bloxRef="zoneACS" />
		</TD>
		<TD><blox:display bloxRef="areaACS" />
		</TD>
		<TD><blox:display bloxRef="cityACS" />
		</TD>
	</TR>
</TABLE>
<TABLE>
    <TR>
        <TD>
            <blox:display bloxRef="CMGridBloxACS" />
        </TD>
    </TR>
</TABLE>

<hr>
<a href="../viewSource.jsp?file=FormBlox/memberFormBlox-cascadingMenus.jsp">View Source</a>

</body>

</html>

<%!
    class MemberSelectFormBloxEventListener implements FormEventListener {
        private DataBlox dataBlox;

        public MemberSelectFormBloxEventListener(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String selectedCity = event.getFormBlox().getFormValue();

            if (selectedCity != null) {
                MDBMetaData metaData = (MDBMetaData) dataBlox.getMetaData();
                dataBlox.setSelectedMembers(new Member[] {metaData.resolveMember(selectedCity)});
                dataBlox.updateResultSet();
            }
        }
    }

%>
