<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>


<blox:present id="wb3PresentBloxACS" 
 	visible="false"
	height="400" 
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Scenario].[Budget]} ON COLUMNS, {[Products.Category].[All Products].[Truffles].Children} ON ROWS FROM qccwb WHERE ([Locations].[Napa],[Time.Calendar].[01-13-2001],[Measures].[Units Sold],[Products.Code].[110],[Products.Seasonal].[Milk Chocolate Truffles],[Time.Fiscal].[01-13-2001])" />

	<blox:grid 
        writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">
		<blox:cellEditor 
			scope="{Scenario:Budget}" />
	</blox:grid>
</blox:present>

<blox:container visible="false" id="myContainer2ACS">

<%
	BloxModel containerModel = myContainer2ACS.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button( "writebackButton", "Submit Changes" );
	wbButton.setUserObject( wb3PresentBloxACS );
    wbButton.setThemeClass( null );
    wbButton.setController( 
		new Controller() {
			public boolean handleClickEvent( ClickEvent event ) throws Exception {
				PresentBlox presentBlox = (PresentBlox)event.getComponent().getUserObject();
				presentBlox.getDataBlox().writeback(
					presentBlox.getGridBlox().getChangedCellList(),
					presentBlox.getGridBlox().getChangedCellValues(),
					""
				);
				return true;
			}
		} 
	);
    containerModel.add( wbButton );
%>
</blox:container>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
    <title>Writeback Using an Internal Controller</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using an Internal Controller</h2>
<p>Writeback implemented using an internal controller.</p>
<br>

<blox:display bloxRef="wb3PresentBloxACS" />

<form>
	<blox:display bloxRef="myContainer2ACS" />
</form>

<hr>
<a href="../viewSource.jsp?file=Inputting/writeback-anonymousController.jsp">View Source</a>

</body>
</html>