<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.bloxsampler.writeback.Writeback,
                 com.alphablox.internal.PresentBlox" %> 

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>

<head>
    <title>Writeback using Custom Writeback Class</title>
	<blox:header />
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>

<h2>Writeback using Custom Writeback Class</h2>
<p>Writeback implemented using a custom writeback Java class. The Java class source 
can be found in the application's <code>/WEB-INF/src/com.alphablox.bloxsampler/writeback</code> directory.</p>

<blox:present id="wb4PresentBloxACS"
	height="400"
	width="600"
	pageAvailable="true"
	chartAvailable="false"
	dataLayoutAvailable="false">
	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Scenario].[All Scenario].[Actual],[Scenario].[All Scenario].[Budget],[Scenario].[Variance]} ON AXIS(0), {[Locations].[All Locations].[West].[S. Cal.].[Malibu Beach]} ON AXIS(1) FROM [qccwb] WHERE ([Measures].[Sales],[Products].[Category].[All Products].[Truffles].[White Chocolate Truffles],[Products].[Code].[All Products].[100].[130],[Products].[Seasonal].[All Products].[Not Seasonal].[Truffles].[White Chocolate Truffles],[Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-27-2001],[Time].[Fiscal].[All Time Periods].[FY2001].[Qtr 2 FY01].[Jan FY01].[01-27-2001])" />

	<%
        new Writeback(wb4PresentBloxACS, "{Scenario:[Scenario].[All Scenario].[Budget]}");
	%>
</blox:present>

<script language="JavaScript">

function wb()
{
    bloxAPI.sendEvent(new ClickEvent('wb4PresentBloxACS',
        <%= wb4PresentBloxACS.getBloxModel().searchForComponent("dataWriteback").getUID() %>));
}

</script>

<br>
<form>
  <input type="button" value="Submit Changes" onclick='setTimeout("wb();", 1);'>
</form>

<hr>
<a href="../viewSource.jsp?file=Inputting/writeback-customClass.jsp">View Source</a>

</body>
</html>