<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.PresentBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.DataBlox" %>

<%@ taglib uri="bloxtld" prefix="blox" %>


<blox:present id="wb2PresentBloxACS" 
 	visible="false"
	height="100%" 
	width="100%" 
	pageAvailable="false"
	chartAvailable="false"
	dataLayoutAvailable="false">

	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Scenario].[Budget]} ON COLUMNS, {[Products.Category].[All Products].[Truffles].Children} ON ROWS FROM QCCWB WHERE ([Locations].[Napa],[Time.Calendar].[01-13-2001],[Measures].[Units Sold],[Products.Code].[110],[Products.Seasonal].[Milk Chocolate Truffles],[Time.Fiscal].[01-13-2001])"
		selectableSlicerDimensions="Locations,Time,Measures" />

	<blox:grid 
        writebackEnabled="true" 
		defaultCellFormat="#,###.00;[red]#,###.00">
		<blox:cellEditor 
			scope="{Scenario:Budget}{Time:01-13-2001}" />
	</blox:grid>
</blox:present>

<%
class WritebackController extends Controller {

	DataBlox dataBlox;
	GridBlox gridBlox;

	WritebackController( PresentBlox presentBlox ) {
		try {
			this.dataBlox = presentBlox.getDataBlox();
			this.gridBlox = presentBlox.getGridBlox();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	public boolean handleClickEvent( ClickEvent event ) throws Exception {
		dataBlox.writeback(
			gridBlox.getChangedCellList(),
			gridBlox.getChangedCellValues(),
			""
		);
		return true;
	}
}
%>


<blox:container id="myContainerACS"
	visible="false">
<%
	BloxModel containerModel = myContainerACS.getBloxModel();
	containerModel.clear();
	Button wbButton = new Button( "writebackButton", "Submit Changes" );
    wbButton.setThemeClass( null );
    wbButton.setController( new WritebackController( wb2PresentBloxACS ) );
    containerModel.add( wbButton );
%>
</blox:container>

<html>

<head>
    <title>Writeback Using a Custom Controller</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Writeback Using a Custom Controller</h2>
<p>Writeback implemented using a custom controller.</p>

<form>
    <blox:display bloxRef="myContainerACS" />
</form>

<blox:display bloxRef="wb2PresentBloxACS" />

<hr>
<a href="../viewSource.jsp?file=Inputting/writeback-customController.jsp">View Source</a>

</body>
</html>