<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>


<blox:present id="DLPresentBloxACS"
	visible="false">
	
	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />

</blox:present>

<%
	session.setAttribute("DLPresentBloxACSDataLayout",DLPresentBloxACS.getDataLayoutBlox());
%>


<html>

<head>
  <title>DataLayout Interface</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>DataLayout Interface</h2>
<p>The DataLayoutBlox <code>interfaceType</code> attribute value can either 
be <code>droplist</code> (default) or <code>tree</code>. This example sets this 
attribute by using a RadioButtonFormBlox to toggle between the two values. </p>
<br>

<bloxform:radioButton id="DataLayoutSelectionACS" 
	borderEnabled="false" >
	<bloxform:button label="Tree (draggable)"
		selected="true"
		value="tree" />
	<bloxform:button label="Drop List"
		value="dropList" />
	<bloxform:setChangedProperty
		targetRef="DLPresentBloxACSDataLayout"
		targetProperty="interfaceType" />
</bloxform:radioButton>

<br>

<blox:display bloxRef="DLPresentBloxACS" width="650" height="500" />

<hr>
<a href="../viewSource.jsp?file=Interacting/dataLayoutInterfaceType.jsp">View Source</a>

</body>

</html>