<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Keep and Remove Enabled</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Keep and Remove Enabled</h2>

<p>By default, a DataBlox is set to show only the Hide/Show Only and Unhide All menu options
when users right-click on displayed members or use the Data menu. In the Data Options dialog,
users can choose to "enable Keep & Remove." By enabling this option, users can access an alternative
mechanism for hiding and displaying members. (For more information, see the User Help.)  Alternatively,
developers can enable this option by adding the <code>enableKeepRemove</code> attribute and setting the
value to <code>true</code>, as shown in this example.</p>

<br>

<blox:grid id="krGridBloxACS"
	width="650"
	height="400"
	defaultCellFormat="#,###">

	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])"
 		enableKeepRemove="true" />
</blox:grid>

<hr>
<a href="../viewSource.jsp?file=Interacting/enableKeepRemove.jsp">View Source</a>

</body>

</html>
