<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="TogglePresentBloxACS"
	visible="false"
	width="450" 
	height="400"
	splitPane="true"
	dividerLocation="1">
	
	<blox:grid/>

	<blox:chart
		chartType="Vertical Bar, Stacked" />

	<blox:dataLayout
		visible="false" />

	<blox:page 
		visible="false" />

	<blox:toolbar 
		visible="true" />

	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Time (Calendar)].Children} ON COLUMNS,{[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />

</blox:present>

<%
	session.setAttribute("ToggleGridACS",TogglePresentBloxACS.getGridBlox());
	session.setAttribute("ToggleChartACS",TogglePresentBloxACS.getChartBlox());
	session.setAttribute("ToggleDataACS",TogglePresentBloxACS.getDataBlox());
%>

<html>
<head>

<blox:header/>
	
<title>HTML Form Elements</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

</head>

<body>

<h2>Using  FormBlox to Modify Views</h2>
<p>A PresentBlox display allowing users to choose which report 
to display, whether to show a grid or a chart, and which chart type to
use.  Shows use of RadioButtonFormBlox, CheckBoxFormBlox, and MemberSelectFormBlox
to modify views. FormBlox also maintain persistence after switching away
and coming back to the page.</p>

<div align="left">

<table cellpadding="2" cellspacing="5">
    <tr>
      <td width="200" valign="top"> 

          <p> <b>Display Report:</b><br>


				<bloxform:radioButton id="ReportSelectionACS" align="vertical" borderEnabled="false">
					<bloxform:button label="Sales By Product" 
						value="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" 
						selected="true" />
					<bloxform:button label="Sales By Market" 
						value="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Locations].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
					<bloxform:setChangedProperty
						targetRef="ToggleDataACS"
						targetProperty="query"
						callAfterChange="connect()" />
				</bloxform:radioButton>

            <b>Show Chart</b><br>

						<bloxform:checkBox id="chartFirstCheckboxACS"
							checkedValue="true" 
							uncheckedValue="false">
							 <bloxform:setChangedProperty
								targetRef="TogglePresentBloxACS" 
								targetProperty="chartFirst"
								formProperty="formValue" />
						</bloxform:checkBox>

            <b>Using Chart Type:</b><br>

						<bloxform:select id="ChartSelectionACS">
							<bloxform:option label="Bar" value="Bar" />
							<bloxform:option label="Pie" value="Pie" />
							<bloxform:option label="Line" value="Line" />
							<bloxform:option label="3D Bar" value="3D Bar" />
						  <bloxform:setChangedProperty 
								targetRef="ToggleChartACS"
								formProperty="formValue"
								targetProperty="chartType" />
						</bloxform:select>

          </p>
</td>
<td>
  <blox:display bloxRef="TogglePresentBloxACS" />
</td>
</tr>
</table>
</div>

<hr>
<a href="../viewSource.jsp?file=Interacting/formElements.jsp">View Source</a>

</body>
</html>