<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.data.mdb.MDBMetaData,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>


<blox:data id="RegionDataBloxACS"
	dataSourceName="ACS"
	query="SELECT {[Time (Calendar)].Children} ON COLUMNS, {[Products].Children} ON ROWS FROM qcc_2003 WHERE ([Locations].[All Locations],[Measures].[Sales])"
	selectableSlicerDimensions="All Locations"/>


<blox:present id="RegionPresentBloxACS"
	visible="false"
	width="600"
	height="80%"
	splitPaneOrientation="horizontal"
	dividerLocation=".6"
	chartFirst="true">
	<blox:toolbar visible="false"/>
	<blox:data bloxRef="RegionDataBloxACS"/>
	<blox:chart
		chartType="Bar"/>
</blox:present>


<html>
<head>
	<title>Passing Values Between Pages</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">	
	<blox:header>
		<blox:clientBean name="RegionDataBloxACS">
			<blox:method name="setQuery" />
			<blox:method name="connect" />
		</blox:clientBean>
	</blox:header>

<script language="JavaScript">

function printPreview() {
  var timestamp=new Date();

  var URL="passingValues-print.jsp?"+
                     "TimeStamp="+escape(timestamp.toString())+
                     "&render=printer"+
                     "&theme=printer";
  window.open(URL,"PrintPreviewWindow");
}

</script>

</head>

<body>

<h2>Passing Values Between Pages</h2>

<p>DB2 Alphablox can be used to easily pass information between web pages.
  A common use for passing values in DB2 Alphablox applications is to pass
  information
  between an application view and a Print Preview page. In this example, <code>printPreview()</code> 
  function on this page (view the source), the following two variables are created 
  and added to the URL that generates the printable page:</p>

<ul>
  <li>Region (selected in the selection list below)</li>
  <li>TimeStamp (created on-the-fly using the JavaScript <code>Date()</code> method)</li>
</ul>

<p>On the receiving page (PassingValues-print.html), popped up in a separate browser 
  window when you click on the Print Preview link below, two server variables, 
  <code>&lt;blox.region&gt;</code> and <code>&lt;blox.timestamp&gt;</code>, capture 
  the values from the URL string and display them to the user. Notice that the 
  Print Preview page displays the selected region in the title and the timestamp 
  below the applet. View the source code for PassingValues-print.html to see where 
  the server variables were positioned.<br>
</p>

<hr>

<table cellpadding="2" cellspacing="3">
  <tr>
<td>

<bloxform:memberSelect id="RegionSelectionListACS"
	visible="true"
	dataBloxRef="RegionDataBloxACS"
	dimensionName="Locations">
    <%
      RegionSelectionListACS.addFormEventListener(new MemberSelectFormBloxEventListener(RegionDataBloxACS));
    %>
</bloxform:memberSelect>

</td>
<td>
<a href="javascript: printPreview();">Print Preview</a>
</td>
</table>

<div align="center">

<blox:display bloxRef="RegionPresentBloxACS" />

</div>

<hr>
<a href="../viewSource.jsp?file=Persisting/passingValues.jsp">View Source</a>
 
</body>
</html>

<%!
    class MemberSelectFormBloxEventListener implements FormEventListener {
        private DataBlox dataBlox;

        public MemberSelectFormBloxEventListener(DataBlox dataBlox) {
            this.dataBlox = dataBlox;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String selectedRegion = event.getFormBlox().getFormValue();
            if (selectedRegion != null) {
                MDBMetaData metaData = (MDBMetaData) dataBlox.getMetaData();
                dataBlox.setSelectedMembers(new Member[] {metaData.resolveMember(selectedRegion)});
                dataBlox.updateResultSet();
            }
        }
    }

%>
