<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.alphablox.blox.repository.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Public Bookmark Access - Step 3</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<%@ include file="bookmarksCommon.jsp" %>

<blox:bookmarks id="paBookmarksBlox" />

<%
  String thisApplication = request.getContextPath();
  
  if (thisApplication.charAt(0) == '/') {
    thisApplication = thisApplication.substring(1);
  }
%>

<!-- Source Summary Start -->
<%!
  // find public (application) bookmarks that have a blox name of "paPresentBloxACS"
  class BookmarkMatcherThisApplication extends BookmarkMatcherApplications {
    public boolean accept(Bookmark bookmark) throws ServerBloxException {
      // check to make sure BookmarkMatcherApplications doesn't return false
      if (!super.accept(bookmark)) {
        return false;
      }
      
      if (bookmark.getBloxName().equalsIgnoreCase("paPresentBloxACS")) {
        return true;
      }
      
      return false;
    }
  }
%>
<!-- Source Summary End -->
<script language="JavaScript1.2">
  function deleteBookmark() {
    var sel = document.MainForm.bookmarks.selectedIndex;
    
    if (sel == -1) {
      alert("Please select a bookmark to delete");
    }
    else {
      document.MainForm.submit();
    }
  }
</script>


<body>
	<h2>Restricting Public Bookmark Access - Step 3</h2>

  <br>
  
  <p>Select the bookmark you would like to try and delete and press the delete button.</p>
  
  <form name="MainForm" action="publicBookmarkAccess3.jsp">
    <select name="bookmarks" size="3">
<!-- Source Summary Start -->
<%
  BookmarkMatcherThisApplication appMatcher = new BookmarkMatcherThisApplication();
  
  appMatcher.setApplication(thisApplication);
  
  Bookmark bookmarks[] = paBookmarksBlox.listBookmarks(appMatcher);
  
  for (int i = 0; i < bookmarks.length; i++) {
    String name = bookmarks[i].getName();
%>      
	<option value="<%= name %>"><%= name %><%
  }
%>
    </select>
<!-- Source Summary End -->
    <br><br>
    <input type="button" name="deleteButton" value="Delete Bookmark" onclick="deleteBookmark()">
    <br><br>
    <input type="button" value="Start Over" 
      onClick="javascript:window.open('publicBookmarkAccess.jsp','mainFrame')">
  </form>

<hr>
<a href="../viewSource.jsp?file=Persisting/publicBookmarkAccess2.jsp">View Source</a>

</body>

</html>
