<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.alphablox.blox.repository.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Restricting Public Bookmark Access</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<%@ include file="bookmarksCommon.jsp" %>

<blox:bookmarks id="paBookmarksBloxACS" />

<body>
  <h2>Restricting Public Bookmark Access</h2>

  <br>
  
<%
  String thisApplication = request.getContextPath();
  
  if (thisApplication.charAt(0) == '/') {
    thisApplication = thisApplication.substring(1);
  }
%>

<!-- Source Summary Start -->
<%
  // see if the user name in the custom bookmark property matches the authenticated
  // user for this session
  String bookmarkName = request.getParameter("bookmarks");
  String thisUser = request.getRemoteUser();
  Bookmark bk = paBookmarksBloxACS.getBookmark(bookmarkName, thisApplication, null,"paPresentBloxACS", 
                                            BookmarksBlox.PUBLIC_VISIBILITY);
  String bookmarkCreator = bk.getCustomProperty("user");
  
  // if the user who saved the bookmark is trying to delete it, allow it
  if (thisUser.equalsIgnoreCase(bookmarkCreator)) {
    bk.delete();
%>
  <p>The bookmark '<i><%= bookmarkName %></i>' was deleted because the custom property (the creator
    of the bookmark) within the bookmark '<i><%= bookmarkCreator %></i>' matched the authenticated 
    user for this session '<i><%= thisUser %></i>'.</p>
<%
  }
  else {
%>
  <p>Could not delete bookmark '<i><%= bookmarkName %></i>' because the custom property (the creator
    of the bookmark) within the bookmark '<i><%= bookmarkCreator %></i>' did not match the 
    authenticated user for this session '<i><%= thisUser %></i>'.</p>
<%  
  }
%>
<!-- Source Summary End -->
  <form name="MainForm">
    <input type="button" value="Go back to Bookmark select page" 
      onClick="javascript:window.open('publicBookmarkAccess2.jsp','mainFrame')">
  </form>

<hr>
<a href="../viewSource.jsp?file=Persisting/publicBookmarkAccess3.jsp">View Source</a>
 
</body>

</html>
