<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:repository id="CPRepositoryBloxACS" />
 
<blox:present id="MarketPresentBloxACS"
	visible="false"
	width="700"
	height="500"
	splitPaneOrientation="horizontal"
	dividerLocation=".4">
  <blox:data 
		dataSourceName="ACS" />
	<blox:chart
		chartType="Bar" />
</blox:present>

<%
	String market = CPRepositoryBloxACS.getUserProperty("userMarket");
	
	if ("".equals(market) || market==null) market="All Locations";

	String query="SELECT {[Time (Calendar)].[2000], [Time (Calendar)].[2001]} ON COLUMNS, {[Products].[All Products], [Products].Children} ON ROWS FROM qcc_2003 WHERE [Locations].[" + market + "]";					
					
	MarketPresentBloxACS.getDataBlox().setQuery(query);
	MarketPresentBloxACS.getDataBlox().connect();

%>

<html>
<head>
	<title>Custom User Properties</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header />
</head>

<body>

<h2>Custom User Properties</h2>

<p>The  PresentBlox in this example initially displays the sales revenue for
  all regions of the fictious company, Quality Chocolate Company (QCC). To show
  you the 
  benefit of using custom user properties to enhance your applications, you will
   need to create a custom user property that will be used to specify a particular
  
  market region for the logged in user and then generate the results below based
   on that user's Region property setting.</p>
  
<h3>Creating the Custom User Property</h3>
<ol>
  <li>Go to the DB2 Alphablox  home page, then click on the <b>Administration</b> tab.
     By default, the General link on the tab bar should be selected. If not,
    click on the General
    link.</li>
  <li>Click on the <b>User Definitions</b> link under Custom Properties.</li>
  <li>Click the <b>Create</b> button to make a new custom property.</li>
  <li>In the Create User Custom Property dialog, enter the following settings: 
    <ul>
      <li>Property Name: userMarket</li>
      <li>Display Label: Region</li>
      <li>Multiple Select: leave unchecked</li>
      <li>User Access: Hidden</li>
      <li>Default Value: All Locations</li>
      <li>Value List: West,East,Central,All Locations</li>
    </ul>
  </li>
  <li>Click the <b>Save</b> button and make note that userMarket appears in the 
    list of User Definitions.</li>
  <li>Now click on the <b>Users</b> link on the top tab bar.</li>
  <li>Highlight the user that you are logged in as and click the <b>Edit</b> button.</li>
  <li>Notice at the bottom of the User Profile is the custom property you just 
    created.</li>
  <li>Select a Region of your choice and click on the <b>Save</b> button.</li>
  <li>Close all your browser windows and then come back to this page. You will 
    see QCC Sales for the Region you chose.</li>
  <li>Notice that the Region property is used in two places on the page: in the 
    JavaScript method that dynamically creates a query based on the user's Region, 
    and in the title just above the Blox display area, a region will appear in 
    between &quot;QCC&quot; and &quot;Sales.&quot; If you view the source on the 
    generated page, you will not see the custom server variable. Instead, open 
    the source file for this example and view the code there.</li>
</ol>

<p><b>Note:</b> If you are not the 
  only assembler using this tutorial, the first five steps may have already been 
  completed. If so, begin at step 6 and continue through the remainder of the 
  steps.</p>
<p>&nbsp; </p>

 <div align="center"> 

<h2>QCC <%= market %> Sales</h2>

<blox:display bloxRef="MarketPresentBloxACS" />

</div> 

<hr>
<a href="../viewSource.jsp?file=Persisting/userProperties.jsp">View Source</a>
 
</body>
</html>
