<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Cell Formatting</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Cell Formatting</h2>
<p>Shows a simple example of a GridBlox using the <code>defaultCellFormat</code> 
and <code>cellAlert</code> properties.</p>
<br>

<blox:present id="presentBloxEx11ACS"
  width="650"
  height="450"
  splitPane="false">
  <blox:data
    dataSourceName="ACS"
	query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
  <blox:grid
  	defaultCellFormat="#,###.00">
  	<blox:cellAlert 
		condition="BETWEEN" 
		value="1000000" 
		value2="10000000"
		background="yellow"
		scope="{'[qcc_2003].[Time (Fiscal)]': '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2000]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2001]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2002]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2003]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2004]'} {[qcc_2003].[Products]: [qcc_2003].[Products].[All Products].[100  Truffles], [qcc_2003].[Products].[All Products].[200  Chocolate Blocks], [qcc_2003].[Products].[All Products].[300  Chocolate Nuts], [qcc_2003].[Products].[All Products].[400  Specialties]}" />
	<blox:cellAlert 
		condition="LT" 
		value="1000000" 
		background="red"
		scope="{'[qcc_2003].[Time (Fiscal)]': '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2000]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2001]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2002]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2003]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2004]'} {[qcc_2003].[Products]: [qcc_2003].[Products].[All Products].[100  Truffles], [qcc_2003].[Products].[All Products].[200  Chocolate Blocks], [qcc_2003].[Products].[All Products].[300  Chocolate Nuts], [qcc_2003].[Products].[All Products].[400  Specialties]}" />
	<blox:cellAlert 
		condition="GT" 
		value="10000000"
		background="green"
		scope="{'[qcc_2003].[Time (Fiscal)]': '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2000]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2001]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2002]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2003]', '[qcc_2003].[Time (Fiscal)].[All Time (Fiscal)].[2004]'} {[qcc_2003].[Products]: [qcc_2003].[Products].[All Products].[100  Truffles], [qcc_2003].[Products].[All Products].[200  Chocolate Blocks], [qcc_2003].[Products].[All Products].[300  Chocolate Nuts], [qcc_2003].[Products].[All Products].[400  Specialties]}" />
	</blox:grid>  
</blox:present>

<hr>
<a href="../viewSource.jsp?file=Presenting/cellFormatting.jsp">View Source</a>

</body>
</html>