<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:chart id="PieAppearanceChartBloxACS"
	visible="false"
	width="600"
	height="400"
	chartType="Pie"
	menubarVisible="false">
	<blox:toolbar visible="false" />
	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Calendar)].Members} ON COLUMNS, {[All Products].[200  Chocolate Blocks].Children, [All Products].[300  Chocolate Nuts].Children, [All Products].[400  Specialties].Children, [All Products].[100  Truffles].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
</blox:chart>

<html>
<head>
	<title>Setting Small Value Percentage on Pie Chart</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header>
		<blox:clientBean name="PieAppearanceChartBloxACS">
			<blox:method name="setSmallValuePercentage" />
		</blox:clientBean>
	</blox:header>
	
	<script language="JavaScript">
	
	function setOtherPercentage(value) {
		document.PieAppearanceChartBloxACS.setSmallValuePercentage(value);
	}
	
	</script>
	
</head>

<body>

<h2>Setting Small Value Percentage on Pie Chart</h2>
<p>Shows a selection list that changes the ChartBlox 
<code>smallValuePercentage</code> property.</p>

<form>
<select name="SmallPieSelection" onChange="setOtherPercentage(this.value)">
	<option value="0.01">0.01 (smallest)</option>
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="3">3</option>
	<option value="4">4</option>
	<option value="5.0" selected>5.0 (default)</option>
	<option value="6">6</option>
	<option value="7">7</option>
	<option value="8">8</option>
	<option value="9">9</option>
	<option value="10.0">10.0 (largest)</option>
</select>
</form>

<blox:display bloxRef="PieAppearanceChartBloxACS" />

<hr>
<a href="../viewSource.jsp?file=Presenting/pieSmallValues.jsp">View Source</a>

</body>
</html>
