<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<%@ page import="com.alphablox.blox.*,
                 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.uimodel.core.*,
                 java.sql.*,
                 com.alphablox.util.DataException,
                 java.util.Calendar,
                 java.io.InputStream,
                 java.math.BigDecimal,
                 java.net.URL,
                 java.io.Reader,
                 java.util.Map" %>
<html>
<head>
	<title>Retrieving Customized Data</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>
<h2>Retrieving Customized Data</h2>
<p>Shows the use of a ResultSetBlox to retrieve and customize results from a relational data source.
</p>
<blox:data id="rsData" connectOnStartup="false" />
<blox:resultSet id="rs" dataBlox="<%=rsData%>" />

<blox:present id="rsChart" height="450" width="600">
    <blox:chart chartType="line" />
    <blox:data bloxRef="rsData" />
</blox:present>

<br><br>
<blox:container id="dataEntry" width="500" height="400">
<%
    BloxModel model = dataEntry.getBloxModel();
    model.setLayout(new VerticalLayout() );
    ComponentContainer form = new ComponentContainer( "form" );
    form.setStyle( "padding:5; border:1; border-color:black; border-style:solid;" );
    form.setScrollingEnabled( true );
    form.setHeight( -100 );
    form.setValignment( Component.VALIGN_TOP );

    ComponentContainer container = new ComponentContainer();
    container.setLayout( new HorizontalLayout( ) );
    container.setValignment( Component.VALIGN_TOP );
    container.add( new Button( "clearForm", "Clear Form" ) );
    container.add( new Button( "addRow", "Add Row" ) );
    container.add( new Button( "add10Rows", "Add 10 Rows" ) );
    container.add( new Button( "updateBlox", "Update Blox" ) );

    model.add( container );
    model.add( new Spacer( 10, 0 ) );
    model.add( form );
    model.setController( new DataEntryController( model, rs ) );
%>
</blox:container>
</body>
</html>

<%!
    public class DataEntryController extends Controller{

        BloxModel model;
        ResultSetBlox rsBlox;
        ComponentContainer form;
        int numberOfRows = 0;

        public DataEntryController( final BloxModel model, final ResultSetBlox rsBlox ) throws Exception {
            this.model = model;
            this.rsBlox = rsBlox;

            this.form = (ComponentContainer)model.searchForComponent( "form" );

            actionClearForm();
        }

        public void actionClearForm( ) throws Exception {
            form.clear();
            form.setLayout( new GridLayout( 8 ) );
            form.add( new Spacer( 0, 20 ) );
            form.add( new Static( "Value #1" ) );
            form.add( new Spacer( 0, 20 ) );
            form.add( new Static( "Value #2" ) );
            form.add( new Spacer( 0, 20 ) );
            form.add( new Static( "Value #3" ) );
            form.add( new Spacer( 0, 20 ) );
            form.add( new Static( "Value #4" ) );

            Spacer fixer = new Spacer( -100, 0 );
            fixer.setName( "heightFixer" );
            form.add( fixer );
            form.changed();
            numberOfRows = 0;
        }

        public void actionAdd10Rows() throws Exception {
            for ( int i=0; i < 10; i++ )
                actionAddRow();
        }

        public void actionAddRow( ) throws Exception {
            numberOfRows++;

            Edit value1 = new Edit( "value1_" + numberOfRows );
            value1.setWidth( 100 );
            value1.setValue( Integer.toString( (int)(Math.random()*100) ));
            Edit value2 = new Edit( "value2_" + numberOfRows );
            value2.setWidth( 100 );
            value2.setValue( Integer.toString( (int)(Math.random()*100) ) );
            Edit value3 = new Edit( "value3_" + numberOfRows );
            value3.setWidth( 100 );
            value3.setValue( Integer.toString( (int)(Math.random()*100) ) );
            Edit value4 = new Edit( "value4_" + numberOfRows );
            value4.setWidth( 100 );
            value4.setValue( Integer.toString( (int)(Math.random()*100) ) );

            Component fixer = form.remove( "heightFixer" );
            form.add( new Static( numberOfRows + "." ) );
            form.add( value1 );
            form.add( new Spacer( 0, 20 ) );
            form.add( value2 );
            form.add( new Spacer( 0, 20 ) );
            form.add( value3 );
            form.add( new Spacer( 0, 20 ) );
            form.add( value4 );
            form.add( fixer );
            form.changed();
        }

        public void actionUpdateBlox( ) throws Exception {
            rsBlox.loadResultSet( new ResultSetImpl( numberOfRows, form ) );
        }
    }

    public static class ResultSetImpl implements ResultSet {

        int currentRow = -1;
        int numberOfRows;
        ComponentContainer form;

        public ResultSetImpl( final int numberOfRows, final ComponentContainer form ) {
            this.numberOfRows = numberOfRows;
            this.form = form;
        }

        public boolean absolute(int row) throws SQLException {
            return false;
        }

        public void afterLast() throws SQLException {
        }

        public void beforeFirst() throws SQLException {
        }

        public void cancelRowUpdates() throws SQLException {
        }

        public void clearWarnings() throws SQLException {
        }

        public void close() throws SQLException {
        }

        public void deleteRow() throws SQLException {
        }

        public int findColumn(String columnName) throws SQLException {
            return 0;
        }

        public boolean first() throws SQLException {
            return false;
        }

        public Array getArray(String colName) throws SQLException {
            return null;
        }

        public Array getArray(int i) throws SQLException {
            return null;
        }

        public InputStream getAsciiStream(int columnIndex) throws SQLException {
            return null;
        }

        public InputStream getAsciiStream(String columnName) throws SQLException {
            return null;
        }

        public BigDecimal getBigDecimal(int columnIndex) throws SQLException {
            return null;
        }

        public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException {
            return null;
        }

        public BigDecimal getBigDecimal(String columnName) throws SQLException {
            return null;
        }

        public BigDecimal getBigDecimal(String columnName, int scale) throws SQLException {
            return null;
        }

        public InputStream getBinaryStream(int columnIndex)
                throws SQLException {
            return null;
        }

        public InputStream getBinaryStream(String columnName)
                throws SQLException {
            return null;
        }

        public Blob getBlob(String colName) throws SQLException {
            return null;
        }

        public Blob getBlob(int i) throws SQLException {
            return null;
        }

        public boolean getBoolean(int columnIndex) throws SQLException {
            return false;
        }

        public boolean getBoolean(String columnName) throws SQLException {
            return false;
        }

        public byte getByte(int columnIndex) throws SQLException {
            return 0;
        }

        public byte getByte(String columnName) throws SQLException {
            return 0;
        }

        public byte[] getBytes(int columnIndex) throws SQLException {
            return new byte[0];
        }

        public byte[] getBytes(String columnName) throws SQLException {
            return new byte[0];
        }

        public Reader getCharacterStream(int columnIndex) throws SQLException {
            return null;
        }

        public Reader getCharacterStream(String columnName) throws SQLException {
            return null;
        }

        public Clob getClob(String colName) throws SQLException {
            return null;
        }

        public Clob getClob(int i) throws SQLException {
            return null;
        }

        public int getConcurrency() throws SQLException {
            return 0;
        }

        public String getCursorName() throws SQLException {
            return null;
        }

        public Date getDate(int columnIndex) throws SQLException {
            return null;
        }

        public Date getDate(int columnIndex, Calendar cal) throws SQLException {
            return null;
        }

        public Date getDate(String columnName) throws SQLException {
            return null;
        }

        public Date getDate(String columnName, Calendar cal) throws SQLException {
            return null;
        }

        public double getDouble(int columnIndex) throws SQLException {
            return 0;
        }

        public double getDouble(String columnName) throws SQLException {
            return 0;
        }

        public int getFetchDirection() throws SQLException {
            return 0;
        }

        public int getFetchSize() throws SQLException {
            return 0;
        }

        public float getFloat(int columnIndex) throws SQLException {
            return 0;
        }

        public float getFloat(String columnName) throws SQLException {
            return 0;
        }

        public int getInt(int columnIndex) throws SQLException {
            try {
                Edit edit = (Edit)form.searchForComponent( "value" + columnIndex + "_" + (currentRow+1) );
                return Integer.parseInt( edit.getValue() );
            }
            catch ( Exception e ) {
                e.printStackTrace();
                throw new SQLException( e.getMessage() );
            }
        }

        public int getInt(String columnName) throws SQLException {
            return 0;
        }

        public long getLong(int columnIndex) throws SQLException {
            return 0;
        }

        public long getLong(String columnName) throws SQLException {
            return 0;
        }

        public ResultSetMetaData getMetaData() throws SQLException {
            return new ResultSetMetaDataImpl( );
        }

        public Object getObject(String colName, Map map) throws SQLException {
            return null;
        }

        public Object getObject(int columnIndex) throws SQLException {
            return null;
        }

        public Object getObject(String columnName) throws SQLException {
            return null;
        }

        public Object getObject(int i, Map map) throws SQLException {
            return null;
        }

        public Ref getRef(String colName) throws SQLException {
            return null;
        }

        public Ref getRef(int i) throws SQLException {
            return null;
        }

        public int getRow() throws SQLException {
            return 0;
        }

        public short getShort(int columnIndex) throws SQLException {
            return 0;
        }

        public short getShort(String columnName) throws SQLException {
            return 0;
        }

        public java.sql.Statement getStatement() throws SQLException {
            return null;
        }

        public String getString(int columnIndex) throws SQLException {
            try {
                Edit edit = (Edit)form.searchForComponent( "name" + (currentRow+1) );
                return edit.getValue();
            }
            catch ( Exception e ) {
                e.printStackTrace();
                throw new SQLException( e.getMessage() );
            }
        }

        public String getString(String columnName) throws SQLException {
            return null;
        }

        public Time getTime(int columnIndex) throws SQLException {
            return null;
        }

        public Time getTime(int columnIndex, Calendar cal) throws SQLException {
            return null;
        }

        public Time getTime(String columnName) throws SQLException {
            return null;
        }

        public Time getTime(String columnName, Calendar cal) throws SQLException {
            return null;
        }

        public Timestamp getTimestamp(int columnIndex) throws SQLException {
            return null;
        }

        public Timestamp getTimestamp(int columnIndex, Calendar cal)
                throws SQLException {
            return null;
        }

        public Timestamp getTimestamp(String columnName) throws SQLException {
            return null;
        }

        public Timestamp getTimestamp(String columnName, Calendar cal)
                throws SQLException {
            return null;
        }

        public int getType() throws SQLException {
            return 0;
        }

        public InputStream getUnicodeStream(int columnIndex) throws SQLException {
            return null;
        }

        public InputStream getUnicodeStream(String columnName) throws SQLException {
            return null;
        }

        public URL getURL(int columnIndex) throws SQLException {
            return null;
        }

        public URL getURL(String columnName) throws SQLException {
            return null;
        }

        public SQLWarning getWarnings() throws SQLException {
            return null;
        }

        public void insertRow() throws SQLException {
        }

        public boolean isAfterLast() throws SQLException {
            return false;
        }

        public boolean isBeforeFirst() throws SQLException {
            return false;
        }

        public boolean isFirst() throws SQLException {
            return false;
        }

        public boolean isLast() throws SQLException {
            return false;
        }

        public boolean last() throws SQLException {
            return false;
        }

        public void moveToCurrentRow() throws SQLException {
        }

        public void moveToInsertRow() throws SQLException {
        }

        public boolean next() throws SQLException {
            if ( currentRow >= numberOfRows-1 )
                return false;
            currentRow++;
            return true;
        }

        public boolean previous() throws SQLException {
            return false;
        }

        public void refreshRow() throws SQLException {
        }

        public boolean relative(int rows) throws SQLException {
            return false;
        }

        public boolean rowDeleted() throws SQLException {
            return false;
        }

        public boolean rowInserted() throws SQLException {
            return false;
        }

        public boolean rowUpdated() throws SQLException {
            return false;
        }

        public void setFetchDirection(int direction) throws SQLException {
        }

        public void setFetchSize(int rows) throws SQLException {
        }

        public void updateArray(int columnIndex, Array x) throws SQLException {
        }

        public void updateArray(String columnName, Array x) throws SQLException {
        }

        public void updateAsciiStream(int columnIndex,
                                      InputStream x,
                                      int length) throws SQLException {
        }

        public void updateAsciiStream(String columnName,
                                      InputStream x,
                                      int length) throws SQLException {
        }

        public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException {
        }

        public void updateBigDecimal(String columnName, BigDecimal x) throws SQLException {
        }

        public void updateBinaryStream(int columnIndex,
                                       InputStream x,
                                       int length) throws SQLException {
        }

        public void updateBinaryStream(String columnName,
                                       InputStream x,
                                       int length) throws SQLException {
        }

        public void updateBlob(int columnIndex, Blob x) throws SQLException {
        }

        public void updateBlob(String columnName, Blob x) throws SQLException {
        }

        public void updateBoolean(int columnIndex, boolean x) throws SQLException {
        }

        public void updateBoolean(String columnName, boolean x) throws SQLException {
        }

        public void updateByte(int columnIndex, byte x) throws SQLException {
        }

        public void updateByte(String columnName, byte x) throws SQLException {
        }

        public void updateBytes(int columnIndex, byte x[]) throws SQLException {
        }

        public void updateBytes(String columnName, byte x[]) throws SQLException {
        }

        public void updateCharacterStream(int columnIndex,
                                          Reader x,
                                          int length) throws SQLException {
        }

        public void updateCharacterStream(String columnName,
                                          Reader reader,
                                          int length) throws SQLException {
        }

        public void updateClob(int columnIndex, Clob x) throws SQLException {
        }

        public void updateClob(String columnName, Clob x) throws SQLException {
        }

        public void updateDate(int columnIndex, Date x) throws SQLException {
        }

        public void updateDate(String columnName, Date x) throws SQLException {
        }

        public void updateDouble(int columnIndex, double x) throws SQLException {
        }

        public void updateDouble(String columnName, double x) throws SQLException {
        }

        public void updateFloat(int columnIndex, float x) throws SQLException {
        }

        public void updateFloat(String columnName, float x) throws SQLException {
        }

        public void updateInt(int columnIndex, int x) throws SQLException {
        }

        public void updateInt(String columnName, int x) throws SQLException {
        }

        public void updateLong(int columnIndex, long x) throws SQLException {
        }

        public void updateLong(String columnName, long x) throws SQLException {
        }

        public void updateNull(int columnIndex) throws SQLException {
        }

        public void updateNull(String columnName) throws SQLException {
        }

        public void updateObject(int columnIndex, Object x) throws SQLException {
        }

        public void updateObject(int columnIndex, Object x, int scale)
                throws SQLException {
        }

        public void updateObject(String columnName, Object x) throws SQLException {
        }

        public void updateObject(String columnName, Object x, int scale)
                throws SQLException {
        }

        public void updateRef(int columnIndex, Ref x) throws SQLException {
        }

        public void updateRef(String columnName, Ref x) throws SQLException {
        }

        public void updateRow() throws SQLException {
        }

        public void updateShort(int columnIndex, short x) throws SQLException {
        }

        public void updateShort(String columnName, short x) throws SQLException {
        }

        public void updateString(int columnIndex, String x) throws SQLException {
        }

        public void updateString(String columnName, String x) throws SQLException {
        }

        public void updateTime(int columnIndex, Time x) throws SQLException {
        }

        public void updateTime(String columnName, Time x) throws SQLException {
        }

        public void updateTimestamp(int columnIndex, Timestamp x)
                throws SQLException {
        }

        public void updateTimestamp(String columnName, Timestamp x)
                throws SQLException {
        }

        public boolean wasNull() throws SQLException {
            return false;
        }
    }

    public static class ResultSetMetaDataImpl implements ResultSetMetaData {
        public String getCatalogName(int column) throws SQLException {
            return null;
        }

        public String getColumnClassName(int column) throws SQLException {
            return null;
        }

        public int getColumnCount() throws SQLException {
            return 4;
        }

        public int getColumnDisplaySize(int column) throws SQLException {
            return 0;
        }

        public String getColumnLabel(int column) throws SQLException {
            return null;
        }

        public String getColumnName(int column) throws SQLException {
            return "Value" + column;
        }

        public int getColumnType(int column) throws SQLException {
            return java.sql.Types.INTEGER;
        }

        public String getColumnTypeName(int column) throws SQLException {
            return null;
        }

        public int getPrecision(int column) throws SQLException {
            return 0;
        }

        public int getScale(int column) throws SQLException {
            return 0;
        }

        public String getSchemaName(int column) throws SQLException {
            return null;
        }

        public String getTableName(int column) throws SQLException {
            return null;
        }

        public boolean isAutoIncrement(int column) throws SQLException {
            return false;
        }

        public boolean isCaseSensitive(int column) throws SQLException {
            return false;
        }

        public boolean isCurrency(int column) throws SQLException {
            return false;
        }

        public boolean isDefinitelyWritable(int column) throws SQLException {
            return false;
        }

        public int isNullable(int column) throws SQLException {
            return 0;
        }

        public boolean isReadOnly(int column) throws SQLException {
            return false;
        }

        public boolean isSearchable(int column) throws SQLException {
            return false;
        }

        public boolean isSigned(int column) throws SQLException {
            return false;
        }

        public boolean isWritable(int column) throws SQLException {
            return false;
        }
    }

%>
