<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.core.chart.Chart,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.ComponentRebuiltNotify,
                 com.alphablox.blox.uimodel.ChartBrixModel,
                 com.alphablox.blox.uimodel.core.chart.BarChart,
                 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.core.chart.SingleValueDataSeries,
                 com.alphablox.blox.uimodel.core.chart.common.Axis,
                 com.alphablox.blox.uimodel.core.chart.common.OrdinalAxis,
                 com.alphablox.blox.uimodel.core.chart.common.Label,
                 com.alphablox.blox.uimodel.core.chart.common.Legend" %>
    
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="chartTooltipsDataBloxACS" 
	visible="false"
	dataSourceName="ACS"
    query="SELECT {[Time (Calendar)].[All Time (Calendar)], [Time (Calendar)].[All Time (Calendar)].Children} ON COLUMNS, {[Products].[All Products], [Products].[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])"
    selectableSlicerDimensions="[qcc_2003].[Locations].[All Locations]" />

<html>

<head>
	<title>Custom Chart Tooltips</title>
	<blox:header />

</head>
<body>
<h2>Custom Chart Tooltips</h2>
<p>Uses custom event handler on chart component to display custom tooltips.</p>
<br>

<blox:chart id="ToolTipsChartBloxACS" 
	width="80%" 
	height="500" 
	visible="true">
  <%
      ChartBrixModel brix = ToolTipsChartBloxACS.getChartBloxModel().getChart();

      brix.getController().addEventHandler( new IEventHandler( ) {
        public boolean handleComponentRebuiltNotify( ComponentRebuiltNotify event ) {
            if ( !(event.getComponent() instanceof ChartBrixModel) )
                return false;

            ChartBrixModel chartBrix = (ChartBrixModel)event.getComponent();
            BarChart chart = (BarChart) chartBrix.searchForComponent( ModelConstants.CHART );

            chart.getChartTitle().setTooltip( "THIS IS THE TITLE ALL");

            for ( int i=0; i < chart.getDataSeriesCount(); i++ ) {
                SingleValueDataSeries series = chart.getDataSeries( i );

                for ( int j=0; j < series.size(); j++ ) {
                    series.setTooltip( j, "DATAPOINT " + i + "." + j );
                }
            }

            Axis[] axi = chart.getAllAxes();
            for ( int i=0; i < axi.length; i++ ) {
                Axis axis = axi[i];
                axis.getAxisTitle().setTooltip( "AXIS " + i );
                System.out.println("axis.getAxisTitle() = " + axis.getAxisTitle());

                if ( axis instanceof OrdinalAxis ) {
                    OrdinalAxis oaxis = (OrdinalAxis)axis;

                      Label[] labels = oaxis.getLabels();
                      for ( int k=0; k < labels.length; k++ ) {
                          System.out.println(labels[k].getTooltip() );
                          labels[k].setTooltip( "ORDINAL " + k );
                      }
                }
            }

            Legend legend = chart.getLegend();
            return false;
        }
      });
  %>

	<blox:data bloxRef="chartTooltipsDataBloxACS" />

</blox:chart>

<hr>
<a href="../viewSource.jsp?file=UIExtensibility/chartTooltips.jsp">View Source</a>

</body>
	  
</html>


