<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.PresentBloxModel,
                 com.alphablox.blox.uimodel.ChartBrixModel,
                 com.alphablox.blox.uimodel.core.chart.BarChart,
                 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.core.event.ModelEvent,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.core.event.ComponentRebuiltNotify,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.core.event.RightClickEvent,
                 com.alphablox.blox.uimodel.core.chart.Chart" %>
				 
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:data id="crcDataBloxACS"
	visible="false"
	dataSourceName="ACS"
    query='SELECT {[Time (Calendar)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])'
    selectableSlicerDimensions="Market" />

<html>

<head>
	<TITLE>Custom Right-Click Menu</TITLE>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header />
</head>

<body>

<h2>Custom Context Menu on Chart</h2>
<p>In this PresentBlox example, right-clicking in the chart area will show a custom
contextual (right-click) menu item.</p>
<br>

<blox:present id="crcPresentBloxACS"
	width="80%" 
	height="500">

<%
    PresentBloxModel bloxModel = crcPresentBloxACS.getPresentBloxModel();

    // Find the chartBrixModel and its controller
    bloxModel.addEventHandler( new IEventHandler() {

        public boolean handleComponentRebuiltNotify( ComponentRebuiltNotify event ) throws Exception {
			Component component = event.getComponent( );

            if (component instanceof ChartBrixModel) {
                ChartBrixModel chartBrixModel = ((ChartBrixModel) component);

                Component chartMaybe = chartBrixModel.searchForComponent( ModelConstants.CHART );

                if (chartMaybe != null) {
                    Chart chart = (Chart) chartMaybe;

                    Menu headerMenu = new Menu();
                    headerMenu.add( new MenuItem( "headerItem", "Custom Menu Item ..."));
                    // Add a dedicated controller to the header menu
                    headerMenu.setController( new Controller() {
                        public void actionHeaderItem( ModelEvent event ) {
                            MessageBox.message( event.getComponent(), "Right Click", "Test" );
                        }
                    });

                    chart.setRightClickMenu( headerMenu );
					
              

                    return true;
                }
            }

			return false;
		}
	}
	);
%>
	<blox:data bloxRef="crcDataBloxACS" />
</blox:present>

<hr>
<a href="../viewSource.jsp?file=UIExtensibility/customRightClick.jsp">View Source</a>

</body>

</html>


