package com.alphablox.bloxsampler.analysis;

import com.alphablox.blox.uimodel.tags.analysis.AbstractAnalysis;
import com.alphablox.blox.uimodel.GridBrixModel;
import com.alphablox.blox.uimodel.core.grid.GridCell;
import com.alphablox.blox.uimodel.core.MessageBox;
import com.alphablox.blox.DataViewBlox;

public class CustomAnalysis extends AbstractAnalysis
{
    protected String getAnalysisName() {
        return "Custom Analysis (Add)";
    }

    protected void applyAnalysis(GridBrixModel gridBrixModel, DataViewBlox dataViewBlox) throws Exception {
        GridCell[] cells = gridBrixModel.getSelectedCells();

        if ( cells.length == 0 )
            return;

        double value = 0.0;
        StringBuffer buffer = new StringBuffer( 200 );

        for ( int i=0; i < cells.length; i++ ) {
            try {
                if ( cells[i].getValue() != null && !cells[i].isRowHeader() && !cells[i].isColumnHeader() ) {
                    double v = Double.parseDouble( cells[i].getValue() );

                    value += v;

                    if ( buffer.length() > 0 )
                        buffer.append( " + " );
                    buffer.append( v );
                }

            } catch ( Exception e ) {
            }
        }

        if ( buffer.length() > 0 ) {
            buffer.append( " = " );
            buffer.append( value );

            MessageBox.message( gridBrixModel, "Sum of selected cells", buffer.toString() );
        }
    }
}
