<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>Blox Sampler Menu</title>
	<blox:header/>

	<style>
		body {
			background: lightblue;
			}
		a {
			text-decoration:none;
			}
		a:hover {
			text-decoration:underline;
			}
        .csTrLfLblSlctd	{
			background-color: transparent;
		}
		.csTrNdLblSlctd	{
			background-color: transparent;
		}
	</style>
	
</head>

<body>

<!-- This menuing system uses a TreeFormBlox and its nested Blox components.  -->

<bloxform:tree id="BloxSamplerACSMenu" rootVisible="false">

	<bloxform:folder>

		<bloxform:folder label="Using Blox Sampler" expanded="false">
	
			<bloxform:item label="About Blox Sampler" 
				href="AboutBloxSampler/aboutBloxSampler.html"
				target="mainFrame" />
			<bloxform:item label="Configuring Blox Sampler for DB2 Alphablox Cube Server"
				href="AboutBloxSampler/configuringACS.html"
				target="mainFrame" />
	
		</bloxform:folder>

		
		<bloxform:folder label="DB2 Alphablox Cube Server" 
			href="AboutBloxSampler/configuringACS.html"
			target="mainFrame"	
			expanded="false">
	
			<bloxform:folder label="Blox Basics"
				href="BloxBasics/bloxBasicsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox Basics Overview" 
					href="BloxBasics/bloxBasicsOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Required Settings" 
					href="BloxBasics/gridBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="GridBlox - Commonly Used Settings" 
					href="BloxBasics/gridBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Required Settings" 
					href="BloxBasics/chartBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox - Commonly Used Settings" 
					href="BloxBasics/chartBloxCommon.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Required Settings" 
					href="BloxBasics/presentBloxRequired.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox - Commonly Used Settings" 
					href="BloxBasics/presentBloxCommon.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Blox UI Tags"
				href="BloxUITags/bloxUITagsOverview.html"
				target="mainFrame">
				<bloxform:item label="Blox UI Tags - Overview" 
					href="BloxUITags/bloxUITagsOverview.html"
					target="mainFrame" />
				<bloxform:item label="Butterfly Report" 
					href="BloxUITags/butterflyReport.jsp"
					target="mainFrame" />
				<bloxform:item label="Compressing Headers" 
					href="BloxUITags/compressHeaders.jsp"
					target="mainFrame" />
				<bloxform:item label="Highlighting Grid Elements" 
					href="BloxUITags/gridHighlight.jsp"
					target="mainFrame" />
				<bloxform:item label="Spaces in Rows and Columns" 
					href="BloxUITags/gridSpacer.jsp"
					target="mainFrame" />
				<bloxform:item label="Top N/Bottom N and Percent of Total" 
					href="BloxUITags/topNbottomNpercentOfTotal.jsp"
					target="mainFrame" />
				<bloxform:item label="Using An Action Filter" 
					href="BloxUITags/actionFilter.jsp"
					target="mainFrame" />
			</bloxform:folder>	

			<bloxform:folder label="UI Extensibility"
				href="UIExtensibility/uiExtensibilityOverview.html"
				target="mainFrame">
				<bloxform:item label="UI Extensibility - Overview" 
					href="UIExtensibility/uiExtensibilityOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Context Menu on Chart" 
					href="UIExtensibility/customRightClick.jsp"
					target="mainFrame" />
				<bloxform:item label="Custom Chart Tooltips" 
					href="UIExtensibility/chartTooltips.jsp"
					target="mainFrame" />
				<bloxform:item label="Row Banding (including row headers)" 
					href="UIExtensibility/rowBanding.jsp"
					target="mainFrame" />
                <bloxform:item label="Spinner Control - Examples"
   					href="UIExtensibility/spinnerControl.jsp"
   					target="mainFrame" />
				<bloxform:item label="Removing Other Axis on DataLayout"
   					href="UIExtensibility/removingOther.jsp"
   					target="mainFrame" />
				<bloxform:item label="Open Dialog Using HTML Button"
   					href="UIExtensibility/openDialogUsingHTMLButton.jsp"
   					target="mainFrame" />
				<bloxform:item label="Tabbed Views"
   					href="UIExtensibility/tabbedViews.jsp"
   					target="mainFrame" />
				<bloxform:item label="Synchronized Grids"
   					href="UIExtensibility/synchronizedGrids.jsp"
   					target="mainFrame" />
				<bloxform:item label="DateChooser Component"
   					href="UIExtensibility/dateChooser.jsp"
   					target="mainFrame" />
				<bloxform:item label="GridBlox Cell Selection Model"
   					href="UIExtensibility/gridSelectionModel.jsp"
   					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Using FormBlox and Logic Blox"
				href="FormBlox/formBloxOverview.html"
				target="mainFrame">
				<bloxform:item label="FormBlox Overview" 
					href="FormBlox/formBloxOverview.html"
					target="mainFrame" />
				<bloxform:item label="CheckBoxFormBlox" 
					href="FormBlox/checkBoxFormBlox.jsp"
					target="mainFrame" />
				<bloxform:item label="MemberFormBlox - Cascading Menus" 
					href="FormBlox/memberFormBlox-cascadingMenus.jsp"
					target="mainFrame" />
				<bloxform:item label="Selecting Products Using MDBQueryBlox" 
					href="FormBlox/mdbQueryBlox.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Retrieving Data"
				href="Retrieving/retrievingOverview.html"
				target="mainFrame">
				<bloxform:item label="Retrieving Data Overview" 
					href="Retrieving/retrievingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Initial Query Using JSP Scriptlet" 
					href="Retrieving/queryScriptlet.jsp"
					target="mainFrame" />
				<bloxform:item label="Retrieving Customized Data"
   					href="Retrieving/resultSetBlox.jsp"
   					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Presenting Data"
				href="Presenting/presentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Presenting Data Overview" 
					href="Presenting/presentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Numeric Properties" 
					href="Presenting/numericProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Formatting" 
					href="Presenting/cellFormatting.jsp"
					target="mainFrame" />
				<bloxform:item label="URL Attributes" 
					href="Presenting/urlAttributes.jsp"
					target="mainFrame" />
				<bloxform:item label="Setting Small Value Percentage on Pie Charts" 
					href="Presenting/pieSmallValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Dial Chart" 
					href="Presenting/dialChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Styles (CSS Classes)" 
					href="Presenting/cssStyles.html"
					target="mainFrame" />
				<bloxform:item label="Column Wrapping"
					href="Presenting/columnWrapping.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Chart Gallery"
				href="ChartGallery/chartGalleryOverview.jsp"
				target="mainFrame">
				<bloxform:item label="Chart Gallery - Overview" 
					href="ChartGallery/chartGalleryOverview.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 1" 
					href="ChartGallery/Bubble1.jsp"
					target="mainFrame" />
				<bloxform:item label="Bubble Chart 2" 
					href="ChartGallery/Bubble2.jsp"
					target="mainFrame" />
				<bloxform:item label="Combination Chart" 
					href="ChartGallery/Combo.jsp"
					target="mainFrame" />
				<bloxform:item label="Dual-Axis Chart" 
					href="ChartGallery/DualAxis.jsp"
					target="mainFrame" />
				<bloxform:item label="Histogram Chart" 
					href="ChartGallery/histogram.jsp"
					target="mainFrame" />
				<bloxform:item label="Pareto Chart" 
					href="ChartGallery/Pareto.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Line"
					href="ChartGallery/Radar-Line.jsp"
					target="mainFrame" />
				<bloxform:item label="Radar Chart - Area" 
					href="ChartGallery/Radar-Area.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 1" 
					href="ChartGallery/Scatter1.jsp"
					target="mainFrame" />
				<bloxform:item label="Scatter Chart 2" 
					href="ChartGallery/Scatter2.jsp"
					target="mainFrame" />
				<bloxform:item label="Trendline Chart"
					href="ChartGallery/Trendline.jsp"
					target="mainFrame" />
				<bloxform:item label="Waterfall Chart" 
					href="ChartGallery/Waterfall.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Gradients" 
					href="ChartGallery/Effects-Gradients.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart Effects - Background Image" 
					href="ChartGallery/Effects-Image.jsp"
					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Converting to PDF"
				href="ConvertingToPDF/convertingToPDFOverview.html"
				target="mainFrame">
				<bloxform:item label="Converting to PDF Overview" 
					href="ConvertingToPDF/convertingToPDFOverview.html"
					target="mainFrame" />
				<bloxform:item label="GridBlox to PDF" 
					href="ConvertingToPDF/gridToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="ChartBlox to PDF" 
					href="ConvertingToPDF/chartToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="PresentBlox to PDF" 
					href="ConvertingToPDF/presentToPDF.jsp"
					target="mainFrame" />
				<bloxform:item label="Multiple Blox to PDF - with Titles" 
					href="ConvertingToPDF/multipleBloxToPDFTitles.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Interacting with Data"
				href="Interacting/interactingOverview.html"
				target="mainFrame">
				<bloxform:item label="Interacting with Data Overview" 
					href="Interacting/interactingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Setting DataLayout Interface Type" 
					href="Interacting/dataLayoutInterfaceType.jsp"
					target="mainFrame" />
				<bloxform:item label="Chart totalsFilter Selector Enabled" 
					href="Interacting/totalsFilterChart.jsp"
					target="mainFrame" />
				<bloxform:item label="Query Set by HTML Buttons" 
					href="Interacting/htmlButtonsSettingQuery.jsp"
					target="mainFrame" />
				<bloxform:item label="Using FormBlox to Modify Views" 
					href="Interacting/formElements.jsp"
					target="mainFrame" />
				<bloxform:item label="Static (non-clickable) PresentBlox" 
					href="Interacting/nonclickable.jsp"
					target="mainFrame" />
				<bloxform:item label="Keep and Remove Enabled"
					href="Interacting/enableKeepRemove.jsp"
					target="mainFrame" />
				<bloxform:item label="Event Filters"
					href="Interacting/eventFilters.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Filtering Data"
				href="Filtering/filteringOverview.html"
				target="mainFrame">
				<bloxform:item label="Filtering Data Overview" 
					href="Filtering/filteringOverview.html"
					target="mainFrame" />
				<bloxform:item label="Hidden Dimensions" 
					href="Filtering/hiddenDimensions.jsp"
					target="mainFrame" />
				<bloxform:item label="Hidden Members" 
					href="Filtering/hiddenMembers.jsp"
					target="mainFrame" />
				<bloxform:item label="Fixed Choice List" 
					href="Filtering/fixedChoiceList.jsp"
					target="mainFrame" />
			</bloxform:folder>
			
			<bloxform:folder label="Highlighting Data"
				href="Highlighting/highlightingOverview.html"
				target="mainFrame">
				<bloxform:item label="Highlighting Data Overview" 
					href="Highlighting/highlightingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Cell Alert Properties" 
					href="Highlighting/cellAlertProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Traffic Lighting" 
					href="Highlighting/trafficLighting.jsp"
					target="mainFrame" />
				<bloxform:item label="Cell Links: Opening an Information Window" 
					href="Highlighting/cellLinks.jsp"
					target="mainFrame" />
			</bloxform:folder>
		
			<bloxform:folder label="Commenting on Data"
				href="Commenting/commentingOverview.html"
				target="mainFrame">
				<bloxform:item label="Commenting Overview" 
					href="Commenting/commentingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Comments-Enabled PresentBlox" 
					href="Commenting/commentsEnabled.jsp"
					target="mainFrame" />
				<bloxform:item label="General Comments on a Page" 
					href="Commenting/PageComments/index.jsp"
					target="mainFrame" />
				<bloxform:item label="Printing Comments in a Grid" 
					href="Commenting/printCommentsExample.jsp"
					target="mainFrame" />
			</bloxform:folder>

			<bloxform:folder label="Persisting and Bookmarking"
				href="Persisting/persistingOverview.html"
				target="mainFrame">
				<bloxform:item label="Persisting and Bookmarking Overview" 
					href="Persisting/persistingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom User Properties" 
					href="Persisting/userProperties.jsp"
					target="mainFrame" />
				<bloxform:item label="Passing Values to Print Page" 
					href="Persisting/passingValues.jsp"
					target="mainFrame" />
				<bloxform:item label="Personalization - User Preferences" 
					href="Persisting/personalization.jsp"
					target="mainFrame" />
				<bloxform:item label="Restricting Public Bookmark Access" 
					href="Persisting/publicBookmarkAccess.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
			<bloxform:folder label="Error Handling"
				href="ErrorHandling/errorHandlingOverview.html"
				target="mainFrame">
				<bloxform:item label="Error Handling Overview" 
					href="ErrorHandling/errorHandlingOverview.html"
					target="mainFrame" />
				<bloxform:item label="Custom Error Page" 
					href="ErrorHandling/errorTest.jsp"
					target="mainFrame" />
			</bloxform:folder>
	
		</bloxform:folder>

	</bloxform:folder>
	
</bloxform:tree>

</body>

</html>