<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="alphablox.EMailBean" %>
<%@ page import="alphablox.HTMLFileParser" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.alphablox.server.request.DecodedServletRequest" %>
<%@ page import="com.alphablox.blox.*" %>

<%@ page errorPage="emailError.jsp" %>

<%@ taglib uri='bloxtld' prefix='blox'%>

<jsp:useBean id="emailBean" class="alphablox.EMailBean" scope="request">
<%
  emailBean.setFrom(request.getParameter("from"));
  emailBean.setTo(request.getParameter("to"));
  emailBean.setCc(request.getParameter("cc"));
  emailBean.setSubject(request.getParameter("subject"));
%>
</jsp:useBean>

<%-- This method of obtaining the SMTP server is deprecated. --%>
<%-- See commented-out example below for the preferred method. --%>
<blox:admin id="myAdminBlox" />
<%
emailBean.setSMTPHost(myAdminBlox.getServer().getSmtpServer());
%>

<%--
// Set SMTP server as a Web application context parameter in web.xml
emailBean.setSMTPHost(application.getInitParameter("SMTPHost"));
--%>

<jsp:useBean id="parser" class="alphablox.HTMLFileParser" scope="request"/>

<%
    DecodedServletRequest dr = new DecodedServletRequest();
    dr.initialize(request);
    String annotation = dr.getParameter("annotation");
    String encodedAnnotation = encodeHTMLText(annotation);
    String url = "emailTemplate.jsp?render=printer&annotation=" + encodedAnnotation;

    // Parse the template file
    parser.parseHTMLFile(request, url);

    if ("attachment".equals(request.getParameter("sendAs"))) {
        emailBean.setTextBody(annotation + "\r\n\r\n");
        parser.addAsAttachment(emailBean, "blox.mht");
    } else {
        // Add the html parts to the email (multipart mime)
        parser.addBodyParts(emailBean);
    }

    emailBean.send();
%>

<%!
    private String encodeHTMLText(String text) throws Exception {
        if (text == null)
            return null;

        return URLEncoder.encode(text.replaceAll("\r\n", "<br>"), "UTF-8");
    }
%>

<html>
<head>
<title>
DB2 Alphablox - Email Results
</title>
<style>
  BODY { color: white; }
  .Message { font: bold 12pt  Arial, Helvetica, sans-serif; }
  .Copyright, .EMailCopyright {
    font-size: 8.5pt;
    text-align: center;
    font-family: arial, helvetica, sans-serif;
  }
</style>
</head>

<body bgcolor="#003366">
<center>

<div class="Message">
The Email was sent successfully!!
</div>

<br><br><br><br>

<form>
  <input type="button" name="btnClose" value="CLOSE"
         onClick="javascript:window.close();">
  &nbsp;&nbsp;&nbsp;
  <input type="button" name="btnBack" value="Back to Email Page"
         onClick="javascript:history.back();">
</form>

<span class="EMailCopyright">
&#169; Copyright International Business Machines Corporation 2006. All rights reserved.
</span>

</center>
</body>
</html>


