<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
 <%@ page contentType="text/html; charset=UTF-8" %>

 <%@ page import="fastforward.AdminControl,
                  com.alphablox.blox.RepositoryBlox,
                  fastforward.MultipartRequestParser,
                  java.io.File"%>

<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="formblox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<%@ page errorPage="../apperror.jsp"%>

<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session" />
<%
    AdminControl adminControl = ffwdAppContext.getAdminControl();

    String contentType = request.getContentType();
    if (contentType != null && contentType.indexOf("multipart/form-data") != -1) {
        savePostedData(request, adminControl);
    }
%>

<formblox:select id="themeBlox" formElementName="theme" visible="false">
<%
    RepositoryBlox repoBlox=ffwdAppContext.getRepositoryBlox();
    themeBlox.setItems(repoBlox.getThemes());
    if (ffwdAppContext.getTheme() != null)
        themeBlox.setSelectedItem(ffwdAppContext.getTheme());
%>
</formblox:select>

<html>
  <head>
    <blox:header />
    <link rel=stylesheet href="admin.css" type="text/css">

    <script>
        function onLoadFn() {
            if (parent.frames['ffwd_admin_control'] != null)
                parent.frames['ffwd_admin_control'].bloxAPI.poll();
        }

        function doSave() {
            if (checkImageFile()) {
                document.appForm.submit();
            }
        }

        function checkImageFile() {
          var ext = document.appForm.Logo.value;
          if (ext == '') return true; // no file selected
          if (ext.length < 5) {
            alert('<blox:message key="ADMIN_INVALID_LOGO" />');
            return false;
          }
          ext = ext.substring(ext.length-3,ext.length);
          ext = ext.toLowerCase();
          if(ext != 'jpg' && ext != 'gif') {
            alert('<blox:message key="ADMIN_INVALID_LOGO" />');
            return false;
          }
          else
            return true;
        }
    </script>
  </head>

<body  topmargin="0" leftmargin="0" style="background-color:#DCDCDC;margin:10px;" onLoad="onLoadFn()">
    <form name="appForm" method="POST" enctype="multipart/form-data" onSubmit="return check();">
      <div >
        <table cellpadding="5" cellspacing="0">
        <tr><td colspan="2"><b><blox:message key="ADMIN_EDIT_APPLICATION"/></b> </td></tr>
            <tr>
              <td><b><blox:message key="ADMIN_APP_TITLE"/>:</b></td>
              <td>
                <input name="Title" value="<%=ffwdAppContext.getTitle()%>" size="80">

              </td>
            </tr>
            <tr>
              <td><b><blox:message key="ADMIN_APP_LOGO"/>:</b></td>
              <td>
                <%=ffwdAppContext.getLogo()%>
              </td>
            </tr>
            <tr>
              <td>
                <b><blox:message key="ADMIN_UPLOAD_LOGO"/>:</b>
              </td>

              <td>
              <table border="0" cellpadding="0" cellspacing="5"><tr><td>
                <input type="file" accept="image/gif,image/jpeg" name="Logo" size="30">
                </td><td>
                <div style="border:1 solid black; font-size:9pt;padding:5px;"><blox:message key="ADMIN_LOGO_WARNING"/></div>
              </td>
              </tr></table>
              </td>
            </tr>
            <tr>
              <td><b><blox:message key="ADMIN_APP_THEME"/>:</b></td>
              <td>
              <table border="0" cellpadding="0" cellspacing="5"><tr><td>
                <blox:display bloxRef="themeBlox" />
                </td>
                <td>
                </td></tr></table>
              </td>
            </tr>
            <tr>
              <td><b><blox:message key="ADMIN_APP_FOOTER"/>:</b></td>
              <td>
                <input name="Footer" value="<%=ffwdAppContext.getFooter()%>" size="80">
              </td>
            </tr>
            <tr>
              <td><b><blox:message key="ADMIN_APP_EMAIL_ADDRESS"/>:</b></td>
              <td>
                <input name="AdminEmail" value="<%=ffwdAppContext.getAdminEmail()%>" size="40">
              </td>
            </tr>
        </table>
	        <button id="save" onclick="doSave()"><blox:message key="ADMIN_APP_SAVE"/></button>
		</div>
    </form>
</body>

</html>

<%!
    public void savePostedData(HttpServletRequest request, AdminControl adminControl) throws Exception {
        MultipartRequestParser parser = new MultipartRequestParser(request);
        String title, logoFileName=null, theme, footer, emailAddress;
        byte[] logoContents = null;

        title = validate(parser.getParameter("Title"));
        MultipartRequestParser.File logoFile = parser.getFile("Logo");

        if (logoFile != null) {
            logoFileName = logoFile.getFilename();
            int index = logoFileName.lastIndexOf(File.separator);
            if (index != -1)
                logoFileName = logoFileName.substring(index+1);
            logoContents = logoFile.getContents();
        }
        theme = validate(parser.getParameter("theme"));
        footer = validate(parser.getParameter("Footer"));
        emailAddress = validate(parser.getParameter("AdminEmail"));
        adminControl.updateAppParams(title, logoFileName, logoContents, theme, footer, emailAddress);
    }

    public String validate(String text) {
        return ((text == null) ? "" : text);
    }
%>
