<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@taglib uri="bloxtld" prefix="blox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<% response.addHeader("Cache-Control", "no-cache"); %>
<% response.addHeader("Pragma", "no-cache"); %>
<%@ page import="fastforward.AppConfiguration,
                 fastforward.Acl,
                 com.alphablox.blox.RepositoryBlox,
                 fastforward.NavigationTree"%>
<%@ page errorPage="../apperror.jsp"%>

<%@ include file="../include.jsp" %>

<%
  fastforward.AppConfiguration appConfig=ffwdAppContext.getAppConfiguration();
  String[] allGroups=ffwdAppContext.getRepositoryBlox().getGroupNames();
  String folderId=request.getParameter("folder");

  if (folderId == null)
     throw new IllegalArgumentException("The folder name must be passed to this page!");

  fastforward.NavigationTree.Folder folder= appConfig.getNavigationTree().findFolder(folderId);
  fastforward.Acl acl = folder.getAcl();

  String[] groups=(acl != null) ? acl.getGroups() : new String[0];
  if (groups == null)
    groups = new String[0];

%>

<html>
<head>
<blox:header>
      <blox:clientBean name="adminControl">
      <%-- Anyplace this bean is used it should expose the same methods--%>
        <blox:method name="okToDisplayAdminPage"/>
        <blox:method name="validateAndSaveReport"/>
        <blox:method name="validateAndPreviewReport"/>
        <blox:method name="clearUIReport"/>
        <blox:method name="updateFolder"/>
        <blox:method name="clearAdminReport"/>
      </blox:clientBean>
</blox:header>
<link rel=stylesheet href="admin.css" type="text/css">
<script>
    function checkAlert() {
	    var msgDiv = document.getElementById("groupsMsg");
		 var groupList = document.folderForm.groups.options;
		 var selectCount = 0;
		 for (var x = 0; x < groupList.length; x++){
			 if (groupList[x].selected == true)
			     selectCount++;
	    }
       if (selectCount == 0)
		     groupsMsg.innerHTML = "<b><blox:message key="ADMIN_UNRESTRICTED_ACCESS_WARNING"/></b>";
		 else
		     groupsMsg.innerHTML = "";

	 }

    function getGroupList() {
		 var groupList = document.folderForm.groups.options;
		 var ret = new Array();
		 for (var x = 0; x < groupList.length; x++){
			 if (groupList[x].selected == true)
                ret[ret.length] = groupList[x].text;
         }

         return ret;
    }

    function doSave() {
        var label=document.folderForm.label.value;
        var description=document.folderForm.description.value;

        adminControl.updateFolder(label,description,getGroupList());

        // Just to ensure that any updates or dispatched dialogs are displayed
        top.ffwd_admin_control.bloxAPI.poll();
    }
</script>
</head>
<body onLoad="checkAlert()" topmargin="0" leftmargin="0" style="margin:10px;background-color:#DCDCDC;">


<form name="folderForm" action="foldersave.jsp" method="POST">
<div class="clsContent" style="border:1 none black;">
  <table width="100%" cellpadding="5" cellspacing="0" style="background-color:#DCDCDC;">
<tr><td><b><blox:message key="EDIT_FOLDER"/></b> </td></tr>
  <tr>
    <td><blox:message key="ADMIN_FOLDER_NAME"/></td>
    <td colspan="2"><input name="label" size="40"
               value="<%= folder.getLabel()%>"></td>
  </tr>
  <tr>
    <td><blox:message key="ADMIN_FOLDER_DESC"/></td>
    <td colspan="2"><input name="description" size="80"
               value="<%= folder.getDescription() %>"></td>
  </tr>
  <tr>
    <td><blox:message key="ADMIN_FOLDER_ACCESS"/></td>
    <td><select name="groups" multiple onChange="checkAlert()">
          <%
              for (int x = 0; x < allGroups.length; x++) {
                  String group=allGroups[x];
                  String selected=(contains(groups,group) ? "SELECTED" : "");
          %>
              <option style="width:200px" <%= selected %>><%= allGroups[x] %></option>
          <%
              }
          %>
        </select></td>
		  <td><span id="groupsMsg"></span></td>
          </tr>
  </table>
  </div>
      <button id="save" onclick="doSave()"><blox:message key="ADMIN_FOLDER_SAVE"/></button>
</form>

</body>
</html>

<%!
    public boolean contains(String[] set, String item) {
        for (int x = 0; x < set.length; x++) {
            if (item.equals(set[x]))
                return true;
        }
        return false;
    }
%>
