<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<% response.addHeader("Cache-Control", "no-cache"); %>
<% response.addHeader("Pragma", "no-cache"); %>
<%@ page import="fastforward.*,
                 com.alphablox.blox.Blox,
                 java.util.Arrays,
                 com.ibm.icu.text.Collator,
                 com.alphablox.server.request.DecodedServletRequest,
                 java.util.Comparator"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ page errorPage="../apperror.jsp"%>
<%@ include file="../include.jsp" %>

<html>
<head>
<blox:header> <blox:clientBean name="adminControl">
	<%-- Anyplace this bean is used it should expose the same methods--%>
	<blox:method name="okToDisplayAdminPage"/>
    <blox:method name="validateAndSaveReport"/>
	<blox:method name="validateAndPreviewReport"/>
    <blox:method name="clearUIReport"/>
	<blox:method name="updateFolder"/>
    <blox:method name="clearAdminReport"/>
 </blox:clientBean> </blox:header>

 <%
    DecodedServletRequest decodedRequest = new DecodedServletRequest();
    decodedRequest.initialize(bloxRequest);
    String reportId=decodedRequest.getParameter("reportId");
    String params = "render=" + ffwdAppContext.getRenderMode() + "&theme=" + ffwdAppContext.getTheme();
%>

<link rel=stylesheet href="admin.css" type="text/css">
<script>

    var previewWindow=null;

    function onLoad() {
        bloxAPI.poll();
    }

    function doSave() {
        var reportLabel=document.reportForm.reportLabel.value;
        var reportDescription=document.reportForm.reportDescription.value;

        adminControl.validateAndSaveReport(reportLabel,reportDescription);

        // Just to ensure that any updates or dispatched dialogs are displayed
        top.ffwd_admin_control.bloxAPI.poll();
    }

    function doPreview() {
        var reportLabel=document.reportForm.reportLabel.value;
        var reportDescription=document.reportForm.reportDescription.value;
        var pReportId="<%=reportId == null?"":"&reportId="+reportId%>";
        var url="previewpage.jsp?<%= params %>&uid="+(new Date()).getTime()+pReportId;

        if (adminControl.validateAndPreviewReport(reportLabel,reportDescription)) {
            location.href=url;
        }
    }

    function selectTemplate() {
        var options=document.reportForm.reportTemplate.options;
        var selectedIndex=document.reportForm.reportTemplate.selectedIndex;

        if (selectedIndex < 0)
            return;

        var template=options[selectedIndex].value;
        var label = document.reportForm.reportLabel.value;
        var description = document.reportForm.reportDescription.value;

        <%
            String itemParam=(reportId != null) ? "&reportId="+reportId : "";
        %>

        document.location.href="editreport.jsp?template="+encodeURIComponent(template)+
                               "<%= itemParam %>&reportLabel="+encodeURIComponent(label)+
                               "&reportDescription="+encodeURIComponent(description)+"&<%=params%>";
    }

  </script>
</head>
<%
    AdminControl adminControl=ffwdAppContext.getAdminControl();
    String templateParam=decodedRequest.getParameter("template");
    String reportLabel;
    String reportDescription;

    Report report;
    TemplateImpl template;
    Template[] templates=ffwdAppContext.getTemplates();


    final Collator collator = com.ibm.icu.text.Collator.getInstance(bloxContext.getLocale());
    Arrays.sort(templates, new Comparator() {
        public int compare(Object o, Object o1) {
            return collator.compare(((Template)o).getDisplayName(),((Template)o1).getDisplayName());
        }
    });

    if (templateParam != null)
        template=ffwdAppContext.getTemplate(templateParam);
    else
        template=(TemplateImpl)templates[0];

    if ("true".equals(decodedRequest.getParameter("preview"))) {
        // returning from preview
        report = adminControl.getPreviewReport();
        reportId = report.getId();
        reportLabel = report.getLabel();
        reportDescription = report.getDescription();
        template = (TemplateImpl)report.getTemplate();
     } else {
        ReportImpl tempReport;

        if (reportId == null) {
            // editting new report
            reportLabel=ffwdAppContext.getString("NEW_REPORT");
            reportDescription=ffwdAppContext.getString("NEW_REPORT_DESCRIPTION");
            tempReport = new ReportImpl();
            tempReport.setTemplate(template);
        } else {
            // editting existing report
            tempReport=ffwdAppContext.getReport(reportId);
            if (tempReport == null)
                throw new IllegalStateException("reportID not found: " + reportId);
            reportLabel=tempReport.getLabel();
            reportDescription=tempReport.getDescription();
            if (templateParam == null)
                template=(TemplateImpl)tempReport.getTemplate();
        }

        adminControl.setCurrentReport(tempReport);
        report = tempReport;
    }

    adminControl.clearPreviewReport();

    // param values override any others
    String labelParam=decodedRequest.getParameter("reportLabel");
    if (labelParam != null) {
        reportLabel=decodedRequest.getParameter("reportLabel");
        reportDescription=decodedRequest.getParameter("reportDescription");
    }

    adminControl.setCurrentTemplate(template);

    synchronized(this) {
        // Remove any blox from previously viewed report
        Blox[] oldBlox=bloxContext.getBlox();
        for (int x = 0; x < oldBlox.length; x++) {
            if (!oldBlox[x].getBloxName().startsWith("ffwd")) {
              oldBlox[x].deleteBlox();
            }
        }
    }
%>
<body onload="onLoad()" topmargin="0" leftmargin="0" class="clsFFEdit" style="padding:5px;" >
    <form name="reportForm" action="reportsave.jsp" method="POST">
        <input name="render" type="hidden" value="<%= ffwdAppContext.getRenderMode() %>">
        <input name="reportID" type="hidden" value="<%= reportId %>">
        <div style="background-color:#DCDCDC;margin-bottom:0px;padding-bottom:0px;">
            <div style="margin:10px;margin-bottom:0px;">
                <table cellpadding="5" cellspacing="0" width="99%">
                    <tr>
                        <td><b><blox:message key="ADMIN_EDIT_REPORT"/></b> </td>
                    </tr>
                    <tr>
                        <td><b><blox:message key="ADMIN_REPORT_NAME"/></b></td>
                        <td><input name="reportLabel" size="40"
                   value="<%= (reportLabel != null) ? reportLabel : ""%>"></td>
                    </tr>
                    <tr>
                        <td><b><blox:message key="ADMIN_REPORT_DESCRIPTION"/></b></td>
                        <td><input name="reportDescription" size="80"
                   value="<%= (reportDescription != null) ? reportDescription : "" %>"></td>
                    </tr>
                      <tr>
                        <td colspan="2"><b><blox:message key="ADMIN_REPORT_PARAMETERS"/></b></td>
                    </tr>
                </table>
            </div>
            <fieldset>
            <legend><blox:message key="ADMIN_TEMPLATE"/>:&nbsp;
            <select name="reportTemplate" onChange="selectTemplate()">
                            <%
                        for (int x = 0; x < templates.length; x++) {
                      String name=templates[x].getName();
                      String displayName=templates[x].getDisplayName();
                          String selected=(name.equals(template.getName())) ? "SELECTED" : "";
                  %>
                            <option value="<%= name %>" <%= selected %> ><%= displayName %></option>
                            <%
                    }
                        %>
             </select>
            </legend>
                <table border="0" cellspacing="0" cellpadding="5" width="99%">
                    <tr>
                        <td class="clsFFParamOdd"><blox:message key="ADMIN_REPORT_DESCRIPTION"/></td>
                        <td class="clsFFParamOdd"><%=template.getDescription()%></td>
                    </tr>
                        <tr>
                        <td  class="clsFFParamOdd">
                            <blox:message key="ADMIN_REPORT_DIRECTORY"/>
                        </td>
                        <td class="clsFFParamOdd">templates/<%=template.getName()%></td>
                    </tr>

                <%
                    if (template.getParameters().length > 0) {
                %>


                    <%
                        String editPageURL=template.getEditPageURL();

                        decodedRequest.setAttribute("report",report);
                        decodedRequest.setAttribute("template",template);
                        try {
                            pageContext.include("../"+editPageURL);
                        } catch (java.net.SocketException e) {
                            // Can occur when a second report is editted before the previous one is fully loaded
                        }
                    %>
                </table>
                <%
                }
                %>
            </fieldset>
        </div>
    </form>
    <table border="0" cellpadding="0" cellspacing="0"
           style="margin:10px;margin-top:0px;">
        <tr>
            <td> <button id="save" onclick="doSave()"><blox:message key="ADMIN_REPORT_SAVE"/></button></td>
            <td>&nbsp;&nbsp;</td>
            <td> <button id="preview" onclick="doPreview()"><blox:message key="ADMIN_REPORT_PREVIEW"/></button></td>
        </tr>
    </table>
</body>
</html>
