<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page import="java.io.PrintWriter,
                 fastforward.LogFile"%>
<%@ page isErrorPage="true" %>
<%@ page contentType="text/html; charset=utf-8" %>
<%@taglib uri="bloxtld" prefix="blox"%>
<%@ include file="include.jsp" %>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<script>
  function toggleDetails() {
    var details=document.getElementById("details");
    var showHideButton=document.getElementById("showHideButton");

    if (details.style.visibility == "visible") {
      showHideButton.value="Show Details";
      details.style.visibility="hidden";
    } else {
      showHideButton.value="Hide Details";
      details.style.visibility="visible";
    }
  }
</script>

<%
  if (exception == null)
    exception=(Throwable)request.getAttribute("currentException");
  String message=exception.getMessage();

  if (message == null)
    message=exception.getClass().getName();

  // When the server responds to a browser's request and if the browser has already closed its
  // socket connection, we get SocketException. Since this is a common scenario with the browsers,
  // we don't want to log it as an ERROR, as it is not harmful. Also, we don't want to lose it and
  // so, we are logging it as a DEBUG message. Bug 16992.
  if (exception instanceof java.net.SocketException)
      ffwdAppContext.log(LogFile.DEBUG, message,exception);
  else
    ffwdAppContext.log(LogFile.ERROR, message,exception);

  String emailHref="javascript:alert('"+ffwdAppContext.getString("APP_ERROR_NO_EMAIL")+"')";
  String adminEmail=null;

  if (ffwdAppContext.getAppConfiguration() != null)
    adminEmail=ffwdAppContext.getAdminEmail();

  if (adminEmail != null && !adminEmail.equals(""))
    emailHref="mailto:"+adminEmail;

  String errorMessage=ffwdAppContext.getString("APP_ERROR_THE_FOLLOWING");

  if (ffwdAppContext.getAppConfiguration() == null)
    errorMessage=ffwdAppContext.getString("APP_ERROR_READING_CONFIG");

%>

<body>

<h2><%= errorMessage %></h2>

<blockquote>

<h3><%= message %></h3><br>

<p>
<blox:message key="APP_ERROR_HINT"><blox:messageArg value="<%= emailHref %>"/></blox:message>
</p>

<input id="showHideButton" type="button" value="<blox:message key="APP_ERROR_SHOW_DETAILS"/>" onclick="toggleDetails()">
<br>

<hr>
<div id="details" style="visibility=hidden">
<pre>
<%
  Throwable exc=exception;

  while (exc != null) {
    exc.printStackTrace(new PrintWriter(out));

    if (exc instanceof ServletException)
      exc = ((ServletException)exc).getRootCause();
    else
        break;

    if (exc != null)
  	  out.write("<h4>"+ffwdAppContext.getString("APP_ERROR_CAUSED_BY")+"</h4>");
  }
%>
</pre>
</div>

</blockquote>

</body>
