<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page import="java.io.PrintWriter,
                 fastforward.Report,
                 fastforward.ReportImpl,
                 java.util.Date"%>
<%@ page isErrorPage="true" %>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="reportdata.jsp" %>
<%@ taglib uri="bloxtld" prefix="blox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<script>
  function toggleDetails() {
    var details=document.getElementById("details");
    var showHideButton=document.getElementById("showHideButton");

    if (details.style.visibility == "visible") {
      showHideButton.value="Show Details";
      details.style.visibility="hidden";
    } else {
      showHideButton.value="Hide Details";
      details.style.visibility="visible";
    }
  }
</script>

<%
    if (exception == null)
      exception = (Throwable)request.getAttribute(PageContext.EXCEPTION);

    String message=exception.getMessage();
    if (message == null)
      message=exception.getClass().getName();

    String reportId = "";
    String reportLabel = "";
    String reportVisibility = "";
    if (report != null) {
        reportId = report.getId();
        reportLabel = report.getLabel();
        if (report instanceof ReportImpl)
            reportVisibility = ((ReportImpl) report).getVisibility();
    }

    appContext.log(LogFile.ERROR, "Error loading report "+reportId,exception);

    String adminEmail=appContext.getParameter("AdminEmail");
    String emailHref="javascript:alert('"+appContext.getString("APP_ERROR_NO_EMAIL")+"')";

    if (adminEmail != null)
      emailHref="mailto:"+adminEmail;
%>

<h2><blox:message key="ERROR_LOADING_REPORT"><blox:messageArg value="<%=reportLabel%>"/></blox:message></h2>

<blockquote>

<h3><%= message %></h3><br>

<p>
<blox:message key="IF_ERROR_PERSISTS"><blox:messageArg value="<%=emailHref%>"/></blox:message>
</p>

<input id="showHideButton" type="button" value="Show Details" onclick="toggleDetails()">
<br>

<hr>
<div id="details" style="visibility=hidden">
<pre>

  <table>
  <tr><td><%= appContext.getString("REPORT_ID") %>:</td>
      <td colspan="2"><%= reportId %></td></tr>
  <tr><td><%= appContext.getString("REPORT_SCOPE") %>:</td>
      <td colspan=2><%= reportVisibility %></td></tr>
  <tr><td><%= appContext.getString("J2EE_SESSION_ID") %>:</td>
      <td colspan=2><%= session.getId() %></td></tr>
  <tr><td><%= appContext.getString("USER") %>:</td>
      <td colspan=2><%= user.getName() %></td></tr>
  <tr><td><%= appContext.getString("TIME") %>:</td>
      <td colspan=2><%=(new Date()) %></td></tr>
  </table>
  <h4>Stack Trace:</h4>

<%
  Throwable exc=exception;

  while (exc != null) {
    exc.printStackTrace(new PrintWriter(out));

    if (exc instanceof ServletException)
      exc = ((ServletException)exc).getRootCause();
    else
      break;

    if (exc != null)
  	  out.write("<h4>"+appContext.getString("APP_ERROR_CAUSED_BY")+"</h4>");
  }
%>
</pre>
</div>

</blockquote>

