<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.ContainerBlox,
                 com.alphablox.blox.Blox,
                 fastforward.*" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page errorPage="apperror.jsp" %>
<%@ include file="include.jsp" %>

<%
    ffwdAppContext.setCurrentReport(null);
    String reportName = request.getParameter("report");

    if (reportName == null || reportName.trim().equals("")) {
	    pageContext.forward("splash.jsp");
		return;
    }

    ffwdAppContext.validateReportParams(request);

    String reportType = request.getParameter("type");
    reportType = (reportType == null || reportType.trim().equals("")) ? "public" : reportType;
    ffwdAppContext.getUIControl().setVisibility(reportType);
    String groupName = request.getParameter("group");
    String mailParam = request.getParameter("mail");
    boolean isMailLink = false;
    if (mailParam != null)
        isMailLink = mailParam.equalsIgnoreCase("true");
%>

<html>
<head>
  <script>
    var cookies = document.cookie;
    cookies = cookies.split(";");
    for (var i=0; i<cookies.length; i++) {
      var pair = cookies[i].split("=");
      if (pair[0] == "currentReport" && pair[1] != "<%=reportName%>")
        window.location.reload(true);
    }
  </script>
  <SCRIPT LANGUAGE="javascript" src="Callback.js"></SCRIPT>
  <SCRIPT>

   function setErrorHandler() {
        bloxAPI.addErrorHandler(callback.templateSessTimeoutHandler);
   }

   callback.pollUI();
  </SCRIPT>
  <blox:header/>
</head>
	<%
    ReportImpl report=null;
    try {
	    report = ffwdAppContext.getReport(reportName, reportType, groupName);
    } catch (NoAccessException na) {
       pageContext.forward("noaccess.jsp?report="+reportName);
	   return;
    }

    if (report == null) {
	   pageContext.forward("noreport.jsp?report="+reportName);
	   return;
    }

    Template template = report.getTemplate();
    String reportURI = template.getReportURL();

    ffwdAppContext.setCurrentReport(report);

    String onLoadJSFunc = isMailLink == true ? "" : "onLoad=\""+ffwdAppContext.getCallbackFunction("pollUI()")+";setErrorHandler();\"" ;
%>

<body topmargin="0" rightmargin="0" leftmargin="0"
      class="csCmpBg csCmpBrdr"
	  style="padding:15px;border-bottom:1px solid; black;border-top:1px solid black;border-left:1px solid black;border-right:0px"
      <%=onLoadJSFunc%> >
	<%
    //Use a different error page for template errors
    try {
      Cookie cookie = new Cookie("currentReport", report.getId());
      response.addCookie(cookie);
      // Note: this code is duplicated in admin/previewreport.jsp - they should stay in sync
      request.setAttribute("report",report);
      pageContext.include(ffwdAppContext.getLocalizedURL(reportURI));
    } catch (Throwable exc) {
      out.clearBuffer();
      request.setAttribute(PageContext.EXCEPTION,exc);
  	  pageContext.include("error.jsp");
	  return;
    } finally {
        ffwdAppContext.getUIControl().updateTitle();
        ffwdAppContext.getUIControl().updateDescription();
        ffwdAppContext.getUIControl().updateHelpLink();
    }
%>
</body>
</html>

