<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page import="com.alphablox.blox.BloxContext,
                 fastforward.*,
                 java.util.Vector,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.RightClickEvent,
                 com.alphablox.blox.uimodel.*"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>

<%                                                    
    // define the interfaces available within the template
    AppContext appContext;
    Report report;
    Template template;
    User user;
    SavedState savedState = null;

    {
        AppContextImpl ffwdAppContext =(AppContextImpl)session.getAttribute("ffwdAppContext");

        appContext=ffwdAppContext; // expose only the AppContext interface to the template writers
        report=(Report)request.getAttribute("report");

        if (report == null)
            report=ffwdAppContext.getCurrentReport();

        template=report.getTemplate();
        user=ffwdAppContext.getUser();

        try {
            if (((ReportImpl)report).getSavedStateData() != null)
                savedState = ffwdAppContext.getSavedState();
        } catch (Exception e) {
            // ignore - this may happen in report preview
        }
    }
%>

<%!
    public void collapseToolbars(BloxModel model, String[] buttonNames) throws ModelException {
        Toolbar toolbar=(Toolbar)model.searchForComponent(ModelConstants.STANDARD_TOOLBAR);
        Toolbar navToolbar=(Toolbar)model.searchForComponent(ModelConstants.NAVIGATION_TOOLBAR);
        Vector buttons=new Vector();

        for (int x = 0; x < buttonNames.length; x++) {
            Component button=toolbar.searchForComponent(buttonNames[x]);

            if (button == null)
                button=navToolbar.searchForComponent(buttonNames[x]);

            if (button == null) {
                continue;
            }

            buttons.addElement(button);
        }

        toolbar.clear();
        for (int x = 0; x < buttons.size(); x++) {
            Component component = (Component) buttons.elementAt(x);
            toolbar.add(component);
        }
        toolbar.changed();

        navToolbar.getParent().remove(navToolbar);
        model.populateToolbarMenu();
    }

    public void combineToolbars(BloxModel model) throws ModelException {
        Toolbar toolbar=(Toolbar)model.searchForComponent(ModelConstants.STANDARD_TOOLBAR);
        Toolbar navToolbar=(Toolbar)model.searchForComponent(ModelConstants.NAVIGATION_TOOLBAR);

        // Remove the un-implemented copy button
        if (ModelConstants.EDIT_COPY.equals(toolbar.get(0).getName())) {
            toolbar.remove(toolbar.get(0));
            toolbar.remove(toolbar.get(0));
        }

        ToolbarButton separator=new ToolbarButton();
        separator.setSeparator(true);
        navToolbar.add(separator);

        while (!toolbar.isEmpty()) {
            navToolbar.add(toolbar.get(0));
        }

        navToolbar.changed();

        toolbar.getParent().remove(toolbar);
        model.populateToolbarMenu();
    }

    //
    // remove items from the data menu and the toolbar navigation button
    public void removeDataMenuItems(BloxModel model, String[] itemNames) throws ModelException {
        Menu dataMenu = (Menu) model.searchForComponent(ModelConstants.DATA_MENU);
        if (dataMenu != null)
            dataMenu.removeItems(itemNames);

        // 3.5) the navigation button does not respect the above steps so manually remove stuff
        DropDownToolbarButton nav = (DropDownToolbarButton) model.searchForComponent(ModelConstants.DATA_NAVIGATE_BUTTON);
        if (nav != null)
            nav.removeItems(itemNames);
    }

    public void disableRightClickMenu(BloxModel model,AppContextImpl appContext) throws ModelException {
        RightClickEventHandler handler = new RightClickEventHandler(appContext);
        // Find the grid and its controller
        if (model instanceof PresentBloxModel) {
            Controller controller = ((PresentBloxModel)model).getGrid().getController();
            controller.addEventHandler(handler);
            Controller controller2 = ((PresentBloxModel)model).getChart().getController();
            controller2.addEventHandler(handler);
        }
        else if (model instanceof GridBloxModel) {
            // Add our own event handler to intercept the right click event
            Controller controller = ((GridBloxModel)model).getGrid().getController();
            controller.addEventHandler(handler);
        }
        else if (model instanceof ChartBloxModel) {
            // Add our own event handler to intercept the right click event
            Controller controller = ((ChartBloxModel)model).getController();
            controller.addEventHandler(handler);
        }
    }

    class RightClickEventHandler implements IEventHandler {
        AppContextImpl appContext = null;

        public RightClickEventHandler(AppContextImpl appContext){
            this.appContext = appContext;
        }

        public boolean handleRightClickEvent( RightClickEvent event ) {
      
            String msg = appContext.getString("RIGHT_CLICK_DISABLED", new Object[]{});
            String title= appContext.getString("RIGHT_CLICK", new Object[]{});
            MessageBox.message( event.getComponent(), title, msg );
            return true;
        }
    }
%>