<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.ServerBloxException,
                 fastforward.*"%>
<%@ taglib uri='bloxtld' prefix='blox'%>
<%@ taglib uri='bloxformtld' prefix='bloxform'%>
<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session">
<%
     ffwdAppContext.init(pageContext);
%>
</jsp:useBean>
<%
    String INT_BLOX_AVAILABLE_GRID = ffwdAppContext.getString("INT_BLOX_AVAILABLE_GRID");
    String INT_BLOX_AVAILABLE_CHART = ffwdAppContext.getString("INT_BLOX_AVAILABLE_CHART");
    String INT_BLOX_AVAILABLE_BOTH = ffwdAppContext.getString("INT_BLOX_AVAILABLE_BOTH");
    String CHART_VERT_LINE_ABS = ffwdAppContext.getString("CHART_VERT_LINE_ABS");
    String CHART_VERT_LINE_STACK = ffwdAppContext.getString("CHART_VERT_LINE_STACK");
    String CHART_VERT_LINE_PCT = ffwdAppContext.getString("CHART_VERT_LINE_PCT");
    String CHART_VERT_BAR_SIDE_BY_SIDE = ffwdAppContext.getString("CHART_VERT_BAR_SIDE_BY_SIDE");
    String CHART_VERT_BAR_STACK = ffwdAppContext.getString("CHART_VERT_BAR_STACK");
    String CHART_HORZ_BAR_STACK = ffwdAppContext.getString("CHART_HORZ_BAR_STACK");
    String CHART_HORZ_BAR_SIDE_BY_SIDE = ffwdAppContext.getString("CHART_HORZ_BAR_SIDE_BY_SIDE");
    String NULL_DATA_SOURCE_LABEL = ffwdAppContext.getString("NULL_DATA_SOURCE_LABEL");
%>
<blox:header />

<blox:data id="dataBlox" useAliases="true" connectOnStartup="false" />

<bloxform:dataSourceSelect id="dataSourceName" type="MDB" visible="false" nullDataSourceLabel="<%=NULL_DATA_SOURCE_LABEL%>">
<%
    dataSourceName.addFormEventListener(new DataSourceFormBloxEventListener(dataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:cubeSelect id="cubeName" dataBloxRef="dataBlox" visible="false" />

<bloxform:dimensionSelect id="pageDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="pageMember" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="pageDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:dimensionSelect id="rowDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
 </bloxform:dimensionSelect>

<bloxform:memberSelect id="rowMembers" dataBloxRef="dataBlox" multipleSelect="true" size="5" visible="false">
  <bloxform:getChangedProperty formBloxRef="rowDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:dimensionSelect id="columnDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
 </bloxform:dimensionSelect>

<bloxform:memberSelect id="columnMembers" dataBloxRef="dataBlox" multipleSelect="true" size="5" visible="false">
  <bloxform:getChangedProperty formBloxRef="columnDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:radioButton id="gridChartVisible" visible="false">
  <bloxform:button label="<%=INT_BLOX_AVAILABLE_GRID%>" value="grid" selected="true"/>
  <bloxform:button label="<%=INT_BLOX_AVAILABLE_CHART%>" value="chart" selected="false"/>
  <bloxform:button label="<%=INT_BLOX_AVAILABLE_BOTH%>" value="both" selected="false"/>
 </bloxform:radioButton>

 <bloxform:checkBox id="dataLayoutVisible" visible="false" checked="true"
    checkedValue="true" uncheckedValue="false" />

<bloxform:checkBox id="menubarVisible" visible="false" checked="true"
    checkedValue="true" uncheckedValue="false" />

<bloxform:checkBox id="toolbarVisible" visible="false" checked="true"
    checkedValue="true" uncheckedValue="false" />

<bloxform:select id="chartType" visible="false">
  <bloxform:option label="<%=CHART_VERT_LINE_ABS%>" value="Vertical Line, Absolute"/>
  <bloxform:option label="<%=CHART_VERT_LINE_STACK%>" value="Vertical Line, Stacked"/>
  <bloxform:option label="<%=CHART_VERT_LINE_PCT%>" value="Vertical Line, Percentage"/>
  <bloxform:option label="<%=CHART_VERT_BAR_SIDE_BY_SIDE%>" value="Vertical Bar, Side-by-Side" selected="true"/>
  <bloxform:option label="<%=CHART_VERT_BAR_STACK%>" value="Vertical Bar, Stacked"/>
  <bloxform:option label="<%=CHART_HORZ_BAR_SIDE_BY_SIDE%>" value="Horizontal Bar, Side-by-Side"/>
  <bloxform:option label="<%=CHART_HORZ_BAR_STACK%>" value="Horizontal Bar, Stacked"/>
</bloxform:select>

<bloxform:checkBox id="gridBanding" visible="false" checked="true"
    checkedValue="true" uncheckedValue="false" />

<%
    TemplateHelper.applySavedParameters(pageContext);
    TemplateHelper.renderControls(pageContext);

    Template template=(Template)request.getAttribute("template");

    template.setValidator(new ParameterValidator());
%>

<%!
    public class ParameterValidator implements ReportValidator {
        public void validate(ReportData data) throws ServerBloxException {
            String dataSourceName=data.getParameterValue("dataSourceName");
            String pageDimension=data.getParameterValue("pageDimension");
            String rowDimension=data.getParameterValue("rowDimension");
            String columnDimension=data.getParameterValue("columnDimension");

            if (dataSourceName == null) {
                data.addError(data.getAppContext().getString("EDIT_SELECT_DATA_SOURCE"));
                return;
            }

            if ((pageDimension.equals(rowDimension)) ||
                (rowDimension.equals(columnDimension)) ||
                (columnDimension.equals(pageDimension))) {
                data.addError(data.getAppContext().getString("INT_BLOX_DIMENSON_CONFLICT"));
            }

            if (data.getParameterValues("rowMembers").length == 0)
                data.addError(data.getAppContext().getString("INT_BLOX_MISSING_ROW_MEMBERS"));

            if (data.getParameterValues("columnMembers").length == 0)
                data.addError(data.getAppContext().getString("INT_BLOX_MISSING_COLUMN_MEMBERS"));
        }
    }
%>


