<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.TimePeriodSelectFormBlox,
                 com.alphablox.blox.logic.timeschema.TimeSchemaBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.ServerBloxException,
                 fastforward.*"%>

<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session">
<%
     ffwdAppContext.init(pageContext);
%>
</jsp:useBean>
<%
    String SAMPLE_ALLOC_LAST_YEAR = ffwdAppContext.getString("SAMPLE_ALLOC_LAST_YEAR");
    String SAMPLE_ALLOC_LAST_QUARTER = ffwdAppContext.getString("SAMPLE_ALLOC_LAST_QUARTER");
    String SAMPLE_ALLOC_LAST_MONTH = ffwdAppContext.getString("SAMPLE_ALLOC_LAST_MONTH");
    String NULL_DATA_SOURCE_LABEL = ffwdAppContext.getString("NULL_DATA_SOURCE_LABEL");
%>
<blox:header />

<blox:data id="dataBlox" useAliases="true" connectOnStartup="false" />

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />

<bloxform:timePeriodSelect id="timePeriod" timeSchemaBloxRef="timeSchema" defaultSeriesVisible="false" visible="false">
    <bloxform:timeSeries name="<%=SAMPLE_ALLOC_LAST_YEAR%>" expression="SEQUENCE(MONTH,-12,12)(MONTH)" />
    <bloxform:timeSeries name="<%=SAMPLE_ALLOC_LAST_QUARTER%>" expression="SEQUENCE(QUARTER,-1,1)(QUARTER)" />
    <bloxform:timeSeries name="<%=SAMPLE_ALLOC_LAST_MONTH%>" expression="SEQUENCE(MONTH,-1,1)(MONTH)" />
</bloxform:timePeriodSelect>

<bloxform:dataSourceSelect id="dataSourceName" type="MDB" visible="false" nullDataSourceLabel="<%=NULL_DATA_SOURCE_LABEL%>">
<%
    dataSourceName.addFormEventListener(new DataSourceFormBloxEventListener(dataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:cubeSelect id="cubeName" dataBloxRef="dataBlox" visible="false" />

<bloxform:dimensionSelect id="measuresDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="measure" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="measuresDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:dimensionSelect id="pieSliceDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="pieSliceMembers" dataBloxRef="dataBlox" multipleSelect="true" size="5" visible="false">
  <bloxform:getChangedProperty formBloxRef="pieSliceDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<%
    TemplateHelper.applySavedParameters(pageContext);
    TemplateHelper.renderControls(pageContext);
    Template template=(Template)request.getAttribute("template");

    template.setValidator(new Validator());
%>

<%!
    public class Validator implements ReportValidator {
         public void validate(ReportData data) throws ServerBloxException {
             String dataSourceName=data.getParameterValue("dataSourceName");
             String measuresDimension=data.getParameterValue("measuresDimension");
             String pieSliceDimension=data.getParameterValue("pieSliceDimension");
             String measure=data.getParameterValue("measure");
             String[] pieSliceMembers=data.getParameterValues("pieSliceMembers");
             TimePeriodSelectFormBlox timePeriod=(TimePeriodSelectFormBlox)data.getFormBlox("timePeriod");

             String schemaCube = timePeriod.getTimeSchema().getCubeName();
             String cube = data.getParameterValue("cubeName");
             if (schemaCube == null || !schemaCube.equalsIgnoreCase(cube)) {
                data.addError(data.getAppContext().getString("SAMPLE_ALLOC_CUBE_NO_SCHEMA",new Object[]{cube}));
                return;
             }
             
             if (dataSourceName == null) {
                 data.addError(data.getAppContext().getString("EDIT_SELECT_DATA_SOURCE"));
                 return;
             }

             if (!timePeriod.getTimeSchema().isTimeSchemaAvailable()) {
                 data.addError(data.getAppContext().getString("SAMPLE_ALLOC_MISSING_TIME_SCHEMA",new Object[]{dataSourceName}));
                 return;
             }

             if (measuresDimension.equals(pieSliceDimension))
                 data.addError(data.getAppContext().getString("SAMPLE_ALLOC_DIMENSION_CONFLICT"));

             if (measure == null)
                 data.addError(data.getAppContext().getString("SAMPLE_ALLOC_MISSING_MEASURE_MEMBER"));

             if (pieSliceMembers.length < 2)
                 data.addError(data.getAppContext().getString("SAMPLE_ALLOC_NEED_TWO_PIE_SLICES"));
         }
     }

%>
