<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.timeschema.PeriodType,
                 com.alphablox.blox.logic.timeschema.TimeSeries,
                 java.util.Date,
                 com.alphablox.blox.logic.timeschema.TimeMember,
                 com.alphablox.blox.data.mdb.Member,
                 com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.core.Toolbar,
                 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.blox.uimodel.core.Component,
                 com.alphablox.blox.PresentBlox,
                 java.util.Vector,
                 com.alphablox.blox.uimodel.core.ModelException"%>
<%@ include file="../../reportdata.jsp" %>

<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<%
    String dataSourceName = report.getParameter("dataSourceName");
    String pieSliceDimension = report.getParameter("pieSliceDimension");
    String[] pieSliceMembers = report.getParameterValues("pieSliceMembers");
    String measuresDimension = report.getParameter("measuresDimension");
    String measure = report.getParameter("measure");
    String cubeName = report.getParameter("cubeName");
    String timePeriod = report.getParameter("timePeriod");
%>

<blox:data id="dataBlox" dataSourceName="<%=dataSourceName%>" useAliases="true"/>

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />
<%
    com.alphablox.blox.logic.timeschema.PeriodType small = com.alphablox.blox.logic.timeschema.PeriodType.getSmallest(timeSchema.getPeriods());
    long end = timeSchema.last(small).getEndDate().getTime();

    timeSchema.setToday(new Date(end));
    dataBlox.setSelectableSlicerDimensions(timeSchema.getDimensions()[0]);
%>
<%
    com.alphablox.blox.logic.timeschema.TimeSeries timePeriodSeries = com.alphablox.blox.logic.timeschema.TimeSeries.parseString(timePeriod);
    com.alphablox.blox.logic.timeschema.TimeMember[] timeMembers = timePeriodSeries.getSequence(timeSchema);
    Member[][] timeTuple = timeSchema.getTuples(timeMembers);
%>

<%
    String[][] pieSliceTuples = new String[pieSliceMembers.length][1];
    for (int i = 0; i < pieSliceMembers.length; i++) {
        pieSliceTuples[i][0] =  pieSliceMembers[i];
    }
%>
<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox" cubeName="<%=cubeName%>"  >

    <bloxlogic:axis type="rows">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=pieSliceDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=pieSliceTuples%>"/>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="columns">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=measuresDimension%></bloxlogic:dimension>
            <bloxlogic:tuple>
                <bloxlogic:member><%=measure%></bloxlogic:member>
            </bloxlogic:tuple>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="pages">
        <bloxlogic:tupleList >
            <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>" />
            <bloxlogic:tuple list="<%=timeTuple%>" />
        </bloxlogic:tupleList>
    </bloxlogic:axis>
</bloxlogic:mdbQuery>

<blox:present id="presentBlox" bloxName="presentBlox" height="100%" width="100%"
    menubarVisible="false"
    removeAction="Dimension Explorer"
    dataLayoutAvailable="false"
    chartFirst="true"
    splitPaneOrientation="horizontal" >
    <blox:chart chartType="Pie" totalsFilter="0" />
    <blox:grid visible="false" />
    <blox:data bloxRef="dataBlox" />
    <blox:toolbar visible="true" />
    <%
        BloxModel model=presentBlox.getBloxModel();

        collapseToolbars(model,new String[] {ModelConstants.EDIT_UNDO_BUTTON, ModelConstants.EDIT_REDO_BUTTON, ModelConstants.VIEW_GRID, ModelConstants.VIEW_CHART,
                                             ModelConstants.FILE_EXPORT_TO_PDF});
        disableRightClickMenu(model,(AppContextImpl)appContext);
    %>
</blox:present>