<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.form.TimePeriodSelectFormBlox,
                 com.alphablox.blox.form.TimeUnitSelectFormBlox,
                 com.alphablox.blox.logic.timeschema.TimeSchemaBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.ServerBloxException,
                 fastforward.*"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session">
<%
     ffwdAppContext.init(pageContext);
%>
</jsp:useBean>
<%
     String NULL_DATA_SOURCE_LABEL = ffwdAppContext.getString("NULL_DATA_SOURCE_LABEL");
%>

<blox:header />

<blox:data id="dataBlox" useAliases="true" connectOnStartup="false"  />

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />

<bloxform:timePeriodSelect id="timePeriod" timeSchemaBloxRef="timeSchema" visible="false" />

<bloxform:timeUnitSelect id="timeUnit" timeSchemaBloxRef="timeSchema" multipleSelect="true" size="4" visible="false"/>

<bloxform:dataSourceSelect id="dataSourceName" type="MDB" visible="false" nullDataSourceLabel="<%=NULL_DATA_SOURCE_LABEL%>">
<%
    dataSourceName.addFormEventListener(new DataSourceFormBloxEventListener(dataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:cubeSelect id="cubeName" dataBloxRef="dataBlox" visible="false"/>

<bloxform:dimensionSelect id="measuresDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="measure" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="measuresDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:dimensionSelect id="rowDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="rowMembers" dataBloxRef="dataBlox" multipleSelect="true" size="5" visible="false">
  <bloxform:getChangedProperty formBloxRef="rowDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<%
    TemplateHelper.applySavedParameters(pageContext);
    TemplateHelper.renderControls(pageContext);
    Template template=(Template)request.getAttribute("template");

    template.setValidator(new Validator());%>

<%!
    public class Validator implements ReportValidator {
         public void validate(ReportData data) throws ServerBloxException {
             String dataSourceName=data.getParameterValue("dataSourceName");
             String measuresDimension=data.getParameterValue("measuresDimension");
             String rowDimension=data.getParameterValue("rowDimension");
             String measure=data.getParameterValue("measure");
             String[] rowMembers=data.getParameterValues("rowMembers");
             String[] timeUnit = data.getParameterValues("timeUnit");
             TimePeriodSelectFormBlox timePeriod=(TimePeriodSelectFormBlox)data.getFormBlox("timePeriod");
             String schemaCube = timePeriod.getTimeSchema().getCubeName();
             String cube = data.getParameterValue("cubeName");
             if (schemaCube == null || !schemaCube.equalsIgnoreCase(cube)) {
                data.addError(data.getAppContext().getString("SAMPLE_REPORT_CUBE_NO_SCHEMA",new Object[]{cube}));
                return;
            }
             if (dataSourceName == null) {
                 data.addError(data.getAppContext().getString("EDIT_SELECT_DATA_SOURCE"));
                 return;
             }

             if (!timePeriod.getTimeSchema().isTimeSchemaAvailable()) {
                 data.addError(data.getAppContext().getString("SAMPLE_REPORT_MISSING_TIME_SCHEMA",new Object[]{dataSourceName}));
                 return;
             }

             if (measuresDimension.equals(rowDimension)) {
                 data.addError(data.getAppContext().getString("SAMPLE_REPORT_DIMENSION_CONFLICT"));
             }

             if (measure == null)
                 data.addError(data.getAppContext().getString("SAMPLE_REPORT_MISSING_MEASURE"));

             if (rowMembers.length == 0)
                 data.addError(data.getAppContext().getString("SAMPLE_REPORT_MISSING_ROW_MEMBERS"));

             if (timeUnit.length == 0)
                 data.addError(data.getAppContext().getString("SAMPLE_REPORT_MISSING_TIME_UNIT"));
        }
    }
   %>

