<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.timeschema.PeriodType,
                 java.util.Date,
                 com.alphablox.blox.logic.timeschema.TimeSeries,
                 com.alphablox.blox.logic.timeschema.TimeMember,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ include file="../../reportdata.jsp" %>

<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<%
    String dataSourceName = report.getParameter("dataSourceName");
    String cubeName = report.getParameter("cubeName");
    String timePeriod = report.getParameter("timePeriod");
    String[] timeUnit = report.getParameterValues("timeUnit");
    String rowDimension = report.getParameter("rowDimension");
    String[] rowMembers = report.getParameterValues("rowMembers");
    String measuresDimension = report.getParameter("measuresDimension");
    String measure = report.getParameter("measure");
%>

<blox:data id="dataBlox" dataSourceName="<%=dataSourceName%>" useAliases="true" />

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />
<%
    com.alphablox.blox.logic.timeschema.PeriodType small = com.alphablox.blox.logic.timeschema.PeriodType.getSmallest(timeSchema.getPeriods());
    long end = timeSchema.last(small).getEndDate().getTime();

    timeSchema.setToday(new Date(end));
%>
<%
    com.alphablox.blox.logic.timeschema.TimeSeries columnSeries = com.alphablox.blox.logic.timeschema.TimeSeries.parseString(timePeriod);
    if (timeUnit != null && timeUnit.length != 0) {
        columnSeries.setRollups(com.alphablox.blox.logic.timeschema.PeriodType.parseString(timeUnit));
    }
    com.alphablox.blox.logic.timeschema.TimeMember[] columnMembers = columnSeries.getSequence(timeSchema);
    Member[][] columnTuples = timeSchema.getTuples(columnMembers);

    String[][] rowTuples = new String[rowMembers.length][1];
    for (int i = 0; i < rowMembers.length; i++) {
        rowTuples[i][0] =  rowMembers[i];
    }
%>
<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox" cubeName="<%=cubeName%>" >

    <bloxlogic:axis type="rows">
        <bloxlogic:tupleList id="rows" >
            <bloxlogic:dimension><%=rowDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=rowTuples%>"/>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="columns">
        <bloxlogic:tupleList>
            <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>"></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=columnTuples%>" />
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="pages">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=measuresDimension%></bloxlogic:dimension>
            <bloxlogic:tuple>
                <bloxlogic:member><%=measure%></bloxlogic:member>
            </bloxlogic:tuple>
        </bloxlogic:tupleList>
    </bloxlogic:axis>
</bloxlogic:mdbQuery>


<blox:grid id="gridBlox" height="100%" width="100%"
    menubarVisible="false"
    removeAction="Dimension Explorer"
    bandingEnabled="true">
    <blox:data bloxRef="dataBlox" />
    <%
        BloxModel model=gridBlox.getBloxModel();

        collapseToolbars(model,new String[] {ModelConstants.EDIT_UNDO_BUTTON, ModelConstants.EDIT_REDO_BUTTON, ModelConstants.FILE_EXPORT_TO_PDF});
        disableRightClickMenu(model,(AppContextImpl)appContext);
    %>
 </blox:grid>
