<%-- Copyright 2005 IBM Corp. All rights reserved. --%>
 <%@ page import="com.alphablox.blox.data.DataChangedEventListener,
                  com.alphablox.blox.form.SelectFormBlox,
                  com.alphablox.blox.data.DataChangedEvent,
                  com.alphablox.blox.DataBlox,
                  com.alphablox.blox.data.rdb.RDBMetaData,
                  com.alphablox.blox.data.rdb.Table,
                  com.alphablox.blox.form.FormEventListener,
                  com.alphablox.blox.form.FormEvent,
                  com.alphablox.blox.data.rdb.Column,
                  fastforward.*,
                  com.alphablox.blox.ServerBloxException,
                  com.alphablox.blox.form.TimePeriodSelectFormBlox,
                  java.util.Map,
                  java.util.HashMap,
                  java.util.Iterator"%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session">
<%
     ffwdAppContext.init(pageContext);
%>
</jsp:useBean>
<%
     String NULL_DATA_SOURCE_LABEL = ffwdAppContext.getString("NULL_DATA_SOURCE_LABEL");
%>

<blox:header />

<blox:data id="dataBlox" useAliases="true" connectOnStartup="false" />

<bloxform:dataSourceSelect id="dataSourceName" type="RDB" visible="false" nullDataSourceLabel="<%= NULL_DATA_SOURCE_LABEL %>">
<%
    dataSourceName.addFormEventListener(new DataSourceFormBloxEventListener(dataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:checkBox id="interactive" visible="false" checkedValue="true" uncheckedValue="false" />

<bloxform:select id="tableName" visible="false">
<%
    dataBlox.addDataChangedEventListener(new RDBDataChangedEventListener(tableName));
%>
</bloxform:select>

<bloxform:select id="columnNames" multiple="true" visible="false">
<%
    tableName.addFormEventListener(new TableNameListener(dataBlox, columnNames));
%>
</bloxform:select>

<bloxform:select id="sortColumn" visible="false">
<%
    columnNames.addFormEventListener(new ColumnNamesListener(sortColumn, ffwdAppContext));
%>
</bloxform:select>

<bloxform:select id="groupColumns" multiple="true" visible="false">
<%
    columnNames.addFormEventListener(new ColumnNamesListener(groupColumns, ffwdAppContext));
%>
</bloxform:select>

<%
    TemplateHelper.applySavedParameters(pageContext);
    TemplateHelper.renderControls(pageContext);
    Template template=(Template)request.getAttribute("template");

    template.setValidator(new Validator());
%>

<%!
    public class RDBDataChangedEventListener implements DataChangedEventListener {
        SelectFormBlox tableNames;

        RDBDataChangedEventListener(SelectFormBlox tableNames) {
            this.tableNames = tableNames;
        }

        public void dataChanged(DataChangedEvent event) {
            try {
                tableNames.clearItems();

                if (event.getType() == DataChangedEvent.TYPE_METADATA_CHANGED) {
                    DataBlox dataBlox = event.getDataBlox();
                    RDBMetaData metaData = (RDBMetaData)dataBlox.getMetaData();
                    Table[] tables = metaData.getTables();

                    Map uniqueNames = getUniqueTableNames(tables);

                    for (int x = 0; x < tables.length; x++) {
                        Table table = tables[x];
                        tableNames.addItem((String)uniqueNames.get(table), table.getFullyQualifiedName());
                    }
                }

                tableNames.changed();
            } catch (Exception exc) {
            }
        }

        private Map getUniqueTableNames(Table[] tables) {
            HashMap names = new HashMap(tables.length);
            HashMap uniqueNames = new HashMap(tables.length);

            for (int x = 0; x < tables.length; x++) {
                Table table = tables[x];
                String name = table.getName();

                if (!names.containsKey(name))
                    names.put(name, table);
                else {
                    Table otherTable = (Table)names.remove(name);
                    names.put(otherTable.getSchema()+'.'+name, otherTable);
                    names.put(table.getSchema()+'.'+name, table);
                }
            }

            for (Iterator iterator = names.keySet().iterator(); iterator.hasNext();) {
                String uniqueName = (String)iterator.next();
                Table table = (Table)names.get(uniqueName);
                uniqueNames.put(table, uniqueName);
            }

            return uniqueNames;
        }
    }

    public class TableNameListener implements FormEventListener {
        private DataBlox dataBlox;
        private SelectFormBlox columnNames;

        public TableNameListener(DataBlox dataBlox, SelectFormBlox columnNames) {
            this.dataBlox = dataBlox;
            this.columnNames = columnNames;
        }

        public void valueChanged(FormEvent event) throws Exception {
            SelectFormBlox tableNames = (SelectFormBlox)event.getFormBlox();
            String tableName = (String)tableNames.getSelectedObject();
            Table table = null;

            RDBMetaData metaData = (RDBMetaData)dataBlox.getMetaData();
            if (metaData != null)
                table = metaData.getTable(tableName);

            columnNames.clearItems();

            if (table != null) {
                Column[] columns = table.getColumns();

                for (int x = 0; x < columns.length; x++) {
                    Column column = columns[x];
                    columnNames.addItem(column.getName());
                }
            }

            columnNames.changed();
        }
    }

    public class ColumnNamesListener implements FormEventListener {
        private SelectFormBlox selectBlox;
        private AppContext appContext;

        public ColumnNamesListener(SelectFormBlox selectBlox, AppContext appContext) {
            this.selectBlox = selectBlox;
            this.appContext = appContext;
        }

        public void valueChanged(FormEvent event) throws Exception {
            String[] columns = event.getNewValues();

            selectBlox.clearItems();

            if (!selectBlox.isMultipleSelect())
                selectBlox.addItem(appContext.getString("NONE"),"__NONE__");

            for (int x = 0; x < columns.length; x++)
                selectBlox.addItem(columns[x]);

            selectBlox.changed();
        }
    }

    public class Validator implements ReportValidator {
         public void validate(ReportData data) throws ServerBloxException {
             String dataSourceName=data.getParameterValue("dataSourceName");
             String[] columns=data.getParameterValues("columnNames");

             if (dataSourceName == null) {
                 data.addError(data.getAppContext().getString("EDIT_SELECT_DATA_SOURCE"));
                 return;
             }

             if (columns.length ==0) {
                 data.addError(data.getAppContext().getString("REPORT_BLOX_NO_QUERY_COLUMNS"));
                 return;
             }
        }
    }
%>

