<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.timeschema.TimeSeries,
                 com.alphablox.blox.logic.timeschema.TimeMember,
                 java.util.Date,
                 com.alphablox.blox.logic.timeschema.PeriodType,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ include file="../../reportdata.jsp" %>

<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<%
    String dataSourceName = report.getParameter("dataSourceName");
    String historyTimePeriod = report.getParameter("historyTimePeriod");
    String[] historyTimeUnit = report.getParameterValues("historyTimeUnit");
    String rowDimension = report.getParameter("rowDimension");
    String[] rowMembers = report.getParameterValues("rowMembers");
    String measuresDimension = report.getParameter("measuresDimension");
    String scenarioDimension = report.getParameter("scenarioDimension");
    String historyScenario = report.getParameter("historyScenario");
    String[] currentScenarios = report.getParameterValues("currentScenarios");
    String measure = report.getParameter("measure");
    String cubeName = report.getParameter("cubeName");
    com.alphablox.blox.logic.timeschema.PeriodType[] rollups = new com.alphablox.blox.logic.timeschema.PeriodType[historyTimeUnit.length];

    for (int i = 0; i < historyTimeUnit.length; i++)
        rollups[i] = com.alphablox.blox.logic.timeschema.PeriodType.parseString(historyTimeUnit[i]);
%>

<blox:data id="dataBlox" dataSourceName="<%=dataSourceName%>" useAliases="true"
           selectableSlicerDimensions="<%=measuresDimension%>" />

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />
<%
    com.alphablox.blox.logic.timeschema.PeriodType small = com.alphablox.blox.logic.timeschema.PeriodType.getSmallest(timeSchema.getPeriods());
    long end = timeSchema.last(small).getEndDate().getTime();

    timeSchema.setToday(new Date(end));
%>
<%
    com.alphablox.blox.logic.timeschema.TimeSeries history = com.alphablox.blox.logic.timeschema.TimeSeries.parseString(historyTimePeriod);
    history.setRollups(rollups);
    com.alphablox.blox.logic.timeschema.TimeMember[] historyMembers = history.getSequence(timeSchema);
    Member[][] historyTuples = timeSchema.getTuples(historyMembers);

    com.alphablox.blox.logic.timeschema.TimeSeries current = com.alphablox.blox.logic.timeschema.TimeSeries.parseString("SEQUENCE(MONTH,0,1)(MONTH)");
    com.alphablox.blox.logic.timeschema.TimeMember[] currentMembers = current.getSequence(timeSchema);
    Member[][] currentTuples = timeSchema.getTuples(currentMembers);

    String[][] rowTuples = new String[rowMembers.length][1];
    for (int i = 0; i < rowMembers.length; i++) {
        rowTuples[i][0] =  rowMembers[i];
    }
%>

<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox" cubeName="<%=cubeName%>" >

    <bloxlogic:axis type="rows">
        <bloxlogic:tupleList id="rows" >
            <bloxlogic:dimension><%=rowDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=rowTuples%>"/>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="columns">
        <bloxlogic:crossJoin>
            <bloxlogic:tupleList >
                <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>"/>
                <bloxlogic:tuple list="<%=historyTuples%>"/>
            </bloxlogic:tupleList>
            <bloxlogic:tupleList>
                <bloxlogic:dimension><%=scenarioDimension%></bloxlogic:dimension>
                <bloxlogic:tuple>
                    <bloxlogic:member><%=historyScenario%></bloxlogic:member>
                </bloxlogic:tuple>
            </bloxlogic:tupleList>
        </bloxlogic:crossJoin>
        <bloxlogic:crossJoin>
            <bloxlogic:tupleList >
                <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>"/>
                <bloxlogic:tuple list="<%=currentTuples%>"/>
            </bloxlogic:tupleList>
            <bloxlogic:tupleList>
                <bloxlogic:dimension><%=scenarioDimension%></bloxlogic:dimension>
                <bloxlogic:tuple list="<%=toTuples(currentScenarios)%>">
                </bloxlogic:tuple>
            </bloxlogic:tupleList>
        </bloxlogic:crossJoin>
    </bloxlogic:axis>

    <bloxlogic:axis type="pages">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=measuresDimension%></bloxlogic:dimension>
            <bloxlogic:tuple>
                <bloxlogic:member><%=measure%></bloxlogic:member>
            </bloxlogic:tuple>
        </bloxlogic:tupleList>
    </bloxlogic:axis>
</bloxlogic:mdbQuery>

<blox:grid id="gridBlox" bloxName="gridBlox" height="100%" width="100%"
    menubarVisible="false">
    <blox:data bloxRef="dataBlox" selectableSlicerDimensions="<%=measuresDimension%>"/>
    <%
        BloxModel model=gridBlox.getBloxModel();

        collapseToolbars(model,new String[] {ModelConstants.EDIT_UNDO_BUTTON, ModelConstants.EDIT_REDO_BUTTON, ModelConstants.FILE_EXPORT_TO_PDF});
        disableRightClickMenu(model,(AppContextImpl)appContext);
    %>
</blox:grid>

<%!
    public String[][] toTuples(String[] members){
        String[][] out = new String[members.length][1];
        for (int i = 0; i < members.length; i++) {
            out[i][0] =  members[i];
        }
        return out;
    }
%>
