<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.DataBlox,
                 com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.form.TimePeriodSelectFormBlox,
                 com.alphablox.blox.logic.timeschema.TimeSchemaBlox,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.ServerBloxException,
                 fastforward.*"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<blox:header />
<jsp:useBean id="ffwdAppContext" class="fastforward.AppContextImpl" scope="session">
<%
     ffwdAppContext.init(pageContext);
%>
</jsp:useBean>
<%
     String NULL_DATA_SOURCE_LABEL = ffwdAppContext.getString("NULL_DATA_SOURCE_LABEL");
%>
<blox:data id="dataBlox" useAliases="true" connectOnStartup="false" />

<bloxlogic:timeSchema id="timeSchema" dataBloxRef="dataBlox" />

<bloxform:timePeriodSelect id="historyTimePeriod" timeSchemaBloxRef="timeSchema" visible="false" />

<bloxform:dataSourceSelect id="dataSourceName" type="MDB" visible="false" nullDataSourceLabel="<%=NULL_DATA_SOURCE_LABEL%>">
<%
    dataSourceName.addFormEventListener(new DataSourceFormBloxEventListener(dataBlox));
%>
</bloxform:dataSourceSelect>

<bloxform:cubeSelect id="cubeName" dataBloxRef="dataBlox" visible="false" />

<bloxform:dimensionSelect id="rowDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="rowRootMember" dataBloxRef="dataBlox" multipleSelect="false" visible="false">
  <bloxform:getChangedProperty formBloxRef="rowDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:dimensionSelect id="measuresDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:dimensionSelect id="scenarioDimension" dataBloxRef="dataBlox" visible="false">
  <bloxform:getChangedProperty formBloxRef="cubeName" formProperty="selectedCube" property="cube"/>
</bloxform:dimensionSelect>

<bloxform:memberSelect id="scenarioActual" dataBloxRef="dataBlox" multipleSelect="true" size="5" visible="false">
  <bloxform:getChangedProperty formBloxRef="scenarioDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<bloxform:memberSelect id="scenarioBudget" dataBloxRef="dataBlox" multipleSelect="false" visible="false">
  <bloxform:getChangedProperty formBloxRef="scenarioDimension" formProperty="selectedDimension" property="dimension" />
</bloxform:memberSelect>

<%
    TemplateHelper.applySavedParameters(pageContext);
    TemplateHelper.renderControls(pageContext);

    Template template=(Template)request.getAttribute("template");

    template.setValidator(new ParameterValidator());
%>

<%!
  public class ParameterValidator implements ReportValidator {
      public void validate(ReportData data) throws ServerBloxException {
          String dataSourceName=data.getParameterValue("dataSourceName");
          String measuresDimension=data.getParameterValue("measuresDimension");
          String rowDimension=data.getParameterValue("rowDimension");
          String scenarioDimension=data.getParameterValue("scenarioDimension");
          String scenarioActual=data.getParameterValue("scenarioActual");
          String scenarioBudget=data.getParameterValue("scenarioBudget");
          TimePeriodSelectFormBlox timePeriod=(TimePeriodSelectFormBlox)data.getFormBlox("historyTimePeriod");

          String schemaCube = timePeriod.getTimeSchema().getCubeName();
          String cube = data.getParameterValue("cubeName");

           if (schemaCube == null || !schemaCube.equalsIgnoreCase(cube)) {
             data.addError(data.getAppContext().getString("VAR_QCC_CUBE_NO_SCHEMA",new Object[]{cube}));
             return;
           }

          if (dataSourceName == null) {
              data.addError(data.getAppContext().getString("EDIT_SELECT_DATA_SOURCE"));
              return;
          }

          if (!timePeriod.getTimeSchema().isTimeSchemaAvailable()) {
              data.addError(data.getAppContext().getString("VAR_QCC_MISSING_TIME_SCHEMA",new Object[]{dataSourceName}));
              return;
          }

          if ((measuresDimension.equals(rowDimension)) ||
              (rowDimension.equals(scenarioDimension)) ||
              (scenarioDimension.equals(measuresDimension))) {
              data.addError(data.getAppContext().getString("VAR_QCC_DIMENSION_CONFLICT"));
          }

          if (data.getParameterValue("rowRootMember") == null)
              data.addError(data.getAppContext().getString("VAR_QCC_MISSING_ROW_ROOT"));

          if (scenarioActual == null || scenarioBudget == null)
              data.addError(data.getAppContext().getString("VAR_QCC_MISSING_SCENARIO_MEMBERS"));
          else if (scenarioActual.equals(scenarioBudget))
              data.addError(data.getAppContext().getString("VAR_QCC_SCENARIO_MEMBERS_CONFLICT"));
        }
    }
%>
