<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.timeschema.TimeSeries,
                 com.alphablox.blox.logic.timeschema.TimeMember,
                 com.alphablox.blox.data.mdb.MDBMetaData,
                 com.alphablox.blox.logic.timeschema.TimeSchemaBlox,
                 com.alphablox.blox.logic.timeschema.PeriodType,
                 java.util.Date,
                 com.alphablox.blox.data.mdb.Member,
                 com.alphablox.blox.form.MemberSelectFormBlox,
                 com.alphablox.blox.form.FormEventListener,
                 com.alphablox.blox.form.FormEvent,
                 com.alphablox.blox.logic.query.TupleListImpl,
                 java.util.ArrayList,
                 com.alphablox.blox.logic.query.TupleList,
                 com.alphablox.blox.uimodel.core.*"%>
<%@ include file="../../reportdata.jsp" %>
<%@ taglib uri="bloxuitld" prefix="ui"%>
<%@ taglib uri="bloxformtld" prefix="bloxform"%>
<%@ taglib uri="bloxlogictld" prefix="bloxlogic"%>

<%
    com.alphablox.blox.logic.timeschema.TimeSeries current;

    String dataSourceName = report.getParameter("dataSourceName");
    String historyTimePeriod = report.getParameter("historyTimePeriod");
    String rowDimension = report.getParameter("rowDimension");
    String rowRootMember = report.getParameter("rowRootMember");
    String measuresDimension = report.getParameter("measuresDimension");
    String scenarioDimension = report.getParameter("scenarioDimension");
    String scenarioActual = report.getParameter("scenarioActual");
    String scenarioBudget = report.getParameter("scenarioBudget");
    String cubeName = report.getParameter("cubeName");
    String timeSchemaName = dataSourceName;
%>

<blox:data id="dataBlox" dataSourceName="<%=dataSourceName%>" useAliases="true" selectableSlicerDimensions="<%=measuresDimension%>"/>

<bloxlogic:timeSchema id="timeSchema" name="<%=timeSchemaName%>" dataBloxRef="dataBlox" />
<%
    setToday(timeSchema);
%>

<bloxlogic:tupleList id="histTuples">
    <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>"></bloxlogic:dimension>
</bloxlogic:tupleList>

<%
    current = com.alphablox.blox.logic.timeschema.TimeSeries.parseString("SEQUENCE(MONTH,0,1)(MONTH)");
    com.alphablox.blox.logic.timeschema.TimeMember[] currentMembers = current.getSequence(timeSchema);
    Member[][] currentTuples = timeSchema.getTuples(currentMembers);
    com.alphablox.blox.logic.timeschema.TimeSeries histSeries = com.alphablox.blox.logic.timeschema.TimeSeries.parseString(historyTimePeriod);
%>

<bloxform:timePeriodSelect id="historySelector" timeSchemaBloxRef="timeSchema" visible="false">
    <%
      historySelector.setSelectedSeries(histSeries);
    %>
    <bloxform:setChangedProperty formProperty="tuples"
                         targetRef="histTuples"
                         targetProperty="listFromMetadataTuples"
                         callAfterChange="changed"/>
</bloxform:timePeriodSelect>

<bloxlogic:tupleList id="pageTuples" >
    <bloxlogic:dimension><%=measuresDimension%></bloxlogic:dimension>
    <bloxlogic:tuple><bloxlogic:member><%=measuresDimension%></bloxlogic:member> </bloxlogic:tuple>
</bloxlogic:tupleList>
<%
    Member rowRoot = ((MDBMetaData)dataBlox.getMetaData()).resolveMember(rowRootMember);
    Member[] kids = rowRoot.getChildren();
    Member kidTuples[][]  = new Member[(kids.length+1)][1];
    kidTuples[0][0] = rowRoot;
    for (int i = 0; i < kids.length; i++) {
        kidTuples[i + 1][0] = kids[i];
    }
%>
<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox" cubeName="<%=cubeName%>">

    <bloxlogic:axis type="rows" mutable="true">
        <bloxlogic:tupleList id="rows">
            <bloxlogic:dimension><%=rowDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=kidTuples%>"/>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="columns">
        <bloxlogic:crossJoin>
            <bloxlogic:tupleList>
                <bloxlogic:dimension list="<%=timeSchema.getDimensions()%>"></bloxlogic:dimension>
                <bloxlogic:tuple list="<%=currentTuples%>"></bloxlogic:tuple>
            </bloxlogic:tupleList>
            <bloxlogic:tupleList>
                <bloxlogic:dimension><%=scenarioDimension%></bloxlogic:dimension>
                <bloxlogic:tuple>
                    <bloxlogic:member><%=scenarioActual%></bloxlogic:member>
                </bloxlogic:tuple>
                <bloxlogic:tuple>
                    <bloxlogic:member><%=scenarioBudget%></bloxlogic:member>
                </bloxlogic:tuple>
            </bloxlogic:tupleList>
        </bloxlogic:crossJoin>

        <bloxlogic:crossJoin>
            <bloxlogic:tupleList tuplesRef="histTuples" />
            <bloxlogic:tupleList>
                <bloxlogic:dimension><%=scenarioDimension%></bloxlogic:dimension>
                <bloxlogic:tuple>
                    <bloxlogic:member><%=scenarioActual%></bloxlogic:member>
                </bloxlogic:tuple>
            </bloxlogic:tupleList>
        </bloxlogic:crossJoin>
    </bloxlogic:axis>
    <bloxlogic:axis type="pages">
    <bloxlogic:tupleList tuplesRef="pageTuples" />
    </bloxlogic:axis>
</bloxlogic:mdbQuery>

<bloxform:memberSelect id="measuresSelector" dimensionName="<%=measuresDimension%>" selectedMemberName="<%=measuresDimension%>" visible="false" dataBloxRef="dataBlox">
<%
    measuresSelector.addFormEventListener(new TuplesLink(measuresSelector,pageTuples));
%>
</bloxform:memberSelect>
<fieldset>
<legend>Opciones de visualización</legend>
<table>
    <tr>
        <td class="csLblFnt csThmClr">
             Medición:&nbsp;
        </td>
        <td>
            <blox:display bloxRef="measuresSelector" />
        </td>
        <td width="10"/>
        <td class="csLblFnt csThmClr">
           Series históricas:&nbsp;
        </td>
        <td>
            <blox:display bloxRef="historySelector" />
        </td>
    </tr>
</table>
</fieldset>
<br/>
<%
    //
    // For the butterfly layout, the scope goes right after the current tuples end...
    Scope scope = new Scope();
    for (int i = 0; i < timeSchema.getDimensions().length; i++) {
        scope.addMember(currentTuples[0][i].getUniqueName());
    }
    scope.addMember(scenarioBudget);
%>
<blox:grid id="gridBlox" bloxName="gridBlox" height="90%" width="100%"
    menubarVisible="false">
    <ui:customLayout className="fastforward.LockedColumnLayout" applyLayout="true" />
    <ui:butterflyLayout position="after" scope="<%=scope.toString()%>" showOnLayoutMenu="true" />
    <blox:data bloxRef="dataBlox" />
    <%
        BloxModel model=gridBlox.getBloxModel();
        collapseToolbars(model,new String[] {ModelConstants.FILE_EXPORT_TO_PDF});
        removeDataMenuItems(model,new String[]{ModelConstants.DATA_PIVOT, ModelConstants.DATA_SWAP_AXES, ModelConstants.DATA_SORT, ModelConstants.DATA_OPTIONS, ModelConstants.DATA_ADVANCED_SET_HIDDEN_COLUMNS});
    %>
</blox:grid>

<%!
    // required to set today to a "fixed" date. In real applications, setToday()
    // will not be used at all.
    public void setToday(com.alphablox.blox.logic.timeschema.TimeSchemaBlox timeSchema) throws Exception {
        com.alphablox.blox.logic.timeschema.PeriodType small = com.alphablox.blox.logic.timeschema.PeriodType.getSmallest(timeSchema.getPeriods());
        long end = timeSchema.last(small).getEndDate().getTime();
        timeSchema.setToday(new Date(end));
    }

    private class TuplesLink implements FormEventListener {
        private MemberSelectFormBlox memberSelect;
        private com.alphablox.blox.logic.query.TupleList pageTuples;

        public TuplesLink(MemberSelectFormBlox memberSelect, TupleList pageTuples) {
            this.memberSelect=memberSelect;
            this.pageTuples=pageTuples;
        }

        public void valueChanged(FormEvent event) throws Exception {
            Member[] members=memberSelect.getSelectedMembers();
            Member[][] tuples=new Member[members.length][1];

            for (int x = 0; x < members.length; x++) {
                tuples[x]=new Member[]{members[x]};
            }
            pageTuples.setListFromMetadataTuples(tuples);
            pageTuples.changed();
        }
    }

%>

<%!
    class Scope {
        ArrayList members = new ArrayList();
        void addMember(String mbr) {
            members.add(mbr);
        }
        public String toString(){
            String ret = "{";
            for (int i = 0; i < members.size(); i++) {
                ret += (i==0?"":";")+ members.get(i);
            }
            ret+="}";
            return ret;
        }
    }
%>
