package dhtmlQueryBuilder;
/*
 * Copyright (c) 2003 Alphablox Corporation. All rights reserved.
 */

import com.alphablox.blox.AdminBlox;
import com.alphablox.blox.form.EditFormBlox;
import com.alphablox.blox.form.FormEvent;
import com.alphablox.blox.form.FormEventListener;
import com.alphablox.blox.repository.DataSource;

public class DataSourceEventListener implements FormEventListener
{
    private AdminBlox mAdminBlox;
    private EditFormBlox mUserForm;
    private EditFormBlox mPasswordForm;
    private EditFormBlox mSchemaForm;
    private EditFormBlox mCatalogForm;

    public void init( AdminBlox dsAdmin, EditFormBlox userForm, EditFormBlox passwordForm,
                                         EditFormBlox schemaForm, EditFormBlox catalogForm )
    {
        mAdminBlox = dsAdmin;
        mUserForm = userForm;
        mPasswordForm = passwordForm;
        mSchemaForm = schemaForm;
        mCatalogForm = catalogForm;
    }

    public void valueChanged(FormEvent event) throws Exception
    {
        String[] newValues=event.getNewValues();

        // there should always only be one value.
        if ( newValues.length != 1 )
        {
            System.out.println("Multiple Selection: " + newValues.length);
        }

        DataSource selectedDS = mAdminBlox.getDataSource( newValues[0] );
        String [] userName = new String [] { selectedDS.getUserName() };
        mUserForm.setFormValues( userName );
        mUserForm.changed();

        String [] schema = new String [] { selectedDS.getSchema() };
        mSchemaForm.setFormValues( schema );
        mSchemaForm.changed();

        String [] catalog = new String [] { selectedDS.getCatalog() };
        mCatalogForm.setFormValues( catalog );
        mCatalogForm.changed();

        // reset the password to nothing.
        String [] password = new String [] { "" };
        mPasswordForm.setFormValues( password );
        mPasswordForm.changed();
    }
}