<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox"  %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>
<blox:resourceBundle bundle="dhtmlQueryBuilder.strings" />

<%@ page errorPage="../error.jsp" %>


<%@ page import="com.alphablox.fts.*,
                 com.alphablox.blox.form.EditFormBlox,
                 com.alphablox.blox.uimodel.tags.IGridFilter,
                 com.alphablox.blox.DataViewBlox,
                 com.alphablox.blox.GridBlox,
                 com.alphablox.blox.uimodel.GridBrixModel,
                 com.alphablox.blox.uimodel.PresentBloxModel,
                 com.alphablox.blox.uimodel.GridBloxModel,
                 com.alphablox.blox.uimodel.GridBrixCellModel,
                 com.alphablox.blox.uimodel.BloxModel,
                 dhtmlQueryBuilder.QueryBuilderBean,
                 dhtmlQueryBuilder.CubeEventListener,
                 dhtmlQueryBuilder.TableSelectEventHandler,
                 java.io.*,
                 java.util.*,
                 dhtmlQueryBuilder.TagGenerator"%>
<%
//    String font="Tahoma:Plain:11";
    String font_bold="Tahoma:Bold:11";

    int queryTextLines;
    int queryTextColumns;


%>

<jsp:useBean id="appContext" class="dhtmlQueryBuilder.AppContext" scope="session">
    <%
        appContext.init(pageContext);
    %>
</jsp:useBean>

<blox:data
    id="queryBuilder4_data"
    visible="false"
    connectOnStartup="false"
    enableShowHide="true"
    enableKeepRemove="true"
    onErrorClearResultSet="true"
    useAliases="true"/>

<blox:present
    id="queryBuilder4_present"
    height="500"
    width="100%"
    visible="false">
    <blox:dataLayout />
    <bloxui:gridFilter className="com.alphablox.fts.GenerateQueryFilter" />
    <blox:grid bandingEnabled="true" />
    <blox:chart />
    <blox:data bloxRef="queryBuilder4_data"/>

    <bloxui:calculationEditor />
    <%
        new TagGenerator(queryBuilder4_present, appContext, request,response);
    %>
</blox:present>

<jsp:useBean id="qbBean" class="dhtmlQueryBuilder.QueryBuilderBean"  scope="session" >
    <%
        PresentBloxModel model = (PresentBloxModel) queryBuilder4_present.getBloxModel();
        GridBrixModel grid = model.getGrid();

        qbBean.init(request, response, appContext, queryBuilder4_data, grid.getDispatcher() );
        qbBean.setQueryTextSize( 7, 110 );

	grid.getController().addEventHandlerToEnd( new TableSelectEventHandler(qbBean, appContext) );
    %>
</jsp:useBean>

<%
    EditFormBlox queryForm = qbBean.getQueryTextForm();

    // The following three lines make the query builder bean available to the grid filter.
    // It will use it to sync the grid and the query text formblox.
    PresentBloxModel model = (PresentBloxModel) queryBuilder4_present.getBloxModel();
    GridBrixModel brixModel = model.getGrid();
    brixModel.setUserObject( qbBean );

    // Tuck away the current number of lines and columns in the query edit field.  We'll use
    // them to change the number of rows in the UI.
    queryTextLines = queryForm.getLines();
    queryTextColumns = queryForm.getCharactersPerLine();

    // This line basically handles page refreshes, making sure the client side static text boxes
    // stay up to date.
    qbBean.refreshClientComponents();
%>
<html>
    <head>
        <title>IBM DB2 Alphablox Query Builder</title>
        <% String debug = request.getParameter("debug"); %>
        <blox:header debugOptions="<%=debug%>">

        <blox:clientBean name="queryBuilder4_data">
            <blox:method name="refresh" />
        </blox:clientBean>

	<style>select { font-size:24pt; }</style>

	</blox:header>

        <link rel=stylesheet type="text/css" href="../css/querybuilder4.css">
        <script language="JavaScript" src="../js/global.js"></script>
        <script>
            queryLines = <%= queryTextLines %>;
            queryColumns = <%= queryTextColumns %>;

            function executeQuery()
            {
                var isExecuted = bloxAPI.callBean("qbBean", "executeQuery", new Array() );
                asymIFrame.window.location='asym.jsp?action=getColumns';
            }
            function getQuery()
            {
                var dim = new Array(2);
                // Call setQueryText(), asking it to generate the query by setting
                // the second argument to true.
                dim[0] = "";
                dim[1] = "true";

                bloxAPI.callBean("qbBean", "setQueryText", dim );
                return true;
            }

            function getDefaultQuery()
            {
                var dim = new Array(2);
                // Call setQueryText(), asking it to generate the query by setting
                // the second argument to true.
                dim[0] = bloxAPI.callBean("qbBean", "getDefaultQuery", new Array() );
                dim[1] = "false";

                bloxAPI.callBean("qbBean", "setQueryText", dim );
                return true;
            }

            function setStatus(isOk, status)
            {
                if ( isOk == 'true' )
                {
                    document.all.dataSourceStatus.innerHTML='<font style="color:green"><strong>' + status + '</strong></font>';
                }
                else
                {
                    document.all.dataSourceStatus.innerHTML='<font style="color:red"><strong>'+ status +'</strong></font>';
                }
            }

            function setCubeList(cubelist)
            {
                if ( cubelist != '' )
                {
                    document.all.cubes.innerHTML='Cubes: ' + cubelist;
                }
                else
                {
                    document.all.cubes.innerHTML='';
                }
            }
            function enableCubeList(showcubes)
            {
                if ( showcubes )
                {
                    document.all.cubes.innerHTML='Cubes: ';
                }
                else
                {
                    document.all.cubes.innerHTML='';
                }
            }
            function connectDataSource()
            {
                HideiFrame('showConnection');

                var connected = bloxAPI.callBean("qbBean", "connect", new Array() );

                if ( !connected )
                {
                    document.all.dataSourceName.innerHTML='';
                    document.all.dataSourceType.innerHTML='';
                    document.all.dataSourceUserName.innerHTML='';
                    document.all.schemaName.innerHTML='';
                    document.all.catalogName.innerHTML='';
                }
                else
                {
                    asymIFrame.window.location='asym.jsp?action=getColumns';
                }
                return true;
            }

            function setLines( increaseByOne )
            {
                var dim = new Array(2);

                if ( increaseByOne )
                {
                    queryLines = queryLines + 1;
                }
                else if ( queryLines > 2 )
                {
                    queryLines = queryLines - 1;
                }
                dim[0] = queryLines;
                dim[1] = queryColumns;
                bloxAPI.callBean("qbBean", "setQueryTextSize", dim );
            }
            function generateTag(blox)
            {
                bloxAPI.sendEvent( new ClickEvent( 'queryBuilder4_present',<%= queryBuilder4_present.getBloxModel().searchForComponent( "actionGeneratePresentBloxTag" ).getUID() %> ) );
            }
        </script>
    </head>
    <body>
    <form name="form1">
    <div id="showConnection" style="display: none; width: 400px; position: absolute; height: 200px; z-index: 999;" >
        <table bgcolor="#FFFFFF" border="0" cellspacing="0" width="100%" cellpadding="0" class="portletTable">
        <tr>
            <td width="100%">
                <table class="portletHeader" cellspacing="0" cellpadding="0" width="100%">
                <tr><td><blox:message key="DBCONN_TITLE_DATABASECONNECTION"/></td><td width="5"><img class="button" id="databaseconn_minmax" src="images/portlet_remove.gif" onClick="HideiFrame('showConnection')"/></td></tr>
                </table>
            </td>
        </tr>
        <tr id="databaseconn">
            <td>
                <table>
                    <tr><td width="140" class="textlabel"><blox:message key="DBCONN_TEXTLABEL_DATASOURCE"/></td><td width="218"><blox:display bloxRef="dataSources" /></td></tr>
                    <tr><td class="textlabel"><blox:message key="DBCONN_TEXTLABEL_SCHEMA"/></td><td><blox:display bloxRef="schemaEdit" /></td></tr>
                    <tr><td class="textlabel"><blox:message key="DBCONN_TEXTLABEL_CATALOG"/></td><td><blox:display bloxRef="catalogEdit" /></td></tr>
                    <tr><td class="textlabel"><blox:message key="DBCONN_TEXTLABEL_USERNAME"/></td><td><blox:display bloxRef="userEdit" /></td></tr>
                    <tr><td class="textlabel"><blox:message key="DBCONN_TEXTLABEL_PASSWORD"/></td><td><blox:display bloxRef="passwordEdit" /></td></tr>
                </table>
                <table>
                    <tr><td><blox:display bloxRef="defaultQueryCheckBox"/></td><td class="textlabel"><blox:message key="DBCONN_BUTTON_EXECUTE"/></td></tr>
                </table>
                <center><table>
                    <tr><td height="21" class="textlabel"><input type="button" class="inputButton" value="<blox:message key="DBCONN_BUTTON_CONNECT"/>" onClick="connectDataSource()"/></td></tr>
                </table></center>
            </td>
        </tr>
        </table>
    </div>
    <table border="0" cellspacing="5" cellpadding="0" width="100%">
    <tr style="display: ">
        <td>
            <input type="button" class="inputButton" value="<blox:message key="DBCONN_BUTTON_CONNSETTINGS"/>" onClick="ShowiFrame('showConnection')"/>
        </td>
        <td>

        </td>
    </tr>
    <tr style="display: ">
        <td width="100%" colspan="2" valign="top">
            <table cellspacing="0" cellpadding="0" width="100%" class="portletTable">
            <tr>
                <td>
                    <table class="portletHeader" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td><blox:message key="STATUS_TEXTLABEL_TITLE"/></td><td width="5"><img class="button" id="status_minmax" src="images/portlet_min.gif" onClick="maxMinDataConn('status')"/></td></tr>
                    </table>
                </td>
            </tr>
            <tr id="status">
                <td>
                    <table colspan="5">
                        <tr>
                            <td class="textlabel"><strong><blox:message key="STATUS_TEXTLABEL_DATASOURCE"/></strong></td><td class="statuslabel" id="dataSourceName"></td>
                            <td width="10%"></td>
                            <td class="textlabel"><strong><blox:message key="STATUS_TEXTLABEL_USER"/></strong></td><td class="statuslabel" id="dataSourceUserName"></td>
                        </tr>
                        <tr>
                            <td class="textlabel"><strong><blox:message key="STATUS_TEXTLABEL_DSTYPE"/></strong></td><td class="statuslabel" id="dataSourceType"></td>
                            <td width="10%"></td>
                            <td class="textlabel"><strong><blox:message key="STATUS_TEXTLABEL_SCHEMA"/></strong></td><td class="statuslabel" id="schemaName"></td>
                        </tr>
                        <tr>
                            <td class="textlabel" valign="top"><strong><blox:message key="STATUS_TEXTLABEL_DBSTATUS"/></strong></td><td class="statuslabel" id="dataSourceStatus"></td>
                            <td width="10%"></td>
                            <td class="textlabel"><strong><blox:message key="STATUS_TEXTLABEL_CATALOG"/></strong></td><td class="statuslabel" id="catalogName"></td>
                        </tr>
                    </table>
                </td>
            </tr>
            </table>
        </td>
    </tr>
    <tr style="display: ">
        <td colspan="2" width="100%" valign="top">
            <table id="queryTable" cellspacing="0" cellpadding="0" width="100%" class="portletTable">
            <tr>
                <td>
                    <table class="portletHeader" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td><blox:message key="QUERY_TEXTLABEL_TITLE"/></td><td width="5"><img class="button" id="querydisplay_minmax" src="images/portlet_min.gif" onClick="maxMinDataConn('querydisplay')"/></td></tr>
                    </table>
                </td>
            </tr>
            <tr id="querydisplay">
                <td>
                    <table>
                        <tr>
                            <td colspan="6">
                            <table>
                            <tr>
                                <td class="textlabel" id="cubes"></td>
                            </tr>
                            <tr>
                                <td colspan="2" rowspan="3"><blox:display bloxRef="queryText" /></td>
                                <td><img class="button" alt="<blox:message key="QUERY_ALTMSG_DECWINDOWSIZE"/>" src="images/arrow_up.gif" onClick="setLines(false)"/></td>
                            </tr>
                            <tr>
                                <td colspan="2" class="textlabel"><br><br><br></td>
                            </tr>
                            <tr>
                                <td colspan="2"><img class="button" alt="<blox:message key="QUERY_ALTMSG_INCWINDOWSIZE"/>" src="images/arrow_down.gif" onClick="setLines(true)"/></td>
                            </tr>
                            </table>
                            </td>
                        </tr>
                        <tr>
                            <td><input type="button" class="inputButton" value="<blox:message key="QUERY_BUTTON_EXECUTEQUERY"/>" onClick="executeQuery()"/></td>
                            <td><input type="button" class="inputButton" value="<blox:message key="QUERY_BUTTON_GETCURRENTQUERY"/>" onClick="getQuery()"/></td>
                            <td><input type="button" class="inputButton" value="<blox:message key="QUERY_BUTTON_GETDEFAULTQUERY"/>" onClick="getDefaultQuery()"/></td>
                            <td width="400"></td>
                            <td><blox:display bloxRef="enableAutoUpdate" /></td>
                            <td class="statuslabel" nowrap><blox:message key="QUERY_TEXTLABEL_AUTOUPDATE"/></td>
                        </tr>
                    </table>
                </td>
            </tr>
            </table>


        </td>
    </tr>
    <tr style="display: ">
        <td width="100%" colspan="2" valign="top">
            <table cellspacing="0" cellpadding="0" width="100%" class="portletTable">
            <tr>
                <td>
                    <table class="portletHeader" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td><blox:message key="ASYM_TEXTLABEL_TITLE"/></td><td width="5"><img class="button" id="asym_minmax" src="images/portlet_max.gif" onClick="maxMinDataConn('asym')"/></td></tr>
                    </table>
                </td>
            </tr>
            <tr id="asym" style="display:none">
                <td>
                   <iframe name="asymIFrame" width="100%" height="170" src="asym.jsp"></iframe>
                </td>
            </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2">
        <table cellspacing="0" cellpadding="0" width="100%" class="portletTable">
            <tr>
                <td>
                    <table class="portletHeader" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td><blox:message key="PRESENTBLOX_TEXTLABEL_TITLE"/></td><td width="5" nowrap><input type="button" class="inputButton" value="<blox:message key="PRESENTBLOX_BUTTON_GENERATE"/>" onClick="generateTag('queryBuilder4_present')"/></td></tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <blox:display bloxRef="queryBuilder4_present"  />
                </td>
            </tr>
        </table>
        </td>
    </tr>
    </table>
    </form>
    </body>
</html>


