: IBM Confidential
: OCO Source Materials
: 5724-L14
:  Copyright IBM Corp. 2005

: 
: The source code for this program is not published or otherwise divested of its trade secrets,
: irrespective of what has been deposited with the U.S. Copyright Office.

@echo off
setlocal

IF "%1" == "-usage" GOTO USAGE
IF "%1" == "-help" GOTO USAGE
IF "%1" == "-h" GOTO USAGE
IF "%1" == "" GOTO USAGE


REM Absolute path to Java installation directory
REM ================
REM !!! REQUIRED !!!
REM ================
SET JAVA_HOME=

REM Absolute path to DB2 Alphablox installation directory
REM ================
REM !!! REQUIRED !!!
REM ================
SET ABX_HOME=


SET ORIGINAL_CLASSPATH=%CLASSPATH%;
SET ABX_CLASSES=%ABX_HOME%\classes
SET ABX_LIB=%ABX_HOME%\lib
set AAS_CLASSPATH=%ABX_CLASSES%
set AAS_CLASSPATH=%ABX_CLASSES%;%ABX_LIB%\collections.jar
SET CLASSPATH=%AAS_CLASSPATH%;

"%JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" -Dalphablox.home="%ABX_HOME%" com.alphablox.util.PortalTheme "%1" "%2" %3 %4

IF ERRORLEVEL==1 GOTO USAGE
GOTO END


:USAGE
ECHO portaltheme.bat - usage
ECHO.
ECHO        **************************************************
ECHO        *       DB2 Alphablox Portal Theme Utility       *
ECHO        *                                                *
ECHO        *  Please set the following in portaltheme.bat   *
ECHO        *  before running:                               *
ECHO        *                                                *
ECHO        *   (required)  JAVA_HOME                        *
ECHO        *   (required)  ABX_HOME                         *
ECHO        *                                                *
ECHO        **************************************************
ECHO.
ECHO NAME
ECHO        portaltheme.bat - merges a portal css file into a new DB2 
ECHO               Alphablox theme using a properties file defining the
ECHO               mapping between portal styles and DB2 Alphablox styles.
ECHO.
ECHO SYNOPSIS
ECHO        portaltheme  PORTAL_CSS_FILE  THEME_MAPPING_PROPERTIES_FILE... 
ECHO               NEW_THEME_NAME  [ABX_THEME_NAME]
ECHO.
ECHO DESCRIPTION
ECHO        Creates (or overwrites) a DB2 Alphablox theme based on a portal 
ECHO        css file.  Merges the specifically mapped portal css file styles
ECHO        into a new DB2 Alphablox theme css file using a properties file 
ECHO        defining the rules for mapping portal styles into DB2 Alphablox 
ECHO        styles.  If used to overwrite an existing DB2 Alphablox theme, 
ECHO        the changes cannot be undone.
ECHO.
ECHO        PORTAL_CSS_FILE
ECHO               Absolute path to a portal css file to retrieve styles from.
ECHO.
ECHO        THEME_MAPPING_PROPERTIES_FILE
ECHO               Absolute path to properties file defining the rules for 
ECHO               mapping portal styles into DB2 Alphablox styles.
ECHO.
ECHO        NEW_THEME_NAME
ECHO               Name used for the resulting newly created DB2 Alphablox 
ECHO               theme.
ECHO.
ECHO        ABX_THEME_NAME
ECHO               DB2 Alphablox theme to be used as the source for the merge.
ECHO               If not set, the default theme for the DB2 Alphablox server 
ECHO               will be used.  All images, icons, graphics and other support
ECHO               files will be copied from this theme.
ECHO.
ECHO PREREQUISITES
ECHO        The following must be set in the portaltheme.bat file:
ECHO.
ECHO        JAVA_HOME
ECHO               Absolute path to Java installation directory
ECHO.
ECHO        ABX_HOME
ECHO               Absolute path to DB2 Alphablox installation directory
ECHO.
ECHO.
ECHO end usage.
pause
GOTO END

:END
endlocal